(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 14.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    414022,       9090]
NotebookOptionsPosition[    393895,       8784]
NotebookOutlinePosition[    394292,       8800]
CellTagsIndexPosition[    394249,       8797]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"<<", "Utilities`CleanSlate`"}], "\n", 
 RowBox[{"CleanSlate", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.922302911883156*^9, 3.92230292402086*^9}},
 CellLabel->
  "In[1061]:=",ExpressionUUID->"bfbad78c-19ed-44cd-8ab3-c7dfaee7a1ad"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  (CleanSlate) Contexts purged: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "\<\"Global`\"\>", "}"}]}],
  SequenceForm["  (CleanSlate) Contexts purged: ", {"Global`"}],
  Editable->False]], "Print",
 CellChangeTimes->{3.922302925312991*^9, 3.922726504005229*^9},
 CellLabel->
  "During evaluation of \
In[1061]:=",ExpressionUUID->"eac3aea3-0036-48b9-a496-5a9deac79f79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  (CleanSlate) Approximate kernel memory recovered: \"\>", 
   "\[InvisibleSpace]", "\<\"40845 Kb\"\>"}],
  SequenceForm[
  "  (CleanSlate) Approximate kernel memory recovered: ", "40845 Kb"],
  Editable->False]], "Print",
 CellChangeTimes->{3.922302925312991*^9, 3.9227265040656757`*^9},
 CellLabel->
  "During evaluation of \
In[1061]:=",ExpressionUUID->"04974bde-3077-4bf7-bf21-df4e19163da9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Utilities`CleanSlate`\"\>", ",", "\<\"IPOPTLink`\"\>", 
   ",", "\<\"Wolfram`Chatbook`\"\>", ",", "\<\"System`\"\>", 
   ",", "\<\"Global`\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.922302925450224*^9, 3.9227265041036158`*^9},
 CellLabel->"Out[0]=",ExpressionUUID->"1c8d992d-998c-485c-b901-48cdfbbe02ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lecture 22. Neural networks 2", "Title",
 CellChangeTimes->{{3.92272524442575*^9, 
  3.922725252540284*^9}},ExpressionUUID->"debfa169-a259-45d2-89b5-\
dac4274524ac"],

Cell[CellGroupData[{

Cell["Mma documentation example", "Chapter",
 CellChangeTimes->{{3.922725163755945*^9, 
  3.922725168681263*^9}},ExpressionUUID->"fcf16efe-f826-46ae-888a-\
7345c664c10a"],

Cell["\<\
https://reference.wolfram.com/language/tutorial/NeuralNetworksIntroduction.\
html\
\>", "Text",
 CellChangeTimes->{
  3.922725189600116*^9},ExpressionUUID->"fbd195ce-95f4-41c3-98fc-\
833aa1365354"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"trainingData", "=", 
   RowBox[{"ResourceData", "[", 
    RowBox[{"\"\<MNIST\>\"", ",", "\"\<TrainingData\>\""}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"testData", "=", 
   RowBox[{"ResourceData", "[", 
    RowBox[{"\"\<MNIST\>\"", ",", "\"\<TestData\>\""}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.922722121484001*^9, 3.922722121489332*^9}},
 CellLabel->
  "In[1038]:=",ExpressionUUID->"606c6ecc-f0f6-407b-91a8-8b86b5d3b48b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RandomSample", "[", 
  RowBox[{"trainingData", ",", "5"}], "]"}]], "Input",
 CellChangeTimes->{{3.9227221501813927`*^9, 3.9227221501879177`*^9}},
 CellLabel->
  "In[1040]:=",ExpressionUUID->"2e61fdb9-6a57-4cd9-9db9-31b6264fc650"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+C4P30Ir6ivT+wSc1SZ2ZmZmJeh0VqOicTWE70JYbUGU6gOLMpED/G
sEudiYkl89knBiYmDLmTQPMy/681BOqbgS5XBJQLtuJnxiUHcQumfRuYmJgY
wTgZw5lfV4dYK1rX8zMxH8fiv///n/0PZmYSu4VV7v9/K2YmaxxS/y2ZGK1w
yeHW9zUe6L9J2OUegfy3GoccyH+45ID6OPbhlpPD4cr3UZqOW3DIkQIA8Qmj
pw==
       "], {{0, 28.}, {28., 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28., 28.},
     PlotRange->{{0, 28.}, {0, 28.}}], "\[Rule]", "9"}], ",", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x9IUM0wB6ecMqMGmXICj3DL8T/ALSfxGrcc333y3EKW3FMh3HKX2Khv
HwG/M17AI3cal1wKI2MULrnzjIyquOTeSzNOxyVHBwAAzvjh+g==
       "], {{0, 28.}, {28., 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28., 28.},
     PlotRange->{{0, 28.}, {0, 28.}}], "\[Rule]", "1"}], ",", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+84O9URsb6P1ilPk1jAoLzWOUymJiEcchNY2Srm80kcAObHC9z1/8w
Jm9sUh0sWf+/2DItxyJ1T5Cp9f8tJqbDWOTmMgHlinDK8UpyMVn+xCL3K4iJ
Eei7TdicAgT2jIyFOKT+5zGJ38YhtYiRtR6H1CtuRkNcJlozMa/BIfVYiMkA
h9QjAyatF9gkrqo2GjDpPMeq6RzQ0zrPsBv4NI4p+AcuN1ITAABxtMfa
       "], {{0, 28.}, {28., 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28., 28.},
     PlotRange->{{0, 28.}, {0, 28.}}], "\[Rule]", "9"}], ",", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x9W4IygYt/Z//+f1jPZf0aTahRkZmYWWrnKnJmZ6QmaXDGTmY0YMxNQ
AXPUT1Sp9yZMpx/NZmbilWRmLka3rhishWnZMWbmA+hyG+yZpIuBopZMjpju
/PzkFZBs4WTux+GRpxLMks9wyNUzc7XhkPrPxGyDS6qIgckah9RXXybmnTjk
DjMzpaKHJRTclMcMShgABokjLm2K2IIEAnSZ8QSJwExcQWKA29v/A5k7ccph
AgDIZL/U
       "], {{0, 28.}, {28., 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28., 28.},
     PlotRange->{{0, 28.}, {0, 28.}}], "\[Rule]", "9"}], ",", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+cYKVEA5h+a87wFV1OkckETMcy6fxElxOAyF2VZtqPLtXGDJGrZhK6
iyb1zYiJqQJIn+NmUkXXFsLEZPQZSK9lYopAk1rGwcS0Akj/tGRiWokqdYeN
iSnvN5Cxg4lJ7xuK1DM9JiZ3sJADE2MQitRTDSYm4UdgpiYT02YUuQwmJiZ2
4wnToqOMOZmYVPqmrUBYJsSEBBiBMBfhNV2IKLsgC5DkNLCPfoUw89ZqMDj1
fztQ7gC6z6FgISOT528ccuVMTKtxSP3QYWTZhkPuLBOTIA4pvHIPRJkscMlR
CQAAbBCXTg==
       "], {{0, 28.}, {28., 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28., 28.},
     PlotRange->{{0, 28.}, {0, 28.}}], "\[Rule]", "4"}]}], "}"}]], "Output",
 CellChangeTimes->{3.922722151476643*^9},
 CellLabel->
  "Out[1040]=",ExpressionUUID->"78432834-39bc-4222-aa2c-94ad8b263c9a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lenetModel", "=", 
  RowBox[{
  "NetModel", "[", "\"\<LeNet Trained on MNIST Data\>\"", "]"}]}]], "Input",
 CellChangeTimes->{{3.922722164109022*^9, 3.922722164113884*^9}},
 CellLabel->
  "In[1041]:=",ExpressionUUID->"5eb15d5f-0aae-4ad7-be1d-1b2307f412a3"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    RowBox[{
      StyleBox[
       TagBox["NetChain", "SummaryHead"], "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{
       Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
       TemplateBox[{
         TemplateBox[{
           PaneSelectorBox[{False -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxOpener"], 
                    ImageSizeCache -> {11., {0., 11.}}], Appearance -> None, 
                   BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True),
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   Thickness[0.014925373134328358`], {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{23., 91.5}, {30., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{37., 91.5}, {44., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    FaceForm[{
                    RGBColor[0.631, 0.8160000000000001, 0.498], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    15.5, 103.5}, {23.5, 103.5}, {23.5, 79.5}, {15.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.40800000000000003`, 0.627, 0.196], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{24., 104.}, {15., 104.}, {
                    15., 79.}, {24., 79.}}, {{23., 80.}, {16., 80.}, {16., 
                    103.}, {23., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.38, 0.753, 0.89], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    29.5, 103.5}, {37.5, 103.5}, {37.5, 79.5}, {29.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.24300000000000002`, 0.608, 0.71], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{38., 104.}, {29., 104.}, {
                    29., 79.}, {38., 79.}}, {{37., 80.}, {30., 80.}, {30., 
                    103.}, {37., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.584, 0.51, 0.8390000000000001], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    43.5, 103.5}, {51.5, 103.5}, {51.5, 79.5}, {43.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.4, 0.396, 0.659], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{52., 104.}, {43., 104.}, {
                    43., 79.}, {52., 79.}}, {{51., 80.}, {44., 80.}, {44., 
                    103.}, {51., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.549, 0.549, 0.549], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{28., 91.5}, {
                    25., 95.}, {25., 88.}}}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{42., 91.5}, {
                    39., 95.}, {39., 88.}}}]}}, ImageMargins -> 0, 
                  ImageSize -> {36, Automatic}, PlotRangePadding -> 0], 
                 GridBox[{{
                    TagBox[
                    StyleBox[
                    TemplateBox[{
                    TemplateBox[{"\[ThinSpace]", "\" \"", 
                    StyleBox["\"Input\"", 
                    GrayLevel[0], StripOnInput -> False], "\"port\""}, 
                    "RowWithSeparators"], "\":\""}, "RowDefault"], 
                    "SummaryItemAnnotation"], "SummaryItem"], 
                    TagBox[
                    StyleBox["\"image\"", "SummaryItem"], "SummaryItem"]}, {
                    TagBox[
                    StyleBox[
                    TemplateBox[{
                    TemplateBox[{"\[ThinSpace]", "\" \"", 
                    StyleBox["\"Output\"", 
                    GrayLevel[0], StripOnInput -> False], "\"port\""}, 
                    "RowWithSeparators"], "\":\""}, "RowDefault"], 
                    "SummaryItemAnnotation"], "SummaryItem"], 
                    TagBox[
                    StyleBox["\"class\"", "SummaryItem"], "SummaryItem"]}}, 
                  AutoDelete -> False, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, 
               AutoDelete -> False, BaselinePosition -> {1, 1}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
             GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxCloser"], 
                    ImageSizeCache -> {11., {0., 11.}}], Appearance -> None, 
                   BaseStyle -> {}, 
                   ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   Thickness[0.014925373134328358`], {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{23., 91.5}, {30., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{37., 91.5}, {44., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    FaceForm[{
                    RGBColor[0.631, 0.8160000000000001, 0.498], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    15.5, 103.5}, {23.5, 103.5}, {23.5, 79.5}, {15.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.40800000000000003`, 0.627, 0.196], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{24., 104.}, {15., 104.}, {
                    15., 79.}, {24., 79.}}, {{23., 80.}, {16., 80.}, {16., 
                    103.}, {23., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.38, 0.753, 0.89], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    29.5, 103.5}, {37.5, 103.5}, {37.5, 79.5}, {29.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.24300000000000002`, 0.608, 0.71], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{38., 104.}, {29., 104.}, {
                    29., 79.}, {38., 79.}}, {{37., 80.}, {30., 80.}, {30., 
                    103.}, {37., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.584, 0.51, 0.8390000000000001], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    43.5, 103.5}, {51.5, 103.5}, {51.5, 79.5}, {43.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.4, 0.396, 0.659], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{52., 104.}, {43., 104.}, {
                    43., 79.}, {52., 79.}}, {{51., 80.}, {44., 80.}, {44., 
                    103.}, {51., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.549, 0.549, 0.549], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{28., 91.5}, {
                    25., 95.}, {25., 88.}}}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{42., 91.5}, {
                    39., 95.}, {39., 88.}}}]}}, ImageMargins -> 0, 
                  ImageSize -> {36, Automatic}, PlotRangePadding -> 0], 
                 GridBox[{{
                    TagBox[
                    
                    DynamicModuleBox[{
                    NeuralNetworks`Private`NetChain`assoc3 = <|
                    "Type" -> "Chain", 
                    "Nodes" -> <|
                    "1" -> <|"Type" -> "Convolution", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{20, 1, 5, 
                    5}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{20}]|>, 
                    "Parameters" -> <|
                    "OutputChannels" -> 20, "KernelSize" -> {5, 5}, 
                    "Stride" -> {1, 1}, "PaddingSize" -> {{0, 0}, {0, 0}}, 
                    "Dilation" -> {1, 1}, "Dimensionality" -> 2, 
                    "$InputChannels" -> 1, "ChannelGroups" -> 1, 
                    "$InputSize" -> {28, 28}, "$OutputSize" -> {24, 24}, 
                    "Interleaving" -> False, "$WeightsInputChannels" -> 1|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{1, 28, 28}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>|>, 
                    "2" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {20, 24, 24}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>|>, 
                    "3" -> <|"Type" -> "Pooling", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "KernelSize" -> {2, 2}, "Stride" -> {2, 2}, 
                    "PaddingSize" -> {{0, 0}, {0, 0}}, "Function" -> Max, 
                    "Dimensionality" -> 2, "$Channels" -> 20, 
                    "$InputSize" -> {24, 24}, "$OutputSize" -> {12, 12}, 
                    "$MXPoolingConvention" -> "valid", "$MXGlobalPool" -> 
                    False, "Interleaving" -> False, "$IgnorePadding" -> False,
                     "$InputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT], 
                    "$OutputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 12, 12}, 
                    NeuralNetworks`RealT]|>|>, 
                    "4" -> <|"Type" -> "Convolution", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{50, 20, 5,
                     5}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{50}]|>, 
                    "Parameters" -> <|
                    "OutputChannels" -> 50, "KernelSize" -> {5, 5}, 
                    "Stride" -> {1, 1}, "PaddingSize" -> {{0, 0}, {0, 0}}, 
                    "Dilation" -> {1, 1}, "Dimensionality" -> 2, 
                    "$InputChannels" -> 20, "ChannelGroups" -> 1, 
                    "$InputSize" -> {12, 12}, "$OutputSize" -> {8, 8}, 
                    "Interleaving" -> False, "$WeightsInputChannels" -> 20|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 12, 12}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>|>, 
                    "5" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {50, 8, 8}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>|>, 
                    "6" -> <|"Type" -> "Pooling", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "KernelSize" -> {2, 2}, "Stride" -> {2, 2}, 
                    "PaddingSize" -> {{0, 0}, {0, 0}}, "Function" -> Max, 
                    "Dimensionality" -> 2, "$Channels" -> 50, 
                    "$InputSize" -> {8, 8}, "$OutputSize" -> {4, 4}, 
                    "$MXPoolingConvention" -> "valid", "$MXGlobalPool" -> 
                    False, "Interleaving" -> False, "$IgnorePadding" -> False,
                     "$InputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT], 
                    "$OutputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 4, 4}, 
                    NeuralNetworks`RealT]|>|>, 
                    "7" -> <|"Type" -> "Flatten", "Arrays" -> <||>, 
                    "Parameters" -> <|"Level" -> DirectedInfinity[1]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 4, 4}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{800}, 
                    NeuralNetworks`RealT]|>|>, 
                    "8" -> <|"Type" -> "Linear", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{500, 
                    800}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{500}]|>, 
                    "Parameters" -> <|
                    "OutputDimensions" -> {500}, "$OutputSize" -> 500, 
                    "$InputSize" -> 800, "$InputDimensions" -> {800}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{800}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>|>, 
                    "9" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {500}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>|>, 
                    "10" -> <|
                    "Type" -> "Linear", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{10, 500}],
                     "Biases" -> NeuralNetworks`Private`DummyArray[{10}]|>, 
                    "Parameters" -> <|
                    "OutputDimensions" -> {10}, "$OutputSize" -> 10, 
                    "$InputSize" -> 500, "$InputDimensions" -> {500}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>|>, 
                    "11" -> <|
                    "Type" -> "Softmax", "Arrays" -> <||>, 
                    "Parameters" -> <|"Level" -> -1|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>|>|>, 
                    "Edges" -> {
                    NeuralNetworks`NetPath["Nodes", "1", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Inputs", "Input"], 
                    NeuralNetworks`NetPath["Nodes", "2", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "1", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "3", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "2", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "4", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "3", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "5", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "4", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "6", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "5", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "7", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "6", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "8", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "7", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "9", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "8", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "10", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "9", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "11", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath[
                    "Nodes", "10", "Outputs", "Output"], 
                    NeuralNetworks`NetPath["Outputs", "Output"] -> 
                    NeuralNetworks`NetPath[
                    "Nodes", "11", "Outputs", "Output"]}, 
                    "Inputs" -> <|
                    "Input" -> <|
                    "Form" -> NeuralNetworks`TensorT[{1, 28, 28}, 
                    NeuralNetworks`RealT], "Type" -> "Image", "ImageSize" -> 
                    NeuralNetworks`ValidatedParameter[{28, 28}], "ColorSpace" -> 
                    "Grayscale", "ColorChannels" -> 1, "MeanImage" -> None, 
                    "$Version" -> "14.0.2", "VarianceImage" -> None, 
                    "Interleaving" -> False, "DataTransposed" -> False, 
                    "Alignment" -> Center, "Padding" -> GrayLevel[0], 
                    "Resampling" -> 
                    NeuralNetworks`ValidatedParameter[Automatic], "Method" -> 
                    "Stretch"|>|>, 
                    "Outputs" -> <|
                    "Output" -> <|
                    "Form" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT], "Type" -> "Class", "Labels" -> 
                    Tooltip[{0, 1, 
                    Skeleton[7], 9}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9}], 
                    "Dimensions" -> 10, "$Version" -> "14.0.2", "InputDepth" -> 
                    1, "$Rank" -> 0, "Multilabel" -> False|>|>|>, 
                    NeuralNetworks`Private`NetChain`opart, 
                    NeuralNetworks`Private`NetChain`part, 
                    NeuralNetworks`Private`NetChain`selected = Null}, 
                    DynamicBox[
                    GridBox[{{
                    TagBox[
                    TagBox[
                    GridBox[{{
                    TagBox[
                    TagBox[
                    "\"\"", Annotation[#, {"Inputs", "Input"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"Input\"", Annotation[#, {"Inputs", "Input"}, 
                    "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TagBox[
                    GridBox[{{"\"image\""}, {
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 1\[Times]28\[Times]28\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    BaselinePosition -> 2, DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], Annotation[#, {"Inputs", "Input"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"1\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["ConvolutionLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]24\[Times]24\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"2\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]24\[Times]24\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"3\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["PoolingLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]12\[Times]12\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"4\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["ConvolutionLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]8\[Times]8\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"5\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]8\[Times]8\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"6\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["PoolingLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]4\[Times]4\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"7\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["FlattenLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 800\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"8\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["LinearLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 500\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"9\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 500\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"10\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["LinearLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox["\"(\[VeryThinSpace]size: 10\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"11\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["SoftmaxLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox["\"(\[VeryThinSpace]size: 10\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    "\"\"", Annotation[#, {"Outputs", "Output"}, "Mouse"]& ], 
                    
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"Output\"", 
                    Annotation[#, {"Outputs", "Output"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"class\"", Annotation[#, {"Outputs", "Output"}, 
                    "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1.1}}}], "Grid"], 
                    EventHandlerTag[{"MouseClicked" :> If[
                    ListQ[
                    NeuralNetworks`Private`NetChain`part = MouseAnnotation[]],
                     If[NeuralNetworks`Private`NetChain`opart === 
                    NeuralNetworks`Private`NetChain`part, 
                    NeuralNetworks`Private`NetChain`selected = Null; 
                    NeuralNetworks`Private`NetChain`opart = Null, 
                    NeuralNetworks`Private`NetChain`selected = 
                    Part[NeuralNetworks`Private`NetChain`assoc3, 
                    Apply[Sequence, NeuralNetworks`Private`NetChain`part]]; 
                    NeuralNetworks`Private`NetChain`opart = 
                    NeuralNetworks`Private`NetChain`part; Null]; Null], 
                    Method -> "Preemptive", PassEventsDown -> Automatic, 
                    PassEventsUp -> True}]]}, 
                    NeuralNetworks`FormatSelectedParameterChain[
                    NeuralNetworks`Private`NetChain`selected, 
                    NeuralNetworks`Private`NetChain`part, <||>, {}]}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridFrameMargins -> {{0, 0}, {0, 0}}], 
                    ImageSizeCache -> {
                    240., {105.4150390625, 111.5849609375}}, 
                    TrackedSymbols :> {
                    NeuralNetworks`Private`NetChain`selected}], 
                    Initialization :> {NetChain}], "SummaryItem"]}}, 
                  AutoDelete -> False, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, 
               AutoDelete -> False, BaselinePosition -> {1, 1}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
            Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
          "SummaryPanel"], 
         ButtonBox[
          DynamicBox[
           ToBoxes[
            If[
             
             Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
              "Local"], 
             Style["This object cannot be used as input.", "SummaryEmbed"], 
             BoxForm`EmbedSummaryLabel[NetChain, 1778216, 
              Dynamic[Typeset`embedState$$], Automatic]], StandardForm]], 
          ButtonFunction :> 
          BoxForm`EmbedSummaryInterpretation[
           "Choose", NetChain, 1778216, 
            6003857063556220539390818132469420704939024031853224385304, 
            EvaluationBox[], 
            Dynamic[Typeset`embedState$$], StandardForm, 
            ElisionsDump`embedSummaryBoxes], DefaultBaseStyle -> 
          "SummaryEmbedButton", ImageSize -> Inherited, 
          BaseStyle -> {"DialogStyle"}, Enabled -> Dynamic[
            
            And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
             "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
          Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
        "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("NetChain[<11>]"& )],
  False,
  BoxID -> 6003857063556220539390818132469420704939024031853224385304,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.9227221724625893`*^9},
 CellLabel->
  "Out[1041]=",ExpressionUUID->"3c80f985-6e73-455c-9189-9b52e81ffcbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lenetModel", "[", 
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x8wsH/9SgbGVeuB4DKGnCkTDOjeRJV5YMQKl2OagabthDxCjmsFmmSE
HhAogeX4zmM650pzAliOex2K8Isnl+pTVaBmSk1CkVNhQgKHUaTm8uCWQ9XX
hio3nYnJYwUYBDExiSDL7L3/9/v3XxD2b20m5nSE1ELOPgRnowgTUzKct52b
CSF3PokJWW49E0JuIx/I71vgcrv4maR0Gm+DgKEIyJ06SE5JRPYAk1DpPSS5
m9JIUmiB+f+GLlwqast/NHBlYyxU7hm6FP0AADtWUUA=
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+S4MTx41MYHLFI/H7qysTEyMQk+BBTbgITo+OkCCYmKUypu9wi8/79
/6bM6IUpV8uYByR38DHNxpD6psBz8P//P/pMjn8w5HKYwoFkJiOTB6aRAUy9
/z8ksjAy1WORY5zywY6RkZH3NTZ9zKyMokyMxZhS//fzsbEHb2ViPopF7v9N
IA5irMEmBQZsTAvwyC3EJXWMReALLjlbpmxcUmfYOM7ikitmrMPpEivGaTjl
ptjtxylHCgAAd+jGFw==
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+UYFuTTUzttl9YZG6JMDIBAaPlBUw5VyZGLhGgHBP7NAw5OyZGxXMn
M/iYmHh3osvdlGFkSvz//5U+E5MMhsa90oyMff//vzZiZIzZj6FTgUng0P//
a4GWSr1Cl2xiZzJwVWMHylW+xTDWDeROJhaRk7/RZZ4E8IDkYvdgevBUEiMQ
MFRiyvz/78XIxJVgz6j7HVPqjwMj17L/SxiZGjDl6pkY6/+D5NQx5SyYGK/8
/38Em9wXDUYGoKcWMzCqYVpnwsQIDOMJjEx9mGZu5WUUD47kYZTDDJL//2+Y
CALjlj0DixQQvPeMrTuNXYp6AACANZMJ
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+s4IQwYxMOqe9WzEzV31edxSa3mplZ/P4DZu6TWOTEmZl7/lsxM9/B
lOpmY44GKYjGlDrExCS34f8qJqY6DKnbMszCr/7f12E2+oIh18PEvPb//2xm
5sUYUr0CTGE//u9gYma2Dku/giL1zZhZ9cu3qTpAOWZmJoF3yHI3mJgYmYCA
QUBHR4qB6RWy3HmgapAWgd3//09lkv+ILPd3SahmODMz90GQ+Q3XMZzTz8zc
hultMHirzpzyA4dcCxPrThxS65mYu3BI/TRk4nqDQ24JM1MRDqn/YcyBmGFM
AwAAp4+rMQ==
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.922722408264512*^9, 3.922722408270035*^9}},
 CellLabel->
  "In[1043]:=",ExpressionUUID->"1c1f7b96-46c6-45e7-8443-2a80fd507939"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "9", ",", "8", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.9227224113594027`*^9},
 CellLabel->
  "Out[1043]=",ExpressionUUID->"058d0056-dc4b-400e-9f9d-282cbdde2631"]
}, Open  ]],

Cell["Here\[CloseCurlyQuote]s some handwritten numerals I grabbed from the \
internet", "Text",
 CellChangeTimes->{{3.922725201533463*^9, 
  3.922725211365864*^9}},ExpressionUUID->"9e829f22-2a07-4969-9e84-\
e8b8b099b20c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lenetModel", "[", 
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3b1qm2cYxnH1g9ChgQ6ZsglyAJlCR3cyXdN085JQN2RRISkUn4BXL928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       "], {{0, 148.}, {268., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{268., 148.},
     PlotRange->{{0, 268.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztna+PVFcUgElbUbkaV7kS16CoIpXQ1KCAlG5q2ASabCqQSNz+AWgcjgSH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       "], {{0, 148.}, {211., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{211., 148.},
     PlotRange->{{0, 211.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztnQlwVOW27yEEipKy5FlaeLGgxAdPKaAErsAFChCuohxnriMeSxkVBET0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       "], {{0, 148.}, {158., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{158., 148.},
     PlotRange->{{0, 158.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztnQlwVOW27yEEipKy5FlaeLGgxAdPKaAErsAFChCuohxnriMeSxkVBET0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       "], {{0, 148.}, {158., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{158., 148.},
     PlotRange->{{0, 158.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3T9sVNkVB2ArSZHGUjrXcUXtKpR0TmdtFLneJWQ1DUFspCiipXDjxp0r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       "], {{0, 232.}, {218., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{218., 232.},
     PlotRange->{{0, 218.}, {0, 232.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztXc+rZMd1Vn4sQlb5F7KVHsrKENAqG0MEysIi4KUtoohISDFyIA5GGwWC
Bw+eiV6vBma0EchYseQwCyUYZZHxQoyCwAlGEEYEQWKQrCfrh8eWrNxu13eq
TtWpH7dfv199q29/Hy53v36teffWPXXqnFPnfOcPH/nrL/3lb99zzz1f/z33
f1/66t/+ydNPf/XvHv4D98OfP/X1v3rsqUf/4k+f+ptHH3v06T9+5Hfch7//
W/fc85p7/V03VgRBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARB
EARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARB
EARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEMQ4
lif4no6Awf6wPGaM/Bs5hrWXMKy92KH+75f2d8TeoCEmXnZacuDlRmULr6Wc
rZe74u+2ZH5juGsZxmR4zd/U/7b6ubEmiPmhKSND+3P9bHBy/u4nq+GdD+L4
/O2j1edvvbv69evvrD597b9Xv/7xT/3P7hWffXbrf+Tzuy+/ufrVP/+XjLsv
vJEN/fzTV9/yw33f/lvyN9zA3/v///vIX8PPf7la/nqNnC799Y6DMr7XGNp6
bvnJZ162fvW5yN/H12+tPnzspdXRA9dWP/+zF2Tg/XsH/7j62cHV1fv3L2Qc
HTznfr4SxtXVz+77Tjbeu++yDH1f/t7+t/i35N90f0fGw8+vPnzipdUn//Cv
q7uLW7JmsE6wvrA+sB6asi4fDeZeh9r+IvYOkHHINnTux99+TWQLMo7Xo4eu
B3n0cgg5x/AyeSjj6H7/ucr+B3+0iO/9OAyj9dnYWMRX/Zu6xrAu9D3+Nq4R
a+Kjr/1A1gPuA3vD8Rg2t8uI3cCIfwj9DZvh7rXbq48efFFk5737LskQHazy
FHStyrHIlxm1LB9m66B8j1fIay7T+fDrJb2O/Zv2mvS9rAXZSy7JK/ajuzdu
r37x9/8mr1jXw/t3ZQ+DrSQ2EkV+h2FslJHniGcNOwD6UOUccqJyE22UTKY3
0cm5jOK/bcnsSf+dJNP+Z9Xr4/9dfg/+Hi9nNpX87gs35BV2EvwHsYuIHcGw
9j1kHLoN/iTs34++eVOetX/2m8vzbo+FeV0E2+iq38vcPGCfg08QsaxjWPnP
jPVsHdFWacTaTBwO+znsXNGP6kMamzvZ3VPL5DRD9yLI/4df/q74ALD5qrlu
vSe2AxtXHos3rrxuxzN8795nM3t8zJesbfP5Dr1PtZnUHvJxpEvy/pNv//tq
uHOUbP0qnk9sB5vHF2DLwHdTGW/5fVPL3rRjUbwmHSD+wgPXxLfHPOrcV+dg
xHZgRB4xB8Tk/F5szkidL6Y2O2TbxlrGZGDf1kDpa9v5UV9ezgIee0liPbm9
Q9nfOpxoY8/96NKrYptDF+kzwecfPvmKj0+EeOC+2Cynlf063qqvGve8JHof
Z1/p7JfxzfNFbsO07BnEGqGD4HOl73hbU86WXn/Hny09fnNl7fh90+fnMxYx
pov9E2cagrGcOuKUGIqfgt3ifFPEkrHvfvpP/9n8LyU3xX0POS5yXn9Qxskp
96eRe7zCz8XcRzs/2PhR58RYGnEyDM1XyDLyALDfIjdAcr7ev+vzTEIMHvEG
rAXoIzlnOkjnk3hm1PNnkfmUTyS2jtM9/vFQxs8DVm/gPewVkeNwhgib5bMf
vi2vv3jmtXimiLMVxGv0e+Vzo21/+lGeS8PWgX/LOOY5weTvAvCfrBzb89Qy
r9G/T88p11XTy86ujZSTkT7TmD7kHvuq923p154dXmfAZpH91NmRki+1uCXz
nOfHeJlu6/EyRk/ZP53ct9cCng18J9FPa3P2ifXw8o4YJOIzsM2l9sLtpbBn
ctuFMjzdOkh5bNiLMx+M4n8CDLHOBzodsXbYMbDpcTbo8yCTLTP1s9/3oXEB
PKeYpzaM1VgSbRibBnVIbi6lds7pebXXkQcM/Z/yxaZ/9vs3bCxsEZ9FGceM
oN5fDzc/kHPN/YD+wCtsHMg64paw7/F7xh+nGzZfLebqPHS9OLdiHdYmgB0P
ewZ2DPIjMfQc/PP/+F+pc4D+p46fbtTnfOHcKuipKPfERsB8JR2+iLVusGmg
/zXn1eoajmllP8XvQ+ze+WICU3dOAHldk/DGvPuJnDPZ/CbodcQpP/veTyLX
wDzOmMZzgTQndPprHB82/pvl4ocalOwZ07zxyDiNvMwjHik12fd9R2QdeQWI
AyB32Ns7l5syszsjcSLYeJ/KkD132N017XW95gBSx1sUuTVOtpFTgDmzOWTI
q4H8t2qddk8uclsgrxVvyfqurWk/JE/Z+bOxtpx6PsD69IP4rtANmDPkjumv
cN7hbfjDKC9WbqZ+vieV+XbdVv55vg6mvubT3Sf2auSJ+MdLofcwvo3zdRCD
//ipf5G8SbFpwu/w+ZzOXse4cVLt7mE835z6Wk8r73KP7n4QWyaPiKLwX539
IpxhzkcF/xbOXVU36Hlsbu/ucsxmkdntuDfYcrjPnINkF203W3/l1zHiywRg
41dB5p98ReI1sOn9p0uxd5Ar7Gv9+pWBVv6hlV35zsFziVcm8FJqDZ5yT2pM
SuQmfL+l78t9otd5wRrGvo3cy33nyKy4rJ1uR/4YhtQ6hd9DR9h4/JS6a/z3
ud62cqn8YVprgRge1jDWN/IRhcMYHMTunm1NI2RFuWBLu8f6APV+0Jf8S+2O
u2/Zty1OxUM+A9iayjtHEpeXOgTj76D2qTeZr+Xf6nH/jFVOcU/Q38LfDZ5j
5TuGDNjnHfJTEJOF7GPo9+DP679dynft4/QVv1V+zlYd7f4h1RnIWZR7vtBx
atcA2A97zauxfmjkc33ouudCdXaKcqFuhKXOyEgfh6Wve/c1j5pTeljo/l7j
WN5fifGbxn3vE2zfDsi38qjH3zvdn+uw6eW8dT6g3NeaU5j1QxgCH5LlG9yo
t019Xo81BF9XOceUD9/a+z3phpSLcFn2Oz85ZxCYXUfx/IUb29nuiTsrxCjD
fj613HvfUteft6dV7pRfx67hVXh3unkpfrZztfTzAn9AOE9C/t3U82NHmTeB
64NfUt3f3sm/0WPhmUo/j0duxm+oTpvyecbzIqkzT/Kv/UbAd5zuwdyXsVdq
Tt9VU7ab3yt/Z2qFxfaTmFayd5J+nVr2zfUE/z3uf3sn6wGGVxhzIVzZ4KRx
z1B+7T5DjGu6c5lU9ya9O5xvrb4pPmvap9ucO62PL87rxmOm0+kLjcfCP4/X
v4ew/hrseNh7H37j+zEfD2d3OKOCTt22japyo3sy8jnhW8CWwGfI/ak4qycC
rgOxrWTX9yHvpf6Q2kFjt+4lzFqHHS88NeiJ5J6dfIb4XNCr23w+OW/IFYmV
Y/3JPnTt9uqXi9c37NO0PWBPxBxqLWVPcm/92GgHxgufZLo6gI9reF/M8yJq
n8hpcgwWWa6L1CO6/QY2hFyb1jk3elRNg+QXYS3qPE4t67WeN7nF+3oeZXw0
4Rl+8MUY5xYuUKe37DnjtnSSzRXBZxKfCbkCeE06voeccMMXCZ4I9Jx1fkeK
MfUyEv/TXsPG39zzwllO7O/lbBzMD+z7bdrztobD5vJqnAbrErazoAuexqTj
YdfbPhNTj/KsGDIPv4hIsLF4yJjkpUgvqMXksQjN98I6jDmCnezLMRbq9Ib0
aT7oJ25T8ltmer46n9sDLPPYDWyGyBdxv/bS7sUuDdeFOOpY77YO4HOT+vFh
s70Ser70YTubv22glHnhiy/yE/s4Xwl6y8m88pGWvSSnQ9KVqZ6sD5m3eW+4
LsR7BZne2F9A5tf1PZv6+Qk/7Ld+ZK941cUzM/GjXvKube6nPZfytW+r/bJn
Kpg4G86ghI/1apyrXuRe69wg95mu6uLZpXWHOEAfts0ii38pzxNh4mzLwF12
6dWObPj6OVqbtBvbRvN6nA7VXkLTz9XhKrdrmFfpUdsGylFp9esU+qmlJ/VM
FrEHX9Pc6j1u721LCHk3OCubOh8vf265zO99bL5EkBk8t1xHpPfT+bImP9Dp
0Q+++JyJPzRkeyI9ZnNQp86hT7nEya7ZuH5mzmjkUUvPetRBVL3+tinzrboj
5R/1uh55N77WbSw/eFt6Pp1HIe+tlzz6Vu58VQ+751CbHpD84WKP3raOt/6z
lXk9K8MzxHXirL+HnHBcg5f5fnyhjLtS62r22pZvINilqIdN8bbt54SX/dis
rhceg9jnoeRkXG097hzrsnC28fDz8Rqnlnd7HcJjsrjldQNlPof2171zlPV2
3f5eHWpcb9yWZ2VzzfR3dg0KT5fGnbc/afL/8C80r6wPmT80euNKykXdd5S9
00MPIuyBeIY1h8UWZT5wzkkfZvBMof/1QZ4zJVyMzq7H2KwW4jx0f+4/wEZG
7RHi8lJ/1+DYmWKoXpDcPLf/SC4qdXyA5lV6HjPl55dY/dd+EHyybdby5+co
sN2Vc0f4A/EM7TlLyP/E9ULXV7VvS+urrJH5Y+UhP8tQINcAa9LX1kyhH8b1
u9Yg0K4ZB3RBlJmV36+n5LXRZ6a1itif1X6IvfLcz8gHxX4AfZ/Z9vbeNPfR
yv5ZZEBrYd16e+/eZ+P19qDj7bXktVEdnN/1AuX6cPs0/FfhZ0WtW+iTtu2e
Inm8JvAtPn5zhViN5vKXsWftewVZxH4la9fGLTfht9hkDRTf8TXyrfjk1HLv
7XjsQcfucfsIMyewD2BHSH8RJ/uSPzJRP0ybBwu5z3vSennHWoBuR10X7H/l
3Mvrw4fCxinvfRMM+T7h1hb2l1Qv3BuHcZE7TLn3sHE9S1fr9D3sVKm5fuEN
f/Y5kg9wsfKeuJv0OaqO13pB2PO4RuxPqAHC3pRxmG08Dyf7nsp7uwawDx0v
HE7sszACy2tnPnU2gq+JTc/xovVYGYvP/2a57kJ/PGfHCycJbFcn99q/GfYN
9ir8jP1L/RX1d0/q12ksHmtMa3P17Kys351azwsnKznnTwgfxwH3gfhp5ozK
nglNvZ9rnSxseakTDzySGL7voecm1dgrbCF8F++hB2U9IF+tXO8F95n4N+Dp
c/ZxH/nxdX9YrSHWGv7Eu8yeyMfD8DI6eUfsW/h4EQ9f3Mrmeuo6WZX7dOaf
7CDPPX9JfBLof8Q89fdaG4P7GTvPwn4AucH943vaB73Ve2rqUe6FGR8K7fgN
4ecJcwffEHry6Cs3xL9FrCLPTZhe5+Xyfhh5emDjQI+LbeP2LXBxwlcBL5S+
F//2zlHsu4B9AT481jnOKFTW+6uXzH2dmCfv1njVU4TYAD42IX11nJ8Izg/s
7bANNG7fk/2a5DDxgmTn7eHxe9vE2ztar63cYxha967nvmNcfL3cs73vMme4
knkugWMhPqDTf9Lr/t5nVx9fvyVyL70HcEarXDiT67xc94pfGTiLte+C6D2n
6/GZ2PyRs2fRyCtaZMP2Ueitp4LmY+j6zG2aFW2bk2AIXMXgRnW2gfb/Vi5g
4bJ0+j/lAkyv56zcK1cJPsceJXnH4ZwW61X3grqOL8n5ul4+U99zeb2Qd8vL
V/dKo9wfC63jd/Yt5MXzAScbGZ+VccMyZtfDiGfIQbbhm8h5bqgPxX30xMF0
vHyX63wRYwsnPpcgEparLF4v/mvoK6A2o+RWPfFSzEHTZ6D6sAd7t9XzONrr
iOc9+KLJDZt+bD5naZ5l73XyrjmxxFmQzx/ON2DPq78nfcKdre9tnkuFHlqY
nJipZanOg7HnuP1xqa67j4WJy3r9Ljz88WyNMn92mPxZebP0XNPOPoBPKzk5
zi/EWqjt4J5imGV/pfza8s+nv9ZReQ/xYcmpdvOPuLHkFUUdP32N5G6jmD9j
60CvwLbB8xA7B/3EHnupC3/WjvFradf59rEvNe4DtSgPXZfYKvwq+CHRXx0o
6+cDq99tXVCelwOdLzEQp3NU3nuVm9ao68ynv6Zy7WldjPRzfP0dL/eWl3mZ
PzeeQ50FZe+8ti5B7Bt7rY/V5zp0M1th+3WH9rUnmS9j/7EOzO2piLMKl1XG
UUP7/eJR5x3jzAcx/DLmV3NdHveMe/F5pxypLlI5TWDLaN5EFXcntgDD57pK
fhNyVxDzljPOELvc/Hx23+W8ng89L0ucVUXfcor9llH0gkfOLWqrXn5zpeeB
eHbH6+yaq2zf9Xx+JuxznXOODtoyU6DmEBjEl8W5leThIOc4O6c6Tu5Pav/P
d5T58GrPS76H1jsxj2briPaknXvUhjr/CjmsUkt4sEkeVtoTbP/jfZf7MncI
c4kzQKn1jRw+ZXyBOB8cM58mTgY5R46u7TdwHO+F9vOSuE9YJ/su7/kodf6V
yGFFrtWLwkissvCpkH+AMxLEjKWWaITLS89BI7+Wk3mbl5zXG04tb72NNCcZ
X40+g7jpUu+fD4pcjiHJPuLGyrXhe/JY22QxmoOguS7C+R1rkPrLTe9xYK6w
n1bPKOuVS9k/FUoeEGO/o5ZEcg2crlaZ1bynWscb29TE4tVWbddqTC9bfY3E
w6f1f4gPI9dGuE3U1mEM83wQOYwGkXXY4FKT0+ghEzk6wu/LGtLxfPvWzxzl
vNq5hNzDJpT69Bu3xbbUHqLEaZH3HMbcgsdP6kbWcvn554KcS63PyHvO1r2O
VNbHak/3fbT3Tu/X4pkIJ7KbY61hE1DnnwJJX0gduNSMXFnl9kteK+JrMq9I
niWAGEPbXllkuQn7fhZ1/Mj1g5V73Vd1b81sfcr9CZG4jOCnau62PS+1tYC+
btDHFIQzHhxLsZakBz1p5SQ/Lyvf794aTPKPOYfNQxt/Hcb8fV8DLrnxTn4t
P2ppm2i/Itj6+L7W8PQkO7Udtvm17ZqPgbmPPGbEBkg5ZNDX4rMGfoMWfxls
Gcwv4vSel/pqjMdMLyt1LZTkbx08V+1Xamu1e7f1s3bXDXsPYuc881r2TAmD
or+kcptCjqHjx2KKmv8X4/OG72Z6ea9tGvys+Z/6nVQTW8eg7Jj6Xo5f22Xe
UuCvVb+2wcG7tzDyDt0Oewa5fJD7krep9F2F//2Rmz5GX8Uup9eNVu/pniSc
fYGnBL/DPYK/QW007VPYxz51WpkP6xb7GXjN7hyFJ0yhF1jqH3Dvhho04fGo
ap9adR2LjDugL46bRewNJPkOYV9SflZ8B2sANS+QfYmviu/ic1v6t23aZ9xZ
rwp3/8KN4Gx7ynwN2DOot0x2SmuOx+Z+u8+7HXepz4Hr85xF3JeUl1J4S8Dv
F3jpJQfowRerNZ/XfvW6DurnAn2f8vDzc5f9ROgT6HS88rLXfHb9jFK+bU6P
3V88D4zhW3V+OAZ+B78cPoicsSFX8eU3w1QsM12I882c86nueTL1fBw/V+Hs
ynC35jn4+4vU+7vvM6Latwy2OvR24BLG9SOWBNmGPEO+pa7U2bWQY/yMMwfY
cWrTSM1pGBqvWm+39W3vl/679mMR7HW9idfxWP8aj+zZfs31+mF8lrhuyC3y
PLGHQ2brPgr+GUu+s+h7vy4++KKXYdh0Vv/nsaq6jrHXOdKRcyim3jDSU6Wq
qd0j+deaD6f7ZP/rOC5X2tGa94MYtDzHjK+x5HlJZ8raM0L9O/iz0PmQcZzb
Y70oH6HmyaVxNfEZZ/0Cp5+fTXSFcrmuspnZHwNH7xV60cpSz6M8B4O9EhHi
z83axcJnkxiG29uEmx49SJzNgz1C+faFS8b9DJ2PNYK/BVnx+dOXxe/B5/la
7GvYeKv2mFI+NLHz9qLOZMjkQfkKfK3H1cZ8TfvMWjFRvIqueuENY7u0uC9a
z3GzGlLpIVVwWsvfcvuI1oLBR9Aci2Tv12cTZc3MNm2iFie/zJ/TF1lN+Zxl
vmG/+d4yqS9UH7ZNLiMxHyD00ZCcTWvHnHVrLvg4x/b6qPe/9SOJ6WOPwB6p
vkHJRT4m41PHB5Qrytv1SRZmC8s16fZw2/Oxra+m0e/lulN/Mu93evExZpH/
wZ/Twc6X+rAnPCezxvlbfn99drB9PT82fC3y5Zjvjfubp01fc9d6joI8NtnL
uWN99r9Iz6jary5A7jP31/eRk7fgaHB2PHr1CLeJ859t30ytd0TcB3uA8HgW
PSl62EflHM757fV8zhWD7Gt4LlLD1E0OZHtAZrAXl/dwcbNTC4F+Bl0vPZSd
7MPGt/lIKk9iO7i9AOsEtQQaE+pBx1udAjsx2Tfzh/COfe8n2d6seRpT25v2
uQg/gtuLYD+HK2/dzUXPVvobwxBtAcR+pJfstduZ3IuuR1/yJ18ReUcOnvYo
72cPLThDZomiX8jKn82UPdz78GHzeIf2GhjFhe7NDd6HwKkhcfwHX5QYiJ5t
qO7Q/EzpQe7sH/EDnD2U+Gunlnlv32i+5Vxh45QSb2j2iZx+WLsXOhLXin2p
D+T+g/TNLeJe1k7UtYszMM1lmFrPx3NZu3/O3KaHLSp2aBGT72t4XenrHTSu
MHVMzfz9cM6FOL72WYlyf2Bq4oPdLPsn8hm66FFo6sndHurzzqae24sFzuCm
1jWbPBfIiea/Ji7kDlBex7AUfS81lNg7s7wlcz9Vrdm0c4v3WR/l2SHFKXG2
0uJj6mVE3ej0Yqpz6EAPNXOyhiymA38W9gL8Q2vn9FZjaOvGyvybWSH0srfc
wVPP/ZgeKnla+jgzsdy0IR9V958hnF25PdSv2SvFmcdh9b6HIVxEbn+aJ5Lv
pXkivc1/KfOwk3cN2JcQY4Ku9zyeqS6xN94cjS9h3581Bh9XRp5gjzEblXmp
b7jh6xv60PGbQfP2IPcp17ivnPuMh8vplnnreR9bQ24UYsV9ynyIo937rNRt
CboX+ZqXX/PvYw1XjJH1tL8uYo7qnIHzQOGrCXWhfQ6v5/OYfAc+7Ah0H8rO
+5wcSV5HwffWgx+b5RVD5sN+OjuEx4Hz8PLstbehHIGaw17VgPSGgg9L3uEM
5Js3DR9zur9+bPpwBoK4zdDr5J4F/nngHLznOGWsgXrwxXTpy1V+9t8dGr1D
kX957XbG85nX8fYxIvdNyBudFYK8aOy4t7nPnoNbk/GcZCfq80u+GN+bAvZj
n3a8rbG86rlGq3r5GSCT+cSpPfXctwbWZC7zit5lPwG+SF5P0pNNY3JW3fUh
Jhx5b2YG6ZvQfa2+75WEnCyPHeiD2rC5EA9WLom6HmfqOT6M16FrUnOKdyku
vAmEwyZwNvYz9/WzgJxkNTwNH7FL6LWiP/Srb4k9r7Wy08/ruMyDAwB5E3ME
bLa+dXx6FpD7aGPuiszHupJlPIe151I9zb3NMfvo0qvzi9tozXeQ+R77bee2
ro/Ppxqe3mW9BvQm4vOw0/L6qB78qDTXoue/8f0Z2vOJg1VzQOxa72HkPHPe
j43ng8MuyHwRr7xz5Pv43QjxysDr3ZMfq/ON68w5nuYF5VYv1/vUI+t78/Dz
Iis296CbfOJRhFjlkLjhIOeIWQqvd0f5TS0eEuSjzBWJ36Mfea+eSdCPGe9K
12dSitSXCHlbkHvl/vv4+q2O6tLy2kXV87NDkBfEE3o/k1KuA+GNHlL9dbd7
b1EbjpxKcB17OfJ9F/upkTK6RWtanMzPWc+Dz8Tyqfc7/Bmh8AQ72Sn5I/tC
4suE7Oi1Ky8kekknu6YXHzatvciHODOojtReItrPe3rZPv75yN4bOPu61fUr
r08Q61adLj1zQ98We09T+7Etjrh56vngX7n/iW0Z+4NNLdNrZN1wSEN2Yh5U
T2IfrgX8WMjfy2Px6dXmEE8/7+maJGYAbm70qOipzv4cEPUj+KQ74T1Y/+zz
XlGw7yUfYai5qbY/j4bTzAF7EGpcEq9TeX8truKpdYofuC7tHyeYocxj/5Ve
9t3WSbWfi+b/SezPyZjwbxVnh5uvgxPm8NjcziLPU/ltbA/dqedrs7GInNyw
a2aZS7xaRY5F7MMaO5vattx0aF4IzvSVi0hyLwcTyxy56/bvxuW9uXYKvmrh
9XD+KWI0JYeZlaup523tnCKX7/Gbs+eshF6CzEufsJD/VJ6B9jqk54LTp4mb
JeR+F7x+7d46q/G85LU1KUm/I3cDMXfhbgp8HpZnu6+8yTXzGK5Ve3HlnP4z
g8bTwlmJ5++bnjN0fLT6daR6Ix/Hvyy2Puy1vM91Q49nuWq1/pf6psxeX8ae
U9JP58ZtsdttbXdpz+yKbSOcWV+4IftmP1ygFwfYxMrB0vuZbDnq+roQg3B7
AGrccG8YsE/hq8twdoi1V5v88k6HYw8UXnnnK2C/h+0CHnndX6ycl35pura6
h1R/I9RfOp0numKmtnzGJ71cxdynfp9LW97r/rB+YJ/WXB3Y/ZLf4mw33CNs
OckHCH2osB/gOWuOAL4r/42TAYmvB75J7Y1p/06rnrvsS27lv9chvXVefcvo
+J7P/M6CdF+wb/IchJKHou9n1loPiUvmSoqjHPheN2L/uGcMucd7/9nl2ANW
ZXysD/KujdZZgLXjoQukL6jGKHcid/VskBrl0Ou61FVTP6/zGflaltqr67fE
Noes5/ZHfzUd5zFsnys7L8rjBFuu75yO8wfsX9X1uxJzOMuzx4Ad009+48UO
5b1XWbdc+MpxPl+bpg3sa3kM4nBWcl/a1Nq3fm73eZI1IBx2bn/HPl9IwyQy
eKEYqSlFfAI+W+prNzd5qP2UVjyxd5/zNEPPr+XV2TOQd8SxtDdXz/l6Fw3M
A+IV3o+7OsO9v+aB36chZ3fgsHnnA4lTpbxhq/9mqOePgfS+C5zv0h8JfTJM
DKPVz7cHvtHjRumnzFGfrxt4jtBnGoOXWoRPPptY2vqAr5+6JOeN8G/AF2m5
Fv0c7pe87PrQ+CvyCiU+M1xQz/QdhtT0wKf/8U9FH2g8M+dJoNzvxgj9iZ55
zedOSH3x/trvOUxerZsTxPIwdH6kP1KU+13KleXA0N6casPvs9/aBHKqwC36
0PXYSw7xTKmJiGe21PO7M0KNmbPnk11D2yaHnw9/VnlJci9hC2rOVf/8rhxW
3jXnIvJ40LYJaK975QSBrGsuFuK6th6Idk7fAz5s6ndM/b4JkF+NucO8gXsR
nC34TOV+3+J+/Y6a6zv2RtMyaNrxGwExS8nRCPMnfhDykJ2tn9v3tHemlHe7
32odja+XX9Y1NBT9cah+cD4t6iaEa8Pk4MEv8vq+nneO7Y6033p517hbzvE5
rPrn/OwBgVfD+bHCfwI++CH5uTjvyHmmp3/++zay/sah9inn1Tb1vFTyJ4DX
EVmu9RB4GNEzKdRgTP3893d4ecfe6+ueih7N9meK/YmA+USdndSXonb0zpHo
e+3zPr/ctF0YIWfS2Z/Yj0efXbRraNtsDGPff/zITak5klwFJ+uwH8GlqvW1
Y/xdHGeT7RafiHAwPvz8WnknzgCVe2cvInapMUupI3Wyj88o5xcn8+XP4q+G
HOE8PkNdfq4wcq+2PPxY7TU6XlPOcZaRapaVv/Oy7K2+z1wZm1nRbr8gICdb
+NBM7mX+bPYvX/2i5N2/X8RYgeRJRrR0O3X9uUE5Sk3sC3sr6skTH0yfHLy7
MKyOwHtbvy51PE6/xDqnJj8HbZvzR1unQOcjR0d5Y3g+e/qR1yX7uAxsSOgV
8VUzbuQWDyFlfpvAM0GdQhm7tByT6bnW62GetlDtf5YyXnLQRF4ON4+Iuydu
jjjTPGPqAWavFa5qZ3Nq7X2p88dsnjn5vWNcCznXUiH/B0nWkdckPPtpglcV
nzIxMfI9VewdZ3tqXDP1sCp5Hev+M/MZrbh6yRvn9YJyDUlNMvo7bdRTgnZM
NzCPB/E06W3y5e8mjshM98/b57UxRvtezzZU1nGeHeu1y5ywLCd4qN4TU2Iw
Plbd+wl7NWwenKUol5Ry6rT5Fecy0trWPpp4j3lAvDfjw7bqvOjlk80xbZvp
ofHLKoZQx3rwjCH/0P+Sw+DkP/m8c/Fj0xq2XMmQc9wz6ozbHKl5Xhh91V3D
UOutZbkvD/L8fQz6UrR9au7gFn9wmevQ8hfb9kaLr7r+/nq7q90DQu3zyzHn
FHadyDlyspHrW4kxz5T2A3aP9rzQ0PspX+0w6kf1geNrOP9S3lXlmS/9hMTN
2+rT05LjmrOttMHztbBI9ln00w/l+nEfn/3w7azuILtvYu+wds9GH9u3Pd8C
7F3oSPgBiGmg7g3nM8rFI/1vvnLD8+nDR3jgmj8bC71HEgdnHh/S36fvXKlk
W/9b+XeRY2HWn6wz/C33t3E9uD6cy+G6q1ujjBOCxv69Cb/c4OtXxCdwOhS2
gvSNdbIm/aOcnQQdixgpatahc4WD+uC5bI8QHR3yQeW74RwNNonk6KpN8vKb
4nvg34YtjjWHz3BOpHxvpV0+Glds+qQEUcr9ZvVt9nfSQxD90MDPg3XhBtaE
8hJK/i1+h++Ygd9jX4GNlddDDvHflRhLo+cg66yJ47HGrj2L3FyEzKl+xjnR
YK67iisqRvYrrgdiFGM2zjG6tGE7jPZIbvKvJ3ke31OYu0gQBEEQBEEQBEEQ
BEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQ
BEEQBEEQBEEQBEEQBEEQBEEQxP7iN6LpqBc=
       "], {{0, 266.}, {189., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{189., 266.},
     PlotRange->{{0, 189.}, {0, 266.}}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.922722449031294*^9, 3.922722495096471*^9}, {
  3.922722534579472*^9, 3.9227225479030724`*^9}},
 CellLabel->
  "In[1049]:=",ExpressionUUID->"f5d2d1dc-8809-433d-b71f-ca8c3b1c41c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3", ",", "3", ",", "7", ",", "3"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.922722454780141*^9, 3.922722496030416*^9}, {
  3.922722536010969*^9, 3.922722548601273*^9}},
 CellLabel->
  "Out[1049]=",ExpressionUUID->"0fd48e5c-72b2-486a-b7db-e16650f0ff56"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.9227225435561543`*^9, 
  3.922722544300193*^9}},ExpressionUUID->"a1e28ca1-46a3-4e57-8433-\
cf0f3c98c4cc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NetTrain", "[", 
  RowBox[{
   RowBox[{"NetModel", "[", "\"\<LeNet\>\"", "]"}], ",", "trainingData", ",", 
   
   RowBox[{"ValidationSet", "->", "testData"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.922722205883601*^9, 3.922722205889801*^9}},
 CellLabel->
  "In[1042]:=",ExpressionUUID->"522d4c28-88b4-48f7-8bb9-0a2a131aa6a2"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
    RowBox[{
      StyleBox[
       TagBox["NetChain", "SummaryHead"], "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{
       Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
       TemplateBox[{
         TemplateBox[{
           PaneSelectorBox[{False -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxOpener"], 
                    ImageSizeCache -> {11., {0., 11.}}], Appearance -> None, 
                   BaseStyle -> {}, ButtonFunction :> (Typeset`open$$ = True),
                    Evaluator -> Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   Thickness[0.014925373134328358`], {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{23., 91.5}, {30., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{37., 91.5}, {44., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    FaceForm[{
                    RGBColor[0.631, 0.8160000000000001, 0.498], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    15.5, 103.5}, {23.5, 103.5}, {23.5, 79.5}, {15.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.40800000000000003`, 0.627, 0.196], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{24., 104.}, {15., 104.}, {
                    15., 79.}, {24., 79.}}, {{23., 80.}, {16., 80.}, {16., 
                    103.}, {23., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.38, 0.753, 0.89], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    29.5, 103.5}, {37.5, 103.5}, {37.5, 79.5}, {29.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.24300000000000002`, 0.608, 0.71], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{38., 104.}, {29., 104.}, {
                    29., 79.}, {38., 79.}}, {{37., 80.}, {30., 80.}, {30., 
                    103.}, {37., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.584, 0.51, 0.8390000000000001], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    43.5, 103.5}, {51.5, 103.5}, {51.5, 79.5}, {43.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.4, 0.396, 0.659], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{52., 104.}, {43., 104.}, {
                    43., 79.}, {52., 79.}}, {{51., 80.}, {44., 80.}, {44., 
                    103.}, {51., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.549, 0.549, 0.549], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{28., 91.5}, {
                    25., 95.}, {25., 88.}}}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{42., 91.5}, {
                    39., 95.}, {39., 88.}}}]}}, ImageMargins -> 0, 
                  ImageSize -> {36, Automatic}, PlotRangePadding -> 0], 
                 GridBox[{{
                    TagBox[
                    StyleBox[
                    TemplateBox[{
                    TemplateBox[{"\[ThinSpace]", "\" \"", 
                    StyleBox["\"Input\"", 
                    GrayLevel[0], StripOnInput -> False], "\"port\""}, 
                    "RowWithSeparators"], "\":\""}, "RowDefault"], 
                    "SummaryItemAnnotation"], "SummaryItem"], 
                    TagBox[
                    StyleBox["\"image\"", "SummaryItem"], "SummaryItem"]}, {
                    TagBox[
                    StyleBox[
                    TemplateBox[{
                    TemplateBox[{"\[ThinSpace]", "\" \"", 
                    StyleBox["\"Output\"", 
                    GrayLevel[0], StripOnInput -> False], "\"port\""}, 
                    "RowWithSeparators"], "\":\""}, "RowDefault"], 
                    "SummaryItemAnnotation"], "SummaryItem"], 
                    TagBox[
                    StyleBox["\"class\"", "SummaryItem"], "SummaryItem"]}}, 
                  AutoDelete -> False, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, 
               AutoDelete -> False, BaselinePosition -> {1, 1}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True -> 
             GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SummaryBoxCloser"], 
                    ImageSizeCache -> {11., {0., 11.}}], Appearance -> None, 
                   BaseStyle -> {}, 
                   ButtonFunction :> (Typeset`open$$ = False), Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{
                   Thickness[0.014925373134328358`], {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{23., 91.5}, {30., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    RGBColor[0.729, 0.729, 0.729], 
                    Thickness[0.018686567164179105`], 
                    Opacity[1.], 
                    JoinForm[{"Miter", 10.}], 
                    
                    JoinedCurveBox[{{{0, 2, 0}}}, {{{37., 91.5}, {44., 
                    91.5}}}, CurveClosed -> {0}]}, {
                    FaceForm[{
                    RGBColor[0.631, 0.8160000000000001, 0.498], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    15.5, 103.5}, {23.5, 103.5}, {23.5, 79.5}, {15.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.40800000000000003`, 0.627, 0.196], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{24., 104.}, {15., 104.}, {
                    15., 79.}, {24., 79.}}, {{23., 80.}, {16., 80.}, {16., 
                    103.}, {23., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.38, 0.753, 0.89], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    29.5, 103.5}, {37.5, 103.5}, {37.5, 79.5}, {29.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.24300000000000002`, 0.608, 0.71], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{38., 104.}, {29., 104.}, {
                    29., 79.}, {38., 79.}}, {{37., 80.}, {30., 80.}, {30., 
                    103.}, {37., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.584, 0.51, 0.8390000000000001], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
                    43.5, 103.5}, {51.5, 103.5}, {51.5, 79.5}, {43.5, 
                    79.5}}}]}, {
                    FaceForm[{
                    RGBColor[0.4, 0.396, 0.659], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}, {{0, 2,
                     0}, {0, 1, 0}, {0, 1, 0}}}, {{{52., 104.}, {43., 104.}, {
                    43., 79.}, {52., 79.}}, {{51., 80.}, {44., 80.}, {44., 
                    103.}, {51., 103.}}}]}, {
                    FaceForm[{
                    RGBColor[0.549, 0.549, 0.549], 
                    Opacity[1.]}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{28., 91.5}, {
                    25., 95.}, {25., 88.}}}], 
                    
                    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{42., 91.5}, {
                    39., 95.}, {39., 88.}}}]}}, ImageMargins -> 0, 
                  ImageSize -> {36, Automatic}, PlotRangePadding -> 0], 
                 GridBox[{{
                    TagBox[
                    
                    DynamicModuleBox[{
                    NeuralNetworks`Private`NetChain`assoc3 = <|
                    "Type" -> "Chain", 
                    "Nodes" -> <|
                    "1" -> <|"Type" -> "Convolution", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{20, 1, 5, 
                    5}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{20}]|>, 
                    "Parameters" -> <|
                    "OutputChannels" -> 20, "KernelSize" -> {5, 5}, 
                    "Stride" -> {1, 1}, "PaddingSize" -> {{0, 0}, {0, 0}}, 
                    "Dilation" -> {1, 1}, "Dimensionality" -> 2, 
                    "$InputChannels" -> 1, "ChannelGroups" -> 1, 
                    "$InputSize" -> {28, 28}, "$OutputSize" -> {24, 24}, 
                    "Interleaving" -> False, "$WeightsInputChannels" -> 1|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{1, 28, 28}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>|>, 
                    "2" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {20, 24, 24}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>|>, 
                    "3" -> <|"Type" -> "Pooling", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "KernelSize" -> {2, 2}, "Stride" -> {2, 2}, 
                    "PaddingSize" -> {{0, 0}, {0, 0}}, "Function" -> Max, 
                    "Dimensionality" -> 2, "$Channels" -> 20, 
                    "$InputSize" -> {24, 24}, "$OutputSize" -> {12, 12}, 
                    "$MXPoolingConvention" -> "valid", "$MXGlobalPool" -> 
                    False, "Interleaving" -> False, "$IgnorePadding" -> False,
                     "$InputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT], 
                    "$OutputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 24, 24}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{20, 12, 12}, 
                    NeuralNetworks`RealT]|>|>, 
                    "4" -> <|"Type" -> "Convolution", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{50, 20, 5,
                     5}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{50}]|>, 
                    "Parameters" -> <|
                    "OutputChannels" -> 50, "KernelSize" -> {5, 5}, 
                    "Stride" -> {1, 1}, "PaddingSize" -> {{0, 0}, {0, 0}}, 
                    "Dilation" -> {1, 1}, "Dimensionality" -> 2, 
                    "$InputChannels" -> 20, "ChannelGroups" -> 1, 
                    "$InputSize" -> {12, 12}, "$OutputSize" -> {8, 8}, 
                    "Interleaving" -> False, "$WeightsInputChannels" -> 20|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{20, 12, 12}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>|>, 
                    "5" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {50, 8, 8}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>|>, 
                    "6" -> <|"Type" -> "Pooling", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "KernelSize" -> {2, 2}, "Stride" -> {2, 2}, 
                    "PaddingSize" -> {{0, 0}, {0, 0}}, "Function" -> Max, 
                    "Dimensionality" -> 2, "$Channels" -> 50, 
                    "$InputSize" -> {8, 8}, "$OutputSize" -> {4, 4}, 
                    "$MXPoolingConvention" -> "valid", "$MXGlobalPool" -> 
                    False, "Interleaving" -> False, "$IgnorePadding" -> False,
                     "$InputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT], 
                    "$OutputType" -> 
                    NeuralNetworks`TensorT[{}, NeuralNetworks`AtomT]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 8, 8}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{50, 4, 4}, 
                    NeuralNetworks`RealT]|>|>, 
                    "7" -> <|"Type" -> "Flatten", "Arrays" -> <||>, 
                    "Parameters" -> <|"Level" -> DirectedInfinity[1]|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{50, 4, 4}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{800}, 
                    NeuralNetworks`RealT]|>|>, 
                    "8" -> <|"Type" -> "Linear", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{500, 
                    800}], "Biases" -> 
                    NeuralNetworks`Private`DummyArray[{500}]|>, 
                    "Parameters" -> <|
                    "OutputDimensions" -> {500}, "$OutputSize" -> 500, 
                    "$InputSize" -> 800, "$InputDimensions" -> {800}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{800}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>|>, 
                    "9" -> <|"Type" -> "Elementwise", "Arrays" -> <||>, 
                    "Parameters" -> <|
                    "Function" -> NeuralNetworks`ValidatedParameter[Ramp], 
                    "$Dimensions" -> {500}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>|>, 
                    "10" -> <|
                    "Type" -> "Linear", 
                    "Arrays" -> <|
                    "Weights" -> NeuralNetworks`Private`DummyArray[{10, 500}],
                     "Biases" -> NeuralNetworks`Private`DummyArray[{10}]|>, 
                    "Parameters" -> <|
                    "OutputDimensions" -> {10}, "$OutputSize" -> 10, 
                    "$InputSize" -> 500, "$InputDimensions" -> {500}|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{500}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>|>, 
                    "11" -> <|
                    "Type" -> "Softmax", "Arrays" -> <||>, 
                    "Parameters" -> <|"Level" -> -1|>, 
                    "Inputs" -> <|
                    "Input" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>, 
                    "Outputs" -> <|
                    "Output" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT]|>|>|>, 
                    "Edges" -> {
                    NeuralNetworks`NetPath["Nodes", "1", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Inputs", "Input"], 
                    NeuralNetworks`NetPath["Nodes", "2", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "1", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "3", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "2", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "4", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "3", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "5", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "4", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "6", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "5", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "7", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "6", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "8", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "7", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "9", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "8", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "10", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath["Nodes", "9", "Outputs", "Output"],
                     NeuralNetworks`NetPath["Nodes", "11", "Inputs", "Input"] -> 
                    NeuralNetworks`NetPath[
                    "Nodes", "10", "Outputs", "Output"], 
                    NeuralNetworks`NetPath["Outputs", "Output"] -> 
                    NeuralNetworks`NetPath[
                    "Nodes", "11", "Outputs", "Output"]}, 
                    "Inputs" -> <|
                    "Input" -> <|
                    "Form" -> NeuralNetworks`TensorT[{1, 28, 28}, 
                    NeuralNetworks`RealT], "Type" -> "Image", "ImageSize" -> 
                    NeuralNetworks`ValidatedParameter[{28, 28}], "ColorSpace" -> 
                    "Grayscale", "ColorChannels" -> 1, "MeanImage" -> None, 
                    "$Version" -> "14.0.2", "VarianceImage" -> None, 
                    "Interleaving" -> False, "DataTransposed" -> False, 
                    "Alignment" -> Center, "Padding" -> GrayLevel[0], 
                    "Resampling" -> 
                    NeuralNetworks`ValidatedParameter[Automatic], "Method" -> 
                    "Stretch"|>|>, 
                    "Outputs" -> <|
                    "Output" -> <|
                    "Form" -> NeuralNetworks`TensorT[{10}, 
                    NeuralNetworks`RealT], "Type" -> "Class", "Labels" -> 
                    Tooltip[{0, 1, 
                    Skeleton[7], 9}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9}], 
                    "Dimensions" -> 10, "$Version" -> "14.0.2", "InputDepth" -> 
                    1, "$Rank" -> 0, "Multilabel" -> False|>|>|>, 
                    NeuralNetworks`Private`NetChain`opart, 
                    NeuralNetworks`Private`NetChain`part, 
                    NeuralNetworks`Private`NetChain`selected = Null}, 
                    DynamicBox[
                    GridBox[{{
                    TagBox[
                    TagBox[
                    GridBox[{{
                    TagBox[
                    TagBox[
                    "\"\"", Annotation[#, {"Inputs", "Input"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"Input\"", Annotation[#, {"Inputs", "Input"}, 
                    "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TagBox[
                    GridBox[{{"\"image\""}, {
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 1\[Times]28\[Times]28\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    BaselinePosition -> 2, DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], Annotation[#, {"Inputs", "Input"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"1\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["ConvolutionLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]24\[Times]24\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "1"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"2\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]24\[Times]24\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "2"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"3\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["PoolingLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 20\[Times]12\[Times]12\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "3"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"4\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["ConvolutionLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]8\[Times]8\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "4"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"5\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]8\[Times]8\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "5"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"6\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["PoolingLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"array\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 50\[Times]4\[Times]4\
\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "6"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"7\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["FlattenLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 800\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "7"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"8\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["LinearLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 500\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "8"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"9\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["Ramp", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox[
                    "\"(\[VeryThinSpace]size: 500\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "9"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"10\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["LinearLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox["\"(\[VeryThinSpace]size: 10\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "10"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    StyleBox["\"11\"", 
                    GrayLevel[0.5], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    StyleBox["SoftmaxLayer", 
                    GrayLevel[0], StripOnInput -> False], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    TemplateBox[{"\[ThinSpace]", "\" \"", "\"vector\"", 
                    StyleBox["\"(\[VeryThinSpace]size: 10\[VeryThinSpace])\"", 
                    GrayLevel[0.5], StripOnInput -> False]}, 
                    "RowWithSeparators"], 
                    Annotation[#, {"Nodes", "11"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}, {
                    TagBox[
                    TagBox[
                    "\"\"", Annotation[#, {"Outputs", "Output"}, "Mouse"]& ], 
                    
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"Output\"", 
                    Annotation[#, {"Outputs", "Output"}, "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]], 
                    TagBox[
                    TagBox[
                    "\"class\"", Annotation[#, {"Outputs", "Output"}, 
                    "Mouse"]& ], 
                    MouseAppearanceTag["LinkHand"]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> 
                    False, GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {"Columns" -> {{1.1}}}], "Grid"], 
                    EventHandlerTag[{"MouseClicked" :> If[
                    ListQ[
                    NeuralNetworks`Private`NetChain`part = MouseAnnotation[]],
                     If[NeuralNetworks`Private`NetChain`opart === 
                    NeuralNetworks`Private`NetChain`part, 
                    NeuralNetworks`Private`NetChain`selected = Null; 
                    NeuralNetworks`Private`NetChain`opart = Null, 
                    NeuralNetworks`Private`NetChain`selected = 
                    Part[NeuralNetworks`Private`NetChain`assoc3, 
                    Apply[Sequence, NeuralNetworks`Private`NetChain`part]]; 
                    NeuralNetworks`Private`NetChain`opart = 
                    NeuralNetworks`Private`NetChain`part; Null]; Null], 
                    Method -> "Preemptive", PassEventsDown -> Automatic, 
                    PassEventsUp -> True}]]}, 
                    NeuralNetworks`FormatSelectedParameterChain[
                    NeuralNetworks`Private`NetChain`selected, 
                    NeuralNetworks`Private`NetChain`part, <||>, {}]}, 
                    GridBoxSpacings -> {"Columns" -> {{1}}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    GridFrameMargins -> {{0, 0}, {0, 0}}], 
                    ImageSizeCache -> {
                    240., {105.4150390625, 111.5849609375}}, 
                    TrackedSymbols :> {
                    NeuralNetworks`Private`NetChain`selected}], 
                    Initialization :> {NetChain}], "SummaryItem"]}}, 
                  AutoDelete -> False, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}}, 
               AutoDelete -> False, BaselinePosition -> {1, 1}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}},
                GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, 
            Dynamic[Typeset`open$$], ImageSize -> Automatic]}, 
          "SummaryPanel"], 
         ButtonBox[
          DynamicBox[
           ToBoxes[
            If[
             
             Or[$VersionNumber < 11.2, CurrentValue["RunningEvaluator"] =!= 
              "Local"], 
             Style["This object cannot be used as input.", "SummaryEmbed"], 
             BoxForm`EmbedSummaryLabel[NetChain, 1778216, 
              Dynamic[Typeset`embedState$$], Automatic]], StandardForm]], 
          ButtonFunction :> 
          BoxForm`EmbedSummaryInterpretation[
           "Choose", NetChain, 1778216, 
            6003857063556220539390818132469420704957470775926789632496, 
            EvaluationBox[], 
            Dynamic[Typeset`embedState$$], StandardForm, 
            ElisionsDump`embedSummaryBoxes], DefaultBaseStyle -> 
          "SummaryEmbedButton", ImageSize -> Inherited, 
          BaseStyle -> {"DialogStyle"}, Enabled -> Dynamic[
            
            And[$VersionNumber >= 11.2, CurrentValue["RunningEvaluator"] === 
             "Local", Typeset`embedState$$ === "Ready"]], Appearance -> 
          Inherited, Method -> Inherited, Evaluator -> Automatic]}, 
        "SummaryEmbedGrid"], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("NetChain[<11>]"& )],
  False,
  BoxID -> 6003857063556220539390818132469420704957470775926789632496,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.92272236838148*^9},
 CellLabel->
  "Out[1042]=",ExpressionUUID->"ca8e2f88-01ed-42df-9ac2-e1911f25d8ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"%1042", "[", 
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x8wsH/9SgbGVeuB4DKGnCkTDOjeRJV5YMQKl2OagabthDxCjmsFmmSE
HhAogeX4zmM650pzAliOex2K8Isnl+pTVaBmSk1CkVNhQgKHUaTm8uCWQ9XX
hio3nYnJYwUYBDExiSDL7L3/9/v3XxD2b20m5nSE1ELOPgRnowgTUzKct52b
CSF3PokJWW49E0JuIx/I71vgcrv4maR0Gm+DgKEIyJ06SE5JRPYAk1DpPSS5
m9JIUmiB+f+GLlwqast/NHBlYyxU7hm6FP0AADtWUUA=
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+S4MTx41MYHLFI/H7qysTEyMQk+BBTbgITo+OkCCYmKUypu9wi8/79
/6bM6IUpV8uYByR38DHNxpD6psBz8P//P/pMjn8w5HKYwoFkJiOTB6aRAUy9
/z8ksjAy1WORY5zywY6RkZH3NTZ9zKyMokyMxZhS//fzsbEHb2ViPopF7v9N
IA5irMEmBQZsTAvwyC3EJXWMReALLjlbpmxcUmfYOM7ikitmrMPpEivGaTjl
ptjtxylHCgAAd+jGFw==
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+UYFuTTUzttl9YZG6JMDIBAaPlBUw5VyZGLhGgHBP7NAw5OyZGxXMn
M/iYmHh3osvdlGFkSvz//5U+E5MMhsa90oyMff//vzZiZIzZj6FTgUng0P//
a4GWSr1Cl2xiZzJwVWMHylW+xTDWDeROJhaRk7/RZZ4E8IDkYvdgevBUEiMQ
MFRiyvz/78XIxJVgz6j7HVPqjwMj17L/SxiZGjDl6pkY6/+D5NQx5SyYGK/8
/38Em9wXDUYGoKcWMzCqYVpnwsQIDOMJjEx9mGZu5WUUD47kYZTDDJL//2+Y
CALjlj0DixQQvPeMrTuNXYp6AACANZMJ
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}], ",", " ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRJI
mQwU/x+s4IQwYxMOqe9WzEzV31edxSa3mplZ/P4DZu6TWOTEmZl7/lsxM9/B
lOpmY44GKYjGlDrExCS34f8qJqY6DKnbMszCr/7f12E2+oIh18PEvPb//2xm
5sUYUr0CTGE//u9gYma2Dku/giL1zZhZ9cu3qTpAOWZmJoF3yHI3mJgYmYCA
QUBHR4qB6RWy3HmgapAWgd3//09lkv+ILPd3SahmODMz90GQ+Q3XMZzTz8zc
hultMHirzpzyA4dcCxPrThxS65mYu3BI/TRk4nqDQ24JM1MRDqn/YcyBmGFM
AwAAp4+rMQ==
       "], {{0, 28}, {28, 0}}, {0, 255},
       ColorFunction->GrayLevel],
      BoxForm`ImageTag["Byte", ColorSpace -> Automatic, Interleaving -> None],
      
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{28, 28},
     PlotRange->{{0, 28}, {0, 28}}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"%1042", "[", 
  RowBox[{"{", 
   RowBox[{
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3b1qm2cYxnH1g9ChgQ6ZsglyAJlCR3cyXdN085JQN2RRISkUn4BXL928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       "], {{0, 148.}, {268., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{268., 148.},
     PlotRange->{{0, 268.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztna+PVFcUgElbUbkaV7kS16CoIpXQ1KCAlG5q2ASabCqQSNz+AWgcjgSH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       "], {{0, 148.}, {211., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{211., 148.},
     PlotRange->{{0, 211.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztnQlwVOW27yEEipKy5FlaeLGgxAdPKaAErsAFChCuohxnriMeSxkVBET0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       "], {{0, 148.}, {158., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{158., 148.},
     PlotRange->{{0, 158.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztnQlwVOW27yEEipKy5FlaeLGgxAdPKaAErsAFChCuohxnriMeSxkVBET0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       "], {{0, 148.}, {158., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{158., 148.},
     PlotRange->{{0, 158.}, {0, 148.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3T9sVNkVB2ArSZHGUjrXcUXtKpR0TmdtFLneJWQ1DUFspCiipXDjxp0r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       "], {{0, 232.}, {218., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{218., 232.},
     PlotRange->{{0, 218.}, {0, 232.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJztXc+rZMd1Vn4sQlb5F7KVHsrKENAqG0MEysIi4KUtoohISDFyIA5GGwWC
Bw+eiV6vBma0EchYseQwCyUYZZHxQoyCwAlGEEYEQWKQrCfrh8eWrNxu13eq
TtWpH7dfv199q29/Hy53v36teffWPXXqnFPnfOcPH/nrL/3lb99zzz1f/z33
f1/66t/+ydNPf/XvHv4D98OfP/X1v3rsqUf/4k+f+ptHH3v06T9+5Hfch7//
W/fc85p7/V03VgRBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARB
EARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARB
EARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEARBEMQ4
lif4no6Awf6wPGaM/Bs5hrWXMKy92KH+75f2d8TeoCEmXnZacuDlRmULr6Wc
rZe74u+2ZH5juGsZxmR4zd/U/7b6ubEmiPmhKSND+3P9bHBy/u4nq+GdD+L4
/O2j1edvvbv69evvrD597b9Xv/7xT/3P7hWffXbrf+Tzuy+/ufrVP/+XjLsv
vJEN/fzTV9/yw33f/lvyN9zA3/v///vIX8PPf7la/nqNnC799Y6DMr7XGNp6
bvnJZ162fvW5yN/H12+tPnzspdXRA9dWP/+zF2Tg/XsH/7j62cHV1fv3L2Qc
HTznfr4SxtXVz+77Tjbeu++yDH1f/t7+t/i35N90f0fGw8+vPnzipdUn//Cv
q7uLW7JmsE6wvrA+sB6asi4fDeZeh9r+IvYOkHHINnTux99+TWQLMo7Xo4eu
B3n0cgg5x/AyeSjj6H7/ucr+B3+0iO/9OAyj9dnYWMRX/Zu6xrAu9D3+Nq4R
a+Kjr/1A1gPuA3vD8Rg2t8uI3cCIfwj9DZvh7rXbq48efFFk5737LskQHazy
FHStyrHIlxm1LB9m66B8j1fIay7T+fDrJb2O/Zv2mvS9rAXZSy7JK/ajuzdu
r37x9/8mr1jXw/t3ZQ+DrSQ2EkV+h2FslJHniGcNOwD6UOUccqJyE22UTKY3
0cm5jOK/bcnsSf+dJNP+Z9Xr4/9dfg/+Hi9nNpX87gs35BV2EvwHsYuIHcGw
9j1kHLoN/iTs34++eVOetX/2m8vzbo+FeV0E2+iq38vcPGCfg08QsaxjWPnP
jPVsHdFWacTaTBwO+znsXNGP6kMamzvZ3VPL5DRD9yLI/4df/q74ALD5qrlu
vSe2AxtXHos3rrxuxzN8795nM3t8zJesbfP5Dr1PtZnUHvJxpEvy/pNv//tq
uHOUbP0qnk9sB5vHF2DLwHdTGW/5fVPL3rRjUbwmHSD+wgPXxLfHPOrcV+dg
xHZgRB4xB8Tk/F5szkidL6Y2O2TbxlrGZGDf1kDpa9v5UV9ezgIee0liPbm9
Q9nfOpxoY8/96NKrYptDF+kzwecfPvmKj0+EeOC+2Cynlf063qqvGve8JHof
Z1/p7JfxzfNFbsO07BnEGqGD4HOl73hbU86WXn/Hny09fnNl7fh90+fnMxYx
pov9E2cagrGcOuKUGIqfgt3ifFPEkrHvfvpP/9n8LyU3xX0POS5yXn9Qxskp
96eRe7zCz8XcRzs/2PhR58RYGnEyDM1XyDLyALDfIjdAcr7ev+vzTEIMHvEG
rAXoIzlnOkjnk3hm1PNnkfmUTyS2jtM9/vFQxs8DVm/gPewVkeNwhgib5bMf
vi2vv3jmtXimiLMVxGv0e+Vzo21/+lGeS8PWgX/LOOY5weTvAvCfrBzb89Qy
r9G/T88p11XTy86ujZSTkT7TmD7kHvuq923p154dXmfAZpH91NmRki+1uCXz
nOfHeJlu6/EyRk/ZP53ct9cCng18J9FPa3P2ifXw8o4YJOIzsM2l9sLtpbBn
ctuFMjzdOkh5bNiLMx+M4n8CDLHOBzodsXbYMbDpcTbo8yCTLTP1s9/3oXEB
PKeYpzaM1VgSbRibBnVIbi6lds7pebXXkQcM/Z/yxaZ/9vs3bCxsEZ9FGceM
oN5fDzc/kHPN/YD+wCtsHMg64paw7/F7xh+nGzZfLebqPHS9OLdiHdYmgB0P
ewZ2DPIjMfQc/PP/+F+pc4D+p46fbtTnfOHcKuipKPfERsB8JR2+iLVusGmg
/zXn1eoajmllP8XvQ+ze+WICU3dOAHldk/DGvPuJnDPZ/CbodcQpP/veTyLX
wDzOmMZzgTQndPprHB82/pvl4ocalOwZ07zxyDiNvMwjHik12fd9R2QdeQWI
AyB32Ns7l5syszsjcSLYeJ/KkD132N017XW95gBSx1sUuTVOtpFTgDmzOWTI
q4H8t2qddk8uclsgrxVvyfqurWk/JE/Z+bOxtpx6PsD69IP4rtANmDPkjumv
cN7hbfjDKC9WbqZ+vieV+XbdVv55vg6mvubT3Sf2auSJ+MdLofcwvo3zdRCD
//ipf5G8SbFpwu/w+ZzOXse4cVLt7mE835z6Wk8r73KP7n4QWyaPiKLwX539
IpxhzkcF/xbOXVU36Hlsbu/ucsxmkdntuDfYcrjPnINkF203W3/l1zHiywRg
41dB5p98ReI1sOn9p0uxd5Ar7Gv9+pWBVv6hlV35zsFziVcm8FJqDZ5yT2pM
SuQmfL+l78t9otd5wRrGvo3cy33nyKy4rJ1uR/4YhtQ6hd9DR9h4/JS6a/z3
ud62cqn8YVprgRge1jDWN/IRhcMYHMTunm1NI2RFuWBLu8f6APV+0Jf8S+2O
u2/Zty1OxUM+A9iayjtHEpeXOgTj76D2qTeZr+Xf6nH/jFVOcU/Q38LfDZ5j
5TuGDNjnHfJTEJOF7GPo9+DP679dynft4/QVv1V+zlYd7f4h1RnIWZR7vtBx
atcA2A97zauxfmjkc33ouudCdXaKcqFuhKXOyEgfh6Wve/c1j5pTeljo/l7j
WN5fifGbxn3vE2zfDsi38qjH3zvdn+uw6eW8dT6g3NeaU5j1QxgCH5LlG9yo
t019Xo81BF9XOceUD9/a+z3phpSLcFn2Oz85ZxCYXUfx/IUb29nuiTsrxCjD
fj613HvfUteft6dV7pRfx67hVXh3unkpfrZztfTzAn9AOE9C/t3U82NHmTeB
64NfUt3f3sm/0WPhmUo/j0duxm+oTpvyecbzIqkzT/Kv/UbAd5zuwdyXsVdq
Tt9VU7ab3yt/Z2qFxfaTmFayd5J+nVr2zfUE/z3uf3sn6wGGVxhzIVzZ4KRx
z1B+7T5DjGu6c5lU9ya9O5xvrb4pPmvap9ucO62PL87rxmOm0+kLjcfCP4/X
v4ew/hrseNh7H37j+zEfD2d3OKOCTt22japyo3sy8jnhW8CWwGfI/ak4qycC
rgOxrWTX9yHvpf6Q2kFjt+4lzFqHHS88NeiJ5J6dfIb4XNCr23w+OW/IFYmV
Y/3JPnTt9uqXi9c37NO0PWBPxBxqLWVPcm/92GgHxgufZLo6gI9reF/M8yJq
n8hpcgwWWa6L1CO6/QY2hFyb1jk3elRNg+QXYS3qPE4t67WeN7nF+3oeZXw0
4Rl+8MUY5xYuUKe37DnjtnSSzRXBZxKfCbkCeE06voeccMMXCZ4I9Jx1fkeK
MfUyEv/TXsPG39zzwllO7O/lbBzMD+z7bdrztobD5vJqnAbrErazoAuexqTj
YdfbPhNTj/KsGDIPv4hIsLF4yJjkpUgvqMXksQjN98I6jDmCnezLMRbq9Ib0
aT7oJ25T8ltmer46n9sDLPPYDWyGyBdxv/bS7sUuDdeFOOpY77YO4HOT+vFh
s70Ser70YTubv22glHnhiy/yE/s4Xwl6y8m88pGWvSSnQ9KVqZ6sD5m3eW+4
LsR7BZne2F9A5tf1PZv6+Qk/7Ld+ZK941cUzM/GjXvKube6nPZfytW+r/bJn
Kpg4G86ghI/1apyrXuRe69wg95mu6uLZpXWHOEAfts0ii38pzxNh4mzLwF12
6dWObPj6OVqbtBvbRvN6nA7VXkLTz9XhKrdrmFfpUdsGylFp9esU+qmlJ/VM
FrEHX9Pc6j1u721LCHk3OCubOh8vf265zO99bL5EkBk8t1xHpPfT+bImP9Dp
0Q+++JyJPzRkeyI9ZnNQp86hT7nEya7ZuH5mzmjkUUvPetRBVL3+tinzrboj
5R/1uh55N77WbSw/eFt6Pp1HIe+tlzz6Vu58VQ+751CbHpD84WKP3raOt/6z
lXk9K8MzxHXirL+HnHBcg5f5fnyhjLtS62r22pZvINilqIdN8bbt54SX/dis
rhceg9jnoeRkXG097hzrsnC28fDz8Rqnlnd7HcJjsrjldQNlPof2171zlPV2
3f5eHWpcb9yWZ2VzzfR3dg0KT5fGnbc/afL/8C80r6wPmT80euNKykXdd5S9
00MPIuyBeIY1h8UWZT5wzkkfZvBMof/1QZ4zJVyMzq7H2KwW4jx0f+4/wEZG
7RHi8lJ/1+DYmWKoXpDcPLf/SC4qdXyA5lV6HjPl55dY/dd+EHyybdby5+co
sN2Vc0f4A/EM7TlLyP/E9ULXV7VvS+urrJH5Y+UhP8tQINcAa9LX1kyhH8b1
u9Yg0K4ZB3RBlJmV36+n5LXRZ6a1itif1X6IvfLcz8gHxX4AfZ/Z9vbeNPfR
yv5ZZEBrYd16e+/eZ+P19qDj7bXktVEdnN/1AuX6cPs0/FfhZ0WtW+iTtu2e
Inm8JvAtPn5zhViN5vKXsWftewVZxH4la9fGLTfht9hkDRTf8TXyrfjk1HLv
7XjsQcfucfsIMyewD2BHSH8RJ/uSPzJRP0ybBwu5z3vSennHWoBuR10X7H/l
3Mvrw4fCxinvfRMM+T7h1hb2l1Qv3BuHcZE7TLn3sHE9S1fr9D3sVKm5fuEN
f/Y5kg9wsfKeuJv0OaqO13pB2PO4RuxPqAHC3pRxmG08Dyf7nsp7uwawDx0v
HE7sszACy2tnPnU2gq+JTc/xovVYGYvP/2a57kJ/PGfHCycJbFcn99q/GfYN
9ir8jP1L/RX1d0/q12ksHmtMa3P17Kys351azwsnKznnTwgfxwH3gfhp5ozK
nglNvZ9rnSxseakTDzySGL7voecm1dgrbCF8F++hB2U9IF+tXO8F95n4N+Dp
c/ZxH/nxdX9YrSHWGv7Eu8yeyMfD8DI6eUfsW/h4EQ9f3Mrmeuo6WZX7dOaf
7CDPPX9JfBLof8Q89fdaG4P7GTvPwn4AucH943vaB73Ve2rqUe6FGR8K7fgN
4ecJcwffEHry6Cs3xL9FrCLPTZhe5+Xyfhh5emDjQI+LbeP2LXBxwlcBL5S+
F//2zlHsu4B9AT481jnOKFTW+6uXzH2dmCfv1njVU4TYAD42IX11nJ8Izg/s
7bANNG7fk/2a5DDxgmTn7eHxe9vE2ztar63cYxha967nvmNcfL3cs73vMme4
knkugWMhPqDTf9Lr/t5nVx9fvyVyL70HcEarXDiT67xc94pfGTiLte+C6D2n
6/GZ2PyRs2fRyCtaZMP2Ueitp4LmY+j6zG2aFW2bk2AIXMXgRnW2gfb/Vi5g
4bJ0+j/lAkyv56zcK1cJPsceJXnH4ZwW61X3grqOL8n5ul4+U99zeb2Qd8vL
V/dKo9wfC63jd/Yt5MXzAScbGZ+VccMyZtfDiGfIQbbhm8h5bqgPxX30xMF0
vHyX63wRYwsnPpcgEparLF4v/mvoK6A2o+RWPfFSzEHTZ6D6sAd7t9XzONrr
iOc9+KLJDZt+bD5naZ5l73XyrjmxxFmQzx/ON2DPq78nfcKdre9tnkuFHlqY
nJipZanOg7HnuP1xqa67j4WJy3r9Ljz88WyNMn92mPxZebP0XNPOPoBPKzk5
zi/EWqjt4J5imGV/pfza8s+nv9ZReQ/xYcmpdvOPuLHkFUUdP32N5G6jmD9j
60CvwLbB8xA7B/3EHnupC3/WjvFradf59rEvNe4DtSgPXZfYKvwq+CHRXx0o
6+cDq99tXVCelwOdLzEQp3NU3nuVm9ao68ynv6Zy7WldjPRzfP0dL/eWl3mZ
PzeeQ50FZe+8ti5B7Bt7rY/V5zp0M1th+3WH9rUnmS9j/7EOzO2piLMKl1XG
UUP7/eJR5x3jzAcx/DLmV3NdHveMe/F5pxypLlI5TWDLaN5EFXcntgDD57pK
fhNyVxDzljPOELvc/Hx23+W8ng89L0ucVUXfcor9llH0gkfOLWqrXn5zpeeB
eHbH6+yaq2zf9Xx+JuxznXOODtoyU6DmEBjEl8W5leThIOc4O6c6Tu5Pav/P
d5T58GrPS76H1jsxj2briPaknXvUhjr/CjmsUkt4sEkeVtoTbP/jfZf7MncI
c4kzQKn1jRw+ZXyBOB8cM58mTgY5R46u7TdwHO+F9vOSuE9YJ/su7/kodf6V
yGFFrtWLwkissvCpkH+AMxLEjKWWaITLS89BI7+Wk3mbl5zXG04tb72NNCcZ
X40+g7jpUu+fD4pcjiHJPuLGyrXhe/JY22QxmoOguS7C+R1rkPrLTe9xYK6w
n1bPKOuVS9k/FUoeEGO/o5ZEcg2crlaZ1bynWscb29TE4tVWbddqTC9bfY3E
w6f1f4gPI9dGuE3U1mEM83wQOYwGkXXY4FKT0+ghEzk6wu/LGtLxfPvWzxzl
vNq5hNzDJpT69Bu3xbbUHqLEaZH3HMbcgsdP6kbWcvn554KcS63PyHvO1r2O
VNbHak/3fbT3Tu/X4pkIJ7KbY61hE1DnnwJJX0gduNSMXFnl9kteK+JrMq9I
niWAGEPbXllkuQn7fhZ1/Mj1g5V73Vd1b81sfcr9CZG4jOCnau62PS+1tYC+
btDHFIQzHhxLsZakBz1p5SQ/Lyvf794aTPKPOYfNQxt/Hcb8fV8DLrnxTn4t
P2ppm2i/Itj6+L7W8PQkO7Udtvm17ZqPgbmPPGbEBkg5ZNDX4rMGfoMWfxls
Gcwv4vSel/pqjMdMLyt1LZTkbx08V+1Xamu1e7f1s3bXDXsPYuc881r2TAmD
or+kcptCjqHjx2KKmv8X4/OG72Z6ea9tGvys+Z/6nVQTW8eg7Jj6Xo5f22Xe
UuCvVb+2wcG7tzDyDt0Oewa5fJD7krep9F2F//2Rmz5GX8Uup9eNVu/pniSc
fYGnBL/DPYK/QW007VPYxz51WpkP6xb7GXjN7hyFJ0yhF1jqH3Dvhho04fGo
ap9adR2LjDugL46bRewNJPkOYV9SflZ8B2sANS+QfYmviu/ic1v6t23aZ9xZ
rwp3/8KN4Gx7ynwN2DOot0x2SmuOx+Z+u8+7HXepz4Hr85xF3JeUl1J4S8Dv
F3jpJQfowRerNZ/XfvW6DurnAn2f8vDzc5f9ROgT6HS88rLXfHb9jFK+bU6P
3V88D4zhW3V+OAZ+B78cPoicsSFX8eU3w1QsM12I882c86nueTL1fBw/V+Hs
ynC35jn4+4vU+7vvM6Latwy2OvR24BLG9SOWBNmGPEO+pa7U2bWQY/yMMwfY
cWrTSM1pGBqvWm+39W3vl/679mMR7HW9idfxWP8aj+zZfs31+mF8lrhuyC3y
PLGHQ2brPgr+GUu+s+h7vy4++KKXYdh0Vv/nsaq6jrHXOdKRcyim3jDSU6Wq
qd0j+deaD6f7ZP/rOC5X2tGa94MYtDzHjK+x5HlJZ8raM0L9O/iz0PmQcZzb
Y70oH6HmyaVxNfEZZ/0Cp5+fTXSFcrmuspnZHwNH7xV60cpSz6M8B4O9EhHi
z83axcJnkxiG29uEmx49SJzNgz1C+faFS8b9DJ2PNYK/BVnx+dOXxe/B5/la
7GvYeKv2mFI+NLHz9qLOZMjkQfkKfK3H1cZ8TfvMWjFRvIqueuENY7u0uC9a
z3GzGlLpIVVwWsvfcvuI1oLBR9Aci2Tv12cTZc3MNm2iFie/zJ/TF1lN+Zxl
vmG/+d4yqS9UH7ZNLiMxHyD00ZCcTWvHnHVrLvg4x/b6qPe/9SOJ6WOPwB6p
vkHJRT4m41PHB5Qrytv1SRZmC8s16fZw2/Oxra+m0e/lulN/Mu93evExZpH/
wZ/Twc6X+rAnPCezxvlbfn99drB9PT82fC3y5Zjvjfubp01fc9d6joI8NtnL
uWN99r9Iz6jary5A7jP31/eRk7fgaHB2PHr1CLeJ859t30ytd0TcB3uA8HgW
PSl62EflHM757fV8zhWD7Gt4LlLD1E0OZHtAZrAXl/dwcbNTC4F+Bl0vPZSd
7MPGt/lIKk9iO7i9AOsEtQQaE+pBx1udAjsx2Tfzh/COfe8n2d6seRpT25v2
uQg/gtuLYD+HK2/dzUXPVvobwxBtAcR+pJfstduZ3IuuR1/yJ18ReUcOnvYo
72cPLThDZomiX8jKn82UPdz78GHzeIf2GhjFhe7NDd6HwKkhcfwHX5QYiJ5t
qO7Q/EzpQe7sH/EDnD2U+Gunlnlv32i+5Vxh45QSb2j2iZx+WLsXOhLXin2p
D+T+g/TNLeJe1k7UtYszMM1lmFrPx3NZu3/O3KaHLSp2aBGT72t4XenrHTSu
MHVMzfz9cM6FOL72WYlyf2Bq4oPdLPsn8hm66FFo6sndHurzzqae24sFzuCm
1jWbPBfIiea/Ji7kDlBex7AUfS81lNg7s7wlcz9Vrdm0c4v3WR/l2SHFKXG2
0uJj6mVE3ej0Yqpz6EAPNXOyhiymA38W9gL8Q2vn9FZjaOvGyvybWSH0srfc
wVPP/ZgeKnla+jgzsdy0IR9V958hnF25PdSv2SvFmcdh9b6HIVxEbn+aJ5Lv
pXkivc1/KfOwk3cN2JcQY4Ku9zyeqS6xN94cjS9h3581Bh9XRp5gjzEblXmp
b7jh6xv60PGbQfP2IPcp17ivnPuMh8vplnnreR9bQ24UYsV9ynyIo937rNRt
CboX+ZqXX/PvYw1XjJH1tL8uYo7qnIHzQOGrCXWhfQ6v5/OYfAc+7Ah0H8rO
+5wcSV5HwffWgx+b5RVD5sN+OjuEx4Hz8PLstbehHIGaw17VgPSGgg9L3uEM
5Js3DR9zur9+bPpwBoK4zdDr5J4F/nngHLznOGWsgXrwxXTpy1V+9t8dGr1D
kX957XbG85nX8fYxIvdNyBudFYK8aOy4t7nPnoNbk/GcZCfq80u+GN+bAvZj
n3a8rbG86rlGq3r5GSCT+cSpPfXctwbWZC7zit5lPwG+SF5P0pNNY3JW3fUh
Jhx5b2YG6ZvQfa2+75WEnCyPHeiD2rC5EA9WLom6HmfqOT6M16FrUnOKdyku
vAmEwyZwNvYz9/WzgJxkNTwNH7FL6LWiP/Srb4k9r7Wy08/ruMyDAwB5E3ME
bLa+dXx6FpD7aGPuiszHupJlPIe151I9zb3NMfvo0qvzi9tozXeQ+R77bee2
ro/Ppxqe3mW9BvQm4vOw0/L6qB78qDTXoue/8f0Z2vOJg1VzQOxa72HkPHPe
j43ng8MuyHwRr7xz5Pv43QjxysDr3ZMfq/ON68w5nuYF5VYv1/vUI+t78/Dz
Iis296CbfOJRhFjlkLjhIOeIWQqvd0f5TS0eEuSjzBWJ36Mfea+eSdCPGe9K
12dSitSXCHlbkHvl/vv4+q2O6tLy2kXV87NDkBfEE3o/k1KuA+GNHlL9dbd7
b1EbjpxKcB17OfJ9F/upkTK6RWtanMzPWc+Dz8Tyqfc7/Bmh8AQ72Sn5I/tC
4suE7Oi1Ky8kekknu6YXHzatvciHODOojtReItrPe3rZPv75yN4bOPu61fUr
r08Q61adLj1zQ98We09T+7Etjrh56vngX7n/iW0Z+4NNLdNrZN1wSEN2Yh5U
T2IfrgX8WMjfy2Px6dXmEE8/7+maJGYAbm70qOipzv4cEPUj+KQ74T1Y/+zz
XlGw7yUfYai5qbY/j4bTzAF7EGpcEq9TeX8truKpdYofuC7tHyeYocxj/5Ve
9t3WSbWfi+b/SezPyZjwbxVnh5uvgxPm8NjcziLPU/ltbA/dqedrs7GInNyw
a2aZS7xaRY5F7MMaO5vattx0aF4IzvSVi0hyLwcTyxy56/bvxuW9uXYKvmrh
9XD+KWI0JYeZlaup523tnCKX7/Gbs+eshF6CzEufsJD/VJ6B9jqk54LTp4mb
JeR+F7x+7d46q/G85LU1KUm/I3cDMXfhbgp8HpZnu6+8yTXzGK5Ve3HlnP4z
g8bTwlmJ5++bnjN0fLT6daR6Ix/Hvyy2Puy1vM91Q49nuWq1/pf6psxeX8ae
U9JP58ZtsdttbXdpz+yKbSOcWV+4IftmP1ygFwfYxMrB0vuZbDnq+roQg3B7
AGrccG8YsE/hq8twdoi1V5v88k6HYw8UXnnnK2C/h+0CHnndX6ycl35pura6
h1R/I9RfOp0numKmtnzGJ71cxdynfp9LW97r/rB+YJ/WXB3Y/ZLf4mw33CNs
OckHCH2osB/gOWuOAL4r/42TAYmvB75J7Y1p/06rnrvsS27lv9chvXVefcvo
+J7P/M6CdF+wb/IchJKHou9n1loPiUvmSoqjHPheN2L/uGcMucd7/9nl2ANW
ZXysD/KujdZZgLXjoQukL6jGKHcid/VskBrl0Ou61FVTP6/zGflaltqr67fE
Noes5/ZHfzUd5zFsnys7L8rjBFuu75yO8wfsX9X1uxJzOMuzx4Ad009+48UO
5b1XWbdc+MpxPl+bpg3sa3kM4nBWcl/a1Nq3fm73eZI1IBx2bn/HPl9IwyQy
eKEYqSlFfAI+W+prNzd5qP2UVjyxd5/zNEPPr+XV2TOQd8SxtDdXz/l6Fw3M
A+IV3o+7OsO9v+aB36chZ3fgsHnnA4lTpbxhq/9mqOePgfS+C5zv0h8JfTJM
DKPVz7cHvtHjRumnzFGfrxt4jtBnGoOXWoRPPptY2vqAr5+6JOeN8G/AF2m5
Fv0c7pe87PrQ+CvyCiU+M1xQz/QdhtT0wKf/8U9FH2g8M+dJoNzvxgj9iZ55
zedOSH3x/trvOUxerZsTxPIwdH6kP1KU+13KleXA0N6casPvs9/aBHKqwC36
0PXYSw7xTKmJiGe21PO7M0KNmbPnk11D2yaHnw9/VnlJci9hC2rOVf/8rhxW
3jXnIvJ40LYJaK975QSBrGsuFuK6th6Idk7fAz5s6ndM/b4JkF+NucO8gXsR
nC34TOV+3+J+/Y6a6zv2RtMyaNrxGwExS8nRCPMnfhDykJ2tn9v3tHemlHe7
32odja+XX9Y1NBT9cah+cD4t6iaEa8Pk4MEv8vq+nneO7Y6033p517hbzvE5
rPrn/OwBgVfD+bHCfwI++CH5uTjvyHmmp3/++zay/sah9inn1Tb1vFTyJ4DX
EVmu9RB4GNEzKdRgTP3893d4ecfe6+ueih7N9meK/YmA+USdndSXonb0zpHo
e+3zPr/ctF0YIWfS2Z/Yj0efXbRraNtsDGPff/zITak5klwFJ+uwH8GlqvW1
Y/xdHGeT7RafiHAwPvz8WnknzgCVe2cvInapMUupI3Wyj88o5xcn8+XP4q+G
HOE8PkNdfq4wcq+2PPxY7TU6XlPOcZaRapaVv/Oy7K2+z1wZm1nRbr8gICdb
+NBM7mX+bPYvX/2i5N2/X8RYgeRJRrR0O3X9uUE5Sk3sC3sr6skTH0yfHLy7
MKyOwHtbvy51PE6/xDqnJj8HbZvzR1unQOcjR0d5Y3g+e/qR1yX7uAxsSOgV
8VUzbuQWDyFlfpvAM0GdQhm7tByT6bnW62GetlDtf5YyXnLQRF4ON4+Iuydu
jjjTPGPqAWavFa5qZ3Nq7X2p88dsnjn5vWNcCznXUiH/B0nWkdckPPtpglcV
nzIxMfI9VewdZ3tqXDP1sCp5Hev+M/MZrbh6yRvn9YJyDUlNMvo7bdRTgnZM
NzCPB/E06W3y5e8mjshM98/b57UxRvtezzZU1nGeHeu1y5ywLCd4qN4TU2Iw
Plbd+wl7NWwenKUol5Ry6rT5Fecy0trWPpp4j3lAvDfjw7bqvOjlk80xbZvp
ofHLKoZQx3rwjCH/0P+Sw+DkP/m8c/Fj0xq2XMmQc9wz6ozbHKl5Xhh91V3D
UOutZbkvD/L8fQz6UrR9au7gFn9wmevQ8hfb9kaLr7r+/nq7q90DQu3zyzHn
FHadyDlyspHrW4kxz5T2A3aP9rzQ0PspX+0w6kf1geNrOP9S3lXlmS/9hMTN
2+rT05LjmrOttMHztbBI9ln00w/l+nEfn/3w7azuILtvYu+wds9GH9u3Pd8C
7F3oSPgBiGmg7g3nM8rFI/1vvnLD8+nDR3jgmj8bC71HEgdnHh/S36fvXKlk
W/9b+XeRY2HWn6wz/C33t3E9uD6cy+G6q1ujjBOCxv69Cb/c4OtXxCdwOhS2
gvSNdbIm/aOcnQQdixgpatahc4WD+uC5bI8QHR3yQeW74RwNNonk6KpN8vKb
4nvg34YtjjWHz3BOpHxvpV0+Glds+qQEUcr9ZvVt9nfSQxD90MDPg3XhBtaE
8hJK/i1+h++Ygd9jX4GNlddDDvHflRhLo+cg66yJ47HGrj2L3FyEzKl+xjnR
YK67iisqRvYrrgdiFGM2zjG6tGE7jPZIbvKvJ3ke31OYu0gQBEEQBEEQBEEQ
BEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQBEEQ
BEEQBEEQBEEQBEEQBEEQBEEQxP7iN6LpqBc=
       "], {{0, 266.}, {189., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{189., 266.},
     PlotRange->{{0, 189.}, {0, 266.}}], ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3T1vVNkBx2EnpKAjJW2oaOjTIXekszaK5BKvQlZpHAkiRZTISofoXPEF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       "], {{0, 129.}, {389., 0}}, {0, 255},
       ColorFunction->RGBColor,
       ImageResolution->{72., 72.},
       RasterInterpolation->"High"],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSize->Automatic,
     ImageSizeRaw->{389., 129.},
     PlotRange->{{0, 389.}, {0, 129.}}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.922722562552026*^9, 3.922722615898642*^9}},
 CellLabel->
  "In[1055]:=",ExpressionUUID->"3e25a1fd-6fe6-4209-aa35-912dd27794fb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "9", ",", "8", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{{3.922722572372416*^9, 3.922722616973159*^9}},
 CellLabel->
  "Out[1055]=",ExpressionUUID->"2b2ecbd2-99ee-4e77-86fa-4e1f2abbc850"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "2", ",", "2", ",", "2", ",", "7", ",", "3", ",", "3"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.922722572372416*^9, 3.922722617085621*^9}},
 CellLabel->
  "Out[1056]=",ExpressionUUID->"7fb6f971-04be-4876-b3d8-8bcfabe6637a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Home-grown neural network", "Chapter",
 CellChangeTimes->{{3.9227252329655647`*^9, 
  3.922725238593177*^9}},ExpressionUUID->"1688f607-9065-46b5-ab0e-\
ed049a0fe243"],

Cell["\<\
Just to demonstrate calculations.  Not developed to be very efficient.\
\>", "Text",
 CellChangeTimes->{{3.9227981050629187`*^9, 
  3.9227981281159067`*^9}},ExpressionUUID->"55c09445-1e3e-4fd2-a5b7-\
ce1b2ba56a41"],

Cell[CellGroupData[{

Cell["Define some activation functions and their derivatives", "Section",
 CellChangeTimes->{{3.922747931940939*^9, 
  3.92274794385566*^9}},ExpressionUUID->"a200c789-b8ff-45c8-b8ed-\
d5a2f6f1dc0c"],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"identity", ",", "ReLU", ",", "didentity", ",", "dReLU"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"identity", "[", "x_", "]"}], ":=", "x"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"didentity", "[", "x_", "]"}], ":=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReLU", "[", "x_", "]"}], ":=", 
  RowBox[{"Max", "[", 
   RowBox[{"0", ",", "x"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dReLU", "[", "x_", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"x", "<", "0"}], ",", "0", ",", "1"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"SetAttributes", "[", 
  RowBox[{"identity", ",", "Listable"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAttributes", "[", 
  RowBox[{"didentity", ",", "Listable"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAttributes", "[", 
  RowBox[{"ReLU", ",", "Listable"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAttributes", "[", 
  RowBox[{"dReLU", ",", "Listable"}], "]"}]}], "Code",
 CellChangeTimes->{{3.922727495843226*^9, 3.922727504704721*^9}, {
  3.922727538564735*^9, 3.922727543654377*^9}, {3.9227288890967827`*^9, 
  3.92272891960868*^9}, {3.922732044686636*^9, 3.922732074057275*^9}, {
  3.9227334163581133`*^9, 3.9227334226167088`*^9}, {3.922733455379385*^9, 
  3.92273346003141*^9}, {3.922733641779174*^9, 3.922733644260063*^9}, {
  3.922733705902398*^9, 3.922733709632276*^9}, {3.922733748875471*^9, 
  3.922733832168197*^9}, {3.9227338749405203`*^9, 3.9227338818934803`*^9}, {
  3.92274751660363*^9, 3.922747525185203*^9}, {3.922778923313562*^9, 
  3.922778928432858*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"6c5d38e3-f7ef-43a8-b1a0-453ebdecfc23"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions to define and use neural network", "Section",
 CellChangeTimes->{{3.92274795405459*^9, 
  3.922747970915977*^9}},ExpressionUUID->"4494a14d-b376-4bbf-bf84-\
ffe8b6b9e90d"],

Cell["\<\
nX is the length of the x vector that will be input to the NN
nodeNumbers is the number of nodes in each layer, not counting the input and \
output layers
number of layers is determined by length of arguments (which should be of the \
same length)\
\>", "Text",
 CellChangeTimes->{{3.922725375345434*^9, 3.922725434698729*^9}, {
  3.9227830979828253`*^9, 
  3.92278311984697*^9}},ExpressionUUID->"8cf307f3-d90f-4139-a512-\
488a4d5ac0ac"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"makeNetwork", "[", 
    RowBox[{
    "nX_", ",", "nodeNumbers_List", ",", "functions_List", ",", 
     "dfunctions_List"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "l", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"Equal", "@@", 
          RowBox[{"(", 
           RowBox[{"Length", "/@", 
            RowBox[{"{", 
             RowBox[{"nodeNumbers", ",", "functions", ",", "dfunctions"}], 
             "}"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
         "Print", "[", 
          "\"\<Error: All lists given to makeNetwork must be of same length\>\
\"", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Return", "[", "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Clear", "[", 
       RowBox[{
       "a", ",", "z", ",", "W", ",", "dev", ",", "delta", ",", "gradL", ",", 
        "nNodes"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "include", " ", "output", " ", "but", " ", "not", " ", "input", " ", 
        "in", " ", "layer", " ", "count"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"nLayers", "=", 
       RowBox[{
        RowBox[{"Length", "[", "nodeNumbers", "]"}], "+", "1"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"add", " ", "output", " ", "nodeNumber"}], " ", "=", " ", 
        RowBox[{"1", " ", "automatically"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nNodes", "[", "0", "]"}], "=", "nX"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"nNodes", "[", 
            RowBox[{"#2", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "=", "#1"}], ")"}], "&"}],
         ",", "nodeNumbers"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nNodes", "[", "nLayers", "]"}], "=", "1"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"activations", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"functions", ",", "identity"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"dactivations", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"dfunctions", ",", "didentity"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"l", "=", "1"}], ",", 
        RowBox[{"l", "<=", "nLayers"}], ",", 
        RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"W", "[", "l", "]"}], "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"RandomReal", "[", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"nNodes", "[", "l", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", 
             RowBox[{
              RowBox[{"nNodes", "[", 
               RowBox[{"l", "-", "1"}], "]"}], "+", "1"}]}], "}"}]}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Network initialized\>\"", "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Computes", " ", "the", " ", "output", " ", "from", " ", "the", " ", "NN",
      " ", "for", " ", "the", " ", "i"}], "-", 
    RowBox[{"th", " ", "input", " ", "data", " ", "set", " ", "x"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yhat", "[", 
    RowBox[{"x_List", ",", "i_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "l", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", 
        RowBox[{"0", ",", "i"}], "]"}], "=", 
       RowBox[{"Transpose", "@", 
        RowBox[{"{", 
         RowBox[{"Append", "[", 
          RowBox[{"x", ",", "1"}], "]"}], "}"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"l", "=", "1"}], ",", 
        RowBox[{"l", "<=", "nLayers"}], ",", 
        RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"z", "[", 
           RowBox[{"l", ",", "i"}], "]"}], "=", 
          RowBox[{
           RowBox[{"W", "[", "l", "]"}], ".", 
           RowBox[{"a", "[", 
            RowBox[{
             RowBox[{"l", "-", "1"}], ",", "i"}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"a", "[", 
           RowBox[{"l", ",", "i"}], "]"}], "=", 
          RowBox[{
           RowBox[{"activations", "[", 
            RowBox[{"[", "l", "]"}], "]"}], "[", 
           RowBox[{"z", "[", 
            RowBox[{"l", ",", "i"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"l", "<", "nLayers"}], ",", 
           RowBox[{"AppendTo", "[", 
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"l", ",", "i"}], "]"}], ",", 
             RowBox[{"{", "1", "}"}]}], "]"}]}], "]"}]}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "[", 
        RowBox[{"nLayers", ",", "i"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Computes", " ", "y"}], "-", 
    RowBox[{
    "yhat", " ", "for", " ", "all", " ", "xy", " ", "data", " ", "and", " ", 
     "stores", " ", "each", " ", "in", " ", 
     RowBox[{"dev", "[", "i", "]"}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lossCalc", "[", "xyData_List", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "dadz", ",", 
       RowBox[{"nXY", "=", 
        RowBox[{"Length", "[", "xyData", "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{
      RowBox[{"dev", " ", "=", " ", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"#1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "-", 
            RowBox[{"yhat", "[", 
             RowBox[{
              RowBox[{"#1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"#2", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ")"}], "&"}], ",", 
         "xyData"}], "]"}]}], ";", "\[IndentingNewLine]", "\t", 
      "\[IndentingNewLine]", "\t", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"l", "=", "1"}], ",", 
        RowBox[{"l", "<=", "nLayers"}], ",", 
        RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", "\t\t", 
        RowBox[{
         RowBox[{
          RowBox[{"gradL", "[", "l", "]"}], "=", 
          RowBox[{"0", " ", 
           RowBox[{"W", "[", "l", "]"}]}]}], ";"}]}], 
       RowBox[{"(*", " ", 
        RowBox[{
        "zero", " ", "gradL", " ", "matrix", " ", "of", " ", "same", " ", 
         "size", " ", "as", " ", "W"}], " ", "*)"}], "\[IndentingNewLine]", 
       "\t", "]"}], ";", "\[IndentingNewLine]", "\t", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "<=", "nXY"}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", "\t\t", 
        RowBox[{
         RowBox[{
          RowBox[{"delta", "[", 
           RowBox[{"nLayers", ",", "i"}], "]"}], "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], 
             RowBox[{
              RowBox[{"dev", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "/", "nXY"}]}], ")"}], 
           FractionBox[
            RowBox[{"a", "[", 
             RowBox[{"nLayers", ",", "i"}], "]"}], 
            RowBox[{"a", "[", 
             RowBox[{"nLayers", ",", "i"}], "]"}]]}]}], ";", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"(*", " ", 
          RowBox[{"Backpropagation", ";", " ", 
           RowBox[{"compute", " ", "deltas"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", "\t\t", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"l", "=", "nLayers"}], ",", 
           RowBox[{"l", ">", "1"}], ",", 
           RowBox[{"l", "--"}], ",", "\[IndentingNewLine]", "\t\t\t", 
           RowBox[{
            RowBox[{"dadz", "=", 
             RowBox[{"Append", "[", 
              RowBox[{
               RowBox[{"Flatten", "@", 
                RowBox[{
                 RowBox[{"dactivations", "[", 
                  RowBox[{"[", 
                   RowBox[{"l", "-", "1"}], "]"}], "]"}], "@", 
                 RowBox[{"z", "[", 
                  RowBox[{
                   RowBox[{"l", "-", "1"}], ",", "i"}], "]"}]}]}], ",", "0"}],
               "]"}]}], ";", "\[IndentingNewLine]", "\t\t\t", 
            RowBox[{
             RowBox[{"delta", "[", 
              RowBox[{
               RowBox[{"l", "-", "1"}], ",", "i"}], "]"}], "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Transpose", "@", 
                RowBox[{"delta", "[", 
                 RowBox[{"l", ",", "i"}], "]"}]}], ".", 
               RowBox[{"W", "[", "l", "]"}], ".", 
               RowBox[{"DiagonalMatrix", "[", "dadz", "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", "\t\t\t", 
            RowBox[{
             RowBox[{"delta", "[", 
              RowBox[{
               RowBox[{"l", "-", "1"}], ",", "i"}], "]"}], "=", 
             RowBox[{"Delete", "[", 
              RowBox[{
               RowBox[{"delta", "[", 
                RowBox[{
                 RowBox[{"l", "-", "1"}], ",", "i"}], "]"}], ",", 
               RowBox[{"-", "1"}]}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
          "\t\t", "]"}], ";", 
         RowBox[{"(*", " ", 
          RowBox[{"end", " ", "of", " ", "l", " ", "loop"}], " ", "*)"}], 
         "\[IndentingNewLine]", "\t\t", "\[IndentingNewLine]", "\t\t", 
         RowBox[{"(*", " ", 
          RowBox[{"Add", " ", "to", " ", "gradients"}], " ", "*)"}], " ", 
         "\[IndentingNewLine]", "\t\t", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"l", "=", "1"}], ",", 
           RowBox[{"l", "<=", "nLayers"}], ",", 
           RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", "\t\t\t", 
           RowBox[{
            RowBox[{
             RowBox[{"gradL", "[", "l", "]"}], "+=", 
             RowBox[{
              RowBox[{"delta", "[", 
               RowBox[{"l", ",", "i"}], "]"}], ".", 
              RowBox[{"Transpose", "[", 
               RowBox[{"a", "[", 
                RowBox[{
                 RowBox[{"l", "-", "1"}], ",", "i"}], "]"}], "]"}]}]}], 
            ";"}]}], "\[IndentingNewLine]", "\t\t", "]"}], ";"}]}], 
       "\[IndentingNewLine]", "\t\t", "\[IndentingNewLine]", "\t", "]"}], ";",
       " ", 
      RowBox[{"(*", " ", 
       RowBox[{"end", " ", "of", " ", "i", " ", "loop"}], " ", "*)"}], 
      "\[IndentingNewLine]", "\t", 
      RowBox[{
       RowBox[{"Total", "[", 
        SuperscriptBox["dev", "2"], "]"}], "/", "nXY"}]}]}], 
    RowBox[{"(*", 
     RowBox[{"return", " ", "loss"}], "*)"}], "\[IndentingNewLine]", "]"}]}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{"end", " ", "of", " ", "Module"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"updateW", "[", "gamma_", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"l", "=", "1"}], ",", 
     RowBox[{"l", "<=", "nLayers"}], ",", 
     RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{
      RowBox[{
       RowBox[{"W", "[", "l", "]"}], "-=", 
       RowBox[{"gamma", " ", 
        RowBox[{"gradL", "[", "l", "]"}]}]}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Code",
 CellChangeTimes->{{3.9227252624006643`*^9, 3.922725345400242*^9}, {
   3.922725450554525*^9, 3.922725507482957*^9}, {3.922726296780327*^9, 
   3.922726389173304*^9}, {3.922726444891707*^9, 3.922726470377902*^9}, {
   3.922726550327628*^9, 3.9227265544710484`*^9}, {3.922726587233246*^9, 
   3.922726618761098*^9}, {3.922726871067591*^9, 3.922726995479883*^9}, {
   3.922727114242209*^9, 3.922727180587798*^9}, {3.922727219043053*^9, 
   3.9227274303365593`*^9}, {3.922727469839037*^9, 3.922727475210187*^9}, 
   3.92272761623295*^9, {3.92272769955383*^9, 3.9227277254457607`*^9}, {
   3.922727878006789*^9, 3.922727979296614*^9}, {3.922728024567062*^9, 
   3.9227280970099297`*^9}, {3.922728348377866*^9, 3.922728350795092*^9}, {
   3.922728481379074*^9, 3.922728491414138*^9}, {3.922728585856388*^9, 
   3.9227285873936243`*^9}, {3.922728731203917*^9, 3.9227287966583633`*^9}, {
   3.922731217208729*^9, 3.922731260137722*^9}, {3.922731318819577*^9, 
   3.922731322216539*^9}, 3.922731447435611*^9, {3.9227315194897957`*^9, 
   3.922731562482539*^9}, {3.922731834825598*^9, 3.922731839860265*^9}, {
   3.92273210392212*^9, 3.92273210598965*^9}, {3.9227322355862513`*^9, 
   3.922732236404818*^9}, {3.922732285722953*^9, 3.92273231172186*^9}, {
   3.922732353813999*^9, 3.922732402486125*^9}, {3.922732436352911*^9, 
   3.922732439663737*^9}, {3.922733225089278*^9, 3.922733254311577*^9}, 
   3.92274608911085*^9, {3.922747206251673*^9, 3.922747233976326*^9}, {
   3.922747459895958*^9, 3.922747502637018*^9}, {3.922747560381423*^9, 
   3.922747588181484*^9}, {3.922747639596375*^9, 3.9227477046632757`*^9}, {
   3.922747753216076*^9, 3.922747789121738*^9}, {3.922748152287333*^9, 
   3.92274815581418*^9}, {3.922778941390966*^9, 3.922778941588683*^9}, {
   3.922781021430752*^9, 3.922781049250691*^9}, {3.922781221642492*^9, 
   3.922781237268214*^9}, {3.922781302130096*^9, 3.922781307651256*^9}, {
   3.922781368473921*^9, 3.922781382882674*^9}, {3.922781455942333*^9, 
   3.922781457812669*^9}, {3.922781742906076*^9, 3.922781781739047*^9}, {
   3.922781865864406*^9, 3.922781874625089*^9}, {3.922781915273795*^9, 
   3.922781959954729*^9}, {3.922782058860295*^9, 3.922782113488546*^9}, {
   3.922782252862492*^9, 3.922782254727733*^9}, {3.9227823062236147`*^9, 
   3.922782322484416*^9}, {3.922782392868754*^9, 3.922782578750408*^9}, {
   3.922782629439888*^9, 3.9227826299572983`*^9}, {3.922782708124935*^9, 
   3.92278272429453*^9}, {3.922783089806657*^9, 3.922783091353292*^9}, {
   3.9227833200400467`*^9, 3.922783480409631*^9}, {3.922783607434167*^9, 
   3.922783608625174*^9}, {3.922783958136329*^9, 3.922783976284781*^9}, {
   3.922784006744905*^9, 3.922784079019781*^9}, {3.922784186015978*^9, 
   3.922784423602733*^9}, {3.9227844693925962`*^9, 3.922784505977772*^9}, {
   3.92278477253177*^9, 3.922784888318019*^9}, {3.922785226126157*^9, 
   3.9227852433980703`*^9}, {3.922785282293787*^9, 3.9227853031928177`*^9}, {
   3.9227853555254393`*^9, 3.922785374269231*^9}, 3.9227855429429*^9, {
   3.9227859178193893`*^9, 3.9227859591730347`*^9}, {3.922786011414736*^9, 
   3.922786015068635*^9}, {3.922786088149625*^9, 3.922786093397517*^9}, {
   3.922786316195241*^9, 3.922786320455699*^9}, 3.92278635701462*^9, {
   3.922786428362634*^9, 3.922786438688038*^9}, {3.922786544640088*^9, 
   3.922786558560997*^9}, {3.9227867331462927`*^9, 3.922786898751603*^9}, {
   3.922786956513266*^9, 3.92278701011347*^9}, {3.922787179015985*^9, 
   3.9227871822658978`*^9}, {3.922787357880758*^9, 3.922787458862165*^9}, {
   3.9227876290356827`*^9, 3.92278764016756*^9}, {3.922787701530272*^9, 
   3.922787775870777*^9}, {3.922787838742606*^9, 3.922787842467011*^9}, {
   3.922787891747962*^9, 3.9227878919422693`*^9}, {3.922787957052719*^9, 
   3.922787977884194*^9}, {3.922788013990488*^9, 3.922788019353911*^9}, {
   3.922788093606402*^9, 3.922788160634104*^9}, {3.9227882306867027`*^9, 
   3.922788349566132*^9}, {3.922789673699992*^9, 3.9227896758348627`*^9}, {
   3.922792735159241*^9, 3.9227927595061502`*^9}, {3.922792842699472*^9, 
   3.922792876454499*^9}, {3.922792936478218*^9, 3.922792945166673*^9}, {
   3.922793655140356*^9, 3.922793674603935*^9}, {3.92279378443658*^9, 
   3.922793881301762*^9}, {3.922794517756435*^9, 3.922794521549045*^9}, {
   3.922794695580188*^9, 3.92279473261314*^9}, {3.922794924907783*^9, 
   3.922795012515115*^9}, {3.922795125840006*^9, 3.922795165499115*^9}, {
   3.922795376454032*^9, 3.922795389300863*^9}, {3.922795437778219*^9, 
   3.922795438226327*^9}, {3.922801573584157*^9, 3.922801637330948*^9}, {
   3.9239429305067663`*^9, 
   3.923942931849308*^9}},ExpressionUUID->"1240997d-f55d-4d60-9b05-\
8dd15d07286d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Application", "Section",
 CellChangeTimes->{{3.92274798762494*^9, 
  3.922747989094046*^9}},ExpressionUUID->"9bcf7fab-8581-4c2c-9a61-\
5346099c8484"],

Cell[CellGroupData[{

Cell["Simple case using synthetic data", "Subsection",
 CellChangeTimes->{{3.9227888182178802`*^9, 
  3.9227888325617447`*^9}},ExpressionUUID->"16bfe238-6bb4-49ad-bd71-\
4f9f020e8701"],

Cell[CellGroupData[{

Cell["Define functions and generate data", "Subsubsection",
 CellChangeTimes->{{3.922798557468316*^9, 
  3.922798562475787*^9}},ExpressionUUID->"710bcce9-c888-4b0c-81da-\
a8aaef515062"],

Cell["Number of values in input vector", "Text",
 CellChangeTimes->{{3.922795476631277*^9, 
  3.922795481980535*^9}},ExpressionUUID->"4751fc13-d183-44a2-94ef-\
e051f2a502a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"mynX", "=", "4"}], ";"}]], "Input",
 CellChangeTimes->{{3.922789047130474*^9, 3.922789053486246*^9}, 
   3.922795243450686*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"b2555009-0b98-4ea3-90bb-21c903558e42"],

Cell["Coefficients of linear model used to generate data", "Text",
 CellChangeTimes->{{3.922795489720331*^9, 
  3.9227954977178802`*^9}},ExpressionUUID->"0df47500-2e1e-4c32-b322-\
77b76d052d19"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"coeffs", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", "mynX"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myFn", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"coeffs", ".", "x"}], "+", "2"}]}]}], "Input",
 CellChangeTimes->{{3.922789033571594*^9, 3.9227891233109403`*^9}, {
  3.922797306729578*^9, 3.9227973076904597`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"83bd9446-d8ef-42ab-9aaf-4fafae8fa16f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "8.178095025432803`"}], ",", 
   RowBox[{"-", "6.627264976492249`"}], ",", 
   RowBox[{"-", "3.7579181043677394`"}], ",", "6.59465174259428`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.922789084540856*^9, 3.922789126917604*^9}, 
   3.922795254865361*^9, 3.922797308215949*^9, 3.922801208103623*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"f65a0d6b-c83f-453a-b419-5de52f65bf17"]
}, Open  ]],

Cell["Generate data", "Text",
 CellChangeTimes->{{3.922795464731449*^9, 
  3.922795466786831*^9}},ExpressionUUID->"34ce333a-4b1f-4bfb-810b-\
c0f9ec3b3c15"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ndata", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xdata", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ndata", ",", "mynX"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ydata", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"myFn", "[", "#", "]"}], "&"}], "/@", "xdata"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myXYData", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xdata", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"ydata", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"Length", "[", "ydata", "]"}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.922788916525961*^9, 3.922788921241121*^9}, {
  3.922788957062108*^9, 3.922789015437227*^9}, {3.922789056154473*^9, 
  3.922789059271552*^9}, {3.922789132467407*^9, 3.9227892315727873`*^9}, {
  3.922789284810224*^9, 3.922789299849009*^9}, {3.922789347421863*^9, 
  3.922789391193639*^9}, {3.922789430514705*^9, 3.922789436269028*^9}, {
  3.922798215022566*^9, 3.922798220106773*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"9d2c0265-6970-4944-8590-2d3a67b3b13d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0.13076780316395364`", ",", "0.40974183607731085`", ",", 
       "0.8621810325157941`", ",", 
       RowBox[{"-", "3.9669400328517703`"}]}], "}"}], ",", 
     RowBox[{"-", "31.18549295192721`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "4.947885756968915`"}], ",", "3.7546825680337435`", ",", 
       RowBox[{"-", "1.021208759323267`"}], ",", "0.4983490306753975`"}], 
      "}"}], ",", "24.705060803064804`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2.701327325322353`", ",", "4.225272953325742`", ",", 
       RowBox[{"-", "1.1486434184246264`"}], ",", 
       RowBox[{"-", "3.957244336531396`"}]}], "}"}], ",", 
     RowBox[{"-", "69.87385538319745`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.7749647796560044`"}], ",", 
       RowBox[{"-", "2.467721448946488`"}], ",", "1.3016535177093473`", ",", 
       RowBox[{"-", "3.9359366551593986`"}]}], "}"}], ",", 
     RowBox[{"-", "6.155659301769376`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.399281799023001`"}], ",", 
       RowBox[{"-", "4.182644177811444`"}], ",", "3.166966092886412`", ",", 
       RowBox[{"-", "3.896321620853149`"}]}], "}"}], ",", 
     "11.74496243089687`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1.5943406674466658`"}], ",", 
       RowBox[{"-", "4.806278054327468`"}], ",", "0.3379761805820287`", ",", 
       RowBox[{"-", "0.2006236047632104`"}]}], "}"}], ",", 
     "44.29801808540701`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.63263819880407`"}], ",", 
       RowBox[{"-", "2.0496738019833227`"}], ",", 
       RowBox[{"-", "4.249864620439892`"}], ",", "2.3050239263790964`"}], 
      "}"}], ",", "68.28517000960215`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.582250727983599`"}], ",", 
       RowBox[{"-", "0.9868812147142929`"}], ",", "1.0113099936511922`", ",", 
       "3.6070549472694466`"}], "}"}], ",", "49.64506620255101`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3.8657033266736125`"}], ",", 
       RowBox[{"-", "3.682953867144267`"}], ",", "4.392279145291017`", ",", 
       RowBox[{"-", "4.863269836895816`"}]}], "}"}], ",", 
     "9.444604095313231`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3.5129165893541376`", ",", 
       RowBox[{"-", "0.8267752984789567`"}], ",", 
       RowBox[{"-", "1.2586220267209107`"}], ",", "2.6122404539561437`"}], 
      "}"}], ",", "0.7069078574087548`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.922789290266512*^9, 3.922789311100629*^9}, 
   3.922789392827351*^9, 3.922789437474822*^9, 3.922795256664983*^9, 
   3.922797311565572*^9, 3.922798220809113*^9, 3.922801210780941*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"a5604512-9682-47af-9071-8b62c828fe01"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Network with output layer only", "Subsubsection",
 CellChangeTimes->{{3.922795276193728*^9, 3.92279528340307*^9}, {
  3.922795398821158*^9, 
  3.922795403049664*^9}},ExpressionUUID->"25778e84-9b99-4c8b-acec-\
bff771c680c5"],

Cell["Make network.  All networks have one node in output layer", "Text",
 CellChangeTimes->{{3.922795533309976*^9, 
  3.922795551171954*^9}},ExpressionUUID->"51f76c81-d7af-4384-9691-\
d37ebdd93995"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"makeNetwork", "[", 
  RowBox[{"mynX", ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"lossCalc", "[", "myXYData", "]"}]}], "Input",
 CellChangeTimes->{{3.922793899235619*^9, 3.922793903087967*^9}, {
  3.922794549630694*^9, 3.9227945543630533`*^9}},
 CellLabel->
  "In[1348]:=",ExpressionUUID->"50958e80-9a3f-4a0a-9db4-5b10789a9765"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{
  3.9227939039691067`*^9, {3.922794538417902*^9, 3.922794555615947*^9}, 
   3.922795043167515*^9, 3.9227953051288147`*^9},
 CellLabel->
  "During evaluation of \
In[1348]:=",ExpressionUUID->"cbce3b53-574f-4603-b82c-fc0b67cfcbf9"],

Cell[BoxData["1391.966284634767`"], "Output",
 CellChangeTimes->{3.922794555673889*^9, 3.922795043234024*^9, 
  3.9227953052262793`*^9},
 CellLabel->
  "Out[1349]=",ExpressionUUID->"4818dd05-0a3e-42d9-a5b5-1f0bd0e8eb68"]
}, Open  ]],

Cell["Iterate to learn from data", "Text",
 CellChangeTimes->{{3.922795560052816*^9, 
  3.922795566510833*^9}},ExpressionUUID->"10261881-cd7c-43f6-8f60-\
fe35ba0b2bb8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"count", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loss", "=", 
     RowBox[{"lossCalc", "[", "myXYData", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "1000"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", "loss", "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-3", "]"}]}], ",", "\[IndentingNewLine]", 
   "10000"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922789523520488*^9, 3.922789574856303*^9}, {
  3.922792955738915*^9, 3.922792992057181*^9}, {3.922793024118854*^9, 
  3.922793054798279*^9}, {3.92279309523952*^9, 3.922793271699649*^9}, {
  3.922793312031245*^9, 3.922793315090148*^9}, {3.922793458886877*^9, 
  3.9227934620140343`*^9}, {3.922795056387973*^9, 3.9227950774228277`*^9}},
 CellLabel->
  "In[1350]:=",ExpressionUUID->"a245e11a-cabf-4b9d-9b77-662607580227"],

Cell[CellGroupData[{

Cell[BoxData["1391.966284634767`"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.9227953116297703`*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"e6437f39-0d26-4649-90f7-e38b40822918"],

Cell[BoxData["0.10584409803103173`"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.92279531215517*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"f56904e5-d348-4b15-83c3-a129e549e78c"],

Cell[BoxData["0.008433744175710828`"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795312696731*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"01667d16-570f-464f-9217-b552988c8306"],

Cell[BoxData["0.0006724291093266016`"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.92279531324256*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"f40421f4-0019-4a8d-8912-6f2ec9230410"],

Cell[BoxData["0.0000536133076726665`"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795313777453*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"32145cb0-ff82-4d72-9255-b82ee6f6ae96"],

Cell[BoxData["4.274631659678151`*^-6"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795314316353*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"c423ed30-a6cd-443e-b215-b146581ab342"],

Cell[BoxData["3.4081978186191654`*^-7"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.9227953148518353`*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"57bf1f3d-a13c-4581-b7fb-c4224ef49bc5"],

Cell[BoxData["2.717383226279123`*^-8"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795315401568*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"dc9f835d-5fe4-420c-ad14-3a8e4c6c27a2"],

Cell[BoxData["2.166591257734846`*^-9"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795315948392*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"701d0b39-7745-430c-b6d8-ad5484eddb63"],

Cell[BoxData["1.7274404409797437`*^-10"], "Print",
 CellChangeTimes->{{3.9227930481659803`*^9, 3.9227930552896633`*^9}, {
   3.92279318338904*^9, 3.922793316764639*^9}, 3.922793351054685*^9, 
   3.922793406558586*^9, 3.922793463020999*^9, {3.922793508556292*^9, 
   3.922793529047865*^9}, 3.922793955129858*^9, 3.9227945791765203`*^9, {
   3.922795048236054*^9, 3.922795078514843*^9}, 3.922795316507176*^9},
 CellLabel->
  "During evaluation of \
In[1350]:=",ExpressionUUID->"61079892-f818-4d42-ae80-be929c73dcf9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"W", "[", "1", "]"}], "\[IndentingNewLine]", "coeffs"}], "Input",
 CellChangeTimes->{{3.922793387377118*^9, 3.922793400023053*^9}, {
  3.922793547886836*^9, 3.922793552614102*^9}, {3.922795221587881*^9, 
  3.92279522295548*^9}},
 CellLabel->
  "In[1352]:=",ExpressionUUID->"6bd93a63-0576-40fd-ad3a-6def246243d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"5.50267829435875`", ",", 
    RowBox[{"-", "3.4934494635985245`"}], ",", "6.668017003451113`", ",", 
    "5.868805762863747`", ",", 
    RowBox[{"-", "4.594712788024266`*^-6"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.922789629119483*^9, 3.922792862832548*^9, {3.922793388747237*^9, 
   3.9227934005174847`*^9}, {3.922793546177698*^9, 3.922793553142724*^9}, {
   3.92279521581111*^9, 3.922795223392057*^9}, 3.9227953217298193`*^9},
 CellLabel->
  "Out[1352]=",ExpressionUUID->"924283aa-bc86-4754-b858-901a0152cfd4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.50267890206473`", ",", 
   RowBox[{"-", "3.4934498482227454`"}], ",", "6.668017344967268`", ",", 
   "5.868805990448372`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.922789629119483*^9, 3.922792862832548*^9, {3.922793388747237*^9, 
   3.9227934005174847`*^9}, {3.922793546177698*^9, 3.922793553142724*^9}, {
   3.92279521581111*^9, 3.922795223392057*^9}, 3.922795321817444*^9},
 CellLabel->
  "Out[1353]=",ExpressionUUID->"d1501d59-966d-4bf3-9981-284e5d87a8be"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Network with 1 layer + output layer", "Subsubsection",
 CellChangeTimes->{{3.9227953385319233`*^9, 3.9227953434946632`*^9}, {
   3.922796061567389*^9, 3.9227960677426157`*^9}, 
   3.922796133344412*^9},ExpressionUUID->"ed8c98a0-f17f-4d3d-8255-\
88a54c7bf4b6"],

Cell["Make network", "Text",
 CellChangeTimes->{{3.922795712040777*^9, 
  3.922795714216156*^9}},ExpressionUUID->"ae6179f1-6195-4fea-a955-\
e0d71687b611"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"mynX", ",", 
   RowBox[{"{", "3", "}"}], ",", 
   RowBox[{"{", "identity", "}"}], ",", 
   RowBox[{"{", "didentity", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.922789439493067*^9, 3.922789507692585*^9}, {
  3.922793493185843*^9, 3.922793524895862*^9}, {3.922795349412261*^9, 
  3.922795350333329*^9}, {3.9227958132684793`*^9, 3.922795820560479*^9}, {
  3.9227960699339123`*^9, 3.922796088418632*^9}, {3.922797190713599*^9, 
  3.9227971908734207`*^9}},
 CellLabel->
  "In[1422]:=",ExpressionUUID->"b689740b-e747-42f9-b1d9-40f30a71c725"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{
  3.922789509443762*^9, 3.922792918009369*^9, {3.922792953434524*^9, 
   3.922792968749528*^9}, 3.9227930879394712`*^9, 3.922793189122652*^9, {
   3.9227932214034023`*^9, 3.9227932439705973`*^9}, {3.9227935031720037`*^9, 
   3.922793526078205*^9}, 3.922793871804701*^9, 3.922794533096994*^9, 
   3.9227953526311283`*^9, {3.922795419024094*^9, 3.922795446622209*^9}, 
   3.922795821611411*^9, {3.922795857201151*^9, 3.9227958807738857`*^9}, {
   3.92279608355149*^9, 3.922796088917449*^9}, 3.922797191906004*^9, 
   3.922797316087289*^9},
 CellLabel->
  "During evaluation of \
In[1422]:=",ExpressionUUID->"1f133604-4a3a-46f9-ae89-42670de55edd"]
}, Open  ]],

Cell["Iterate to learn from data", "Text",
 CellChangeTimes->{{3.9227957184569063`*^9, 
  3.922795722786622*^9}},ExpressionUUID->"380193ba-e21f-42c8-a7af-\
bb137a6aaf03"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"count", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"lossCalc", "[", "myXYData", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loss", "=", 
     RowBox[{"lossCalc", "[", "myXYData", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "1000"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", "loss", "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-3", "]"}]}], ",", "\[IndentingNewLine]", 
   "10000"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922795798606732*^9, 3.922795798672645*^9}, {
  3.9227958503174143`*^9, 3.92279586820884*^9}, {3.9228012535011272`*^9, 
  3.92280125567273*^9}},ExpressionUUID->"2a9d40d8-49c6-4779-a47d-\
5feec293bece"],

Cell[BoxData["2152.6232363142403`"], "Output",
 CellChangeTimes->{{3.922795809760757*^9, 3.922795829168539*^9}, {
   3.9227958599935093`*^9, 3.9227958826883793`*^9}, 3.922796100321807*^9, 
   3.922797196211359*^9, 3.9227973181520653`*^9},
 CellLabel->
  "Out[1423]=",ExpressionUUID->"c7e46a55-5833-4dca-b8e3-b0976fbcdb01"],

Cell[CellGroupData[{

Cell[BoxData["0.5226377117721274`"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797318390234*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"86788ea6-cdba-4434-9232-948c330faf3f"],

Cell[BoxData["7.869388163205194`*^-8"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797319868813*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"7f5afec4-a9c8-456e-be4a-637bb5b116d8"],

Cell[BoxData["1.0870007600730404`*^-14"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.9227973212928677`*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"984d5c5c-7bc3-49de-9b17-c2af43e1beae"],

Cell[BoxData["1.5014568977305918`*^-21"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797322712077*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"42be3379-8264-4c0c-862a-0b614492269f"],

Cell[BoxData["9.73769901404817`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.9227973241034927`*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"92f26412-b6a6-4009-b9e8-cd54a8f8f3e4"],

Cell[BoxData["3.8938174281709145`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.9227973255586233`*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"0fc115b9-8f0c-410f-9614-b3f886a5d132"],

Cell[BoxData["3.8938174281709145`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797326913725*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"4b16ec8b-e9d6-421e-a9c3-6ddfe3f05e16"],

Cell[BoxData["3.8938174281709145`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797328290432*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"d0a149b4-eef0-470f-8b2c-3973a9bed75d"],

Cell[BoxData["3.8938174281709145`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797329669385*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"4e0fe4aa-f929-49ed-9a36-6d2e39df246d"],

Cell[BoxData["3.8938174281709145`*^-28"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.92279610057506*^9, 
  3.922797196473092*^9, 3.922797331133584*^9},
 CellLabel->
  "During evaluation of \
In[1423]:=",ExpressionUUID->"89606e83-5695-41f5-8db8-01dbbdec71fa"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"W", "[", "2", "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "1", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "coeffs"}], "Input",
 CellChangeTimes->{{3.922796137957747*^9, 3.9227961558702087`*^9}, {
  3.9227962485169497`*^9, 3.922796290386119*^9}, {3.922796392581785*^9, 
  3.922796406900775*^9}, {3.922796935467149*^9, 3.9227970062563143`*^9}},
 CellLabel->
  "In[1425]:=",ExpressionUUID->"40d41aa0-05a4-4244-a945-6702f9776c4e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2.9195525053504454`"},
     {
      RowBox[{"-", "2.498765540936361`"}]},
     {
      RowBox[{"-", "3.171769807223111`"}]},
     {
      RowBox[{"-", "2.2496987544272766`"}]},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.9227961430101013`*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9},
 CellLabel->
  "Out[1425]//MatrixForm=",ExpressionUUID->"a14d6754-3264-44dc-9ece-\
56a0ece4796e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2.5927455807599364`", ",", "1.4020231621332717`", ",", 
     RowBox[{"-", "1.8237666502608703`"}], ",", "1.0845900510741247`", ",", 
     RowBox[{"-", "0.022804884627347196`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.26404927526733524`", ",", "0.08267851190259479`", ",", 
     "1.1120750782344984`", ",", "0.4485015384943577`", ",", 
     "1.0223737761024676`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.3400719870122127`", ",", "0.30153743786389675`", ",", 
     "1.0321632968472159`", ",", "0.2954783353512529`", ",", 
     "0.7284534081347872`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.9227961430101013`*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.9227973377927647`*^9},
 CellLabel->
  "Out[1426]=",ExpressionUUID->"2b620bc4-d79d-4895-bdf6-f05c59c68c49"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "8.501225032225499`"}], ",", 
    RowBox[{"-", "4.574207914796465`"}], ",", "7.373107498072379`", ",", 
    RowBox[{"-", "3.281345561926236`"}], ",", "1.9999999999999754`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.9227961430101013`*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337848626*^9},
 CellLabel->
  "Out[1427]=",ExpressionUUID->"f21a1d44-7ee2-42e7-ab80-12be1846f029"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "8.501225032225502`"}], ",", 
   RowBox[{"-", "4.574207914796453`"}], ",", "7.373107498072386`", ",", 
   RowBox[{"-", "3.281345561926244`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.9227961430101013`*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337912595*^9},
 CellLabel->
  "Out[1428]=",ExpressionUUID->"59bf5885-4db1-45c9-8a96-8585178070f0"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Network with 2 layers + output layer", "Subsubsection",
 CellChangeTimes->{{3.9227953385319233`*^9, 3.9227953434946632`*^9}, {
   3.922796061567389*^9, 3.9227960677426157`*^9}, 3.922796133344412*^9, {
   3.9227973711998367`*^9, 
   3.922797373592152*^9}},ExpressionUUID->"66f086b2-6bba-44b5-87ae-\
7e700d37709f"],

Cell["Make network", "Text",
 CellChangeTimes->{{3.922795712040777*^9, 
  3.922795714216156*^9}},ExpressionUUID->"0453f7da-c3ea-4250-a6fe-\
569a40217a4b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"mynX", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"identity", ",", "identity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"didentity", ",", "didentity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.922789439493067*^9, 3.922789507692585*^9}, {
  3.922793493185843*^9, 3.922793524895862*^9}, {3.922795349412261*^9, 
  3.922795350333329*^9}, {3.922795813268479*^9, 3.922795820560479*^9}, {
  3.9227960699339128`*^9, 3.922796088418632*^9}, {3.922797190713599*^9, 
  3.9227971908734207`*^9}, {3.922797381649708*^9, 3.922797391388309*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"eeeb6415-3a90-4e40-8118-19f177d7b553"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{
  3.922789509443762*^9, 3.922792918009369*^9, {3.922792953434524*^9, 
   3.922792968749528*^9}, 3.9227930879394712`*^9, 3.922793189122652*^9, {
   3.922793221403403*^9, 3.9227932439705977`*^9}, {3.922793503172004*^9, 
   3.922793526078205*^9}, 3.922793871804701*^9, 3.922794533096994*^9, 
   3.922795352631129*^9, {3.922795419024094*^9, 3.922795446622209*^9}, 
   3.922795821611411*^9, {3.922795857201151*^9, 3.9227958807738853`*^9}, {
   3.92279608355149*^9, 3.922796088917449*^9}, 3.922797191906004*^9, 
   3.922797316087289*^9, 3.922797392678368*^9, 3.922801217668153*^9},
 CellLabel->
  "During evaluation of \
In[30]:=",ExpressionUUID->"dc5fa33b-e826-4f26-9cbd-7cf755308683"]
}, Open  ]],

Cell["Iterate to learn from data", "Text",
 CellChangeTimes->{{3.9227957184569063`*^9, 
  3.922795722786622*^9}},ExpressionUUID->"d58367e9-1bc0-40cf-9c2f-\
49a19ba3b8da"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"lossCalc", "[", "myXYData", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"count", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loss", "=", 
     RowBox[{"lossCalc", "[", "myXYData", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "1000"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", "loss", "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-3", "]"}]}], ",", "\[IndentingNewLine]", 
   "10000"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922795798606732*^9, 3.922795798672645*^9}, {
  3.9227958503174143`*^9, 3.92279586820884*^9}, {3.922801242070632*^9, 
  3.922801244137239*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"83abfb7b-2dcc-44d2-8175-fb66a8a1c1c4"],

Cell[BoxData["8.519697776386928`*^-30"], "Output",
 CellChangeTimes->{{3.922795809760757*^9, 3.922795829168539*^9}, {
   3.9227958599935093`*^9, 3.92279588268838*^9}, 3.922796100321807*^9, 
   3.922797196211359*^9, 3.9227973181520658`*^9, {3.922797396447114*^9, 
   3.922797423072124*^9}, 3.922801221447801*^9, 3.922801266746047*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"c92d5f5f-e308-45be-bd36-33bc4ef07fea"],

Cell[CellGroupData[{

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.9228012668262043`*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"d9a3b9ff-ca2d-4c59-bf0a-80f918c7d7fb"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801268992255*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"431e37ee-2938-4db8-8a40-f684df93f94b"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.9228012715733*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"808ccfe7-8fae-46cb-bde3-6c209663c94b"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801274091091*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"6900651d-103c-4068-8e31-81b24812bc9b"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801276368297*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"d95d09a5-84f7-4530-8862-5e319a7350c7"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801278655244*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"a0f1b983-4b69-4fba-83d7-d89c729c20f6"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801281086529*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"31d56513-466d-4dbc-849e-fc2bfc9fab68"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801283374113*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"fc7f331f-e950-410a-8da1-d77b28817a0b"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.922801285630829*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"d5a36afd-cd53-4534-8592-8f2aab5c176c"],

Cell[BoxData["8.519697776386928`*^-30"], "Print",
 CellChangeTimes->{3.92280128816255*^9},
 CellLabel->
  "During evaluation of \
In[33]:=",ExpressionUUID->"efc23b94-d9be-4270-afab-4aade34e0adc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"W", "[", "3", "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "2", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "1", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "coeffs"}], "Input",
 CellChangeTimes->{{3.922796137957747*^9, 3.9227961558702087`*^9}, {
  3.9227962485169506`*^9, 3.922796290386119*^9}, {3.922796392581785*^9, 
  3.922796406900775*^9}, {3.922796935467149*^9, 3.922797006256315*^9}, {
  3.922797457021328*^9, 3.922797458984147*^9}, {3.922797627665433*^9, 
  3.922797659433037*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"030aaea6-09ff-426b-b718-9f3315657eb5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.13076780316395364`"},
     {"0.40974183607731085`"},
     {"0.8621810325157941`"},
     {
      RowBox[{"-", "3.9669400328517703`"}]},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.922801295080459*^9},
 CellLabel->
  "Out[36]//MatrixForm=",ExpressionUUID->"d68e975d-4bd2-40fe-a135-\
a6beb650d915"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.5150985342602497`"}], ",", 
     RowBox[{"-", "1.2726092517454635`"}], ",", 
     RowBox[{"-", "0.6800387270975683`"}], ",", "1.2528154227053592`", ",", 
     RowBox[{"-", "0.07427449115682772`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.028044932592948407`"}], ",", 
     RowBox[{"-", "0.06528666300190691`"}], ",", "0.43085940597042643`", ",", 
     "0.7231854861200687`", ",", "0.17490635389704312`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.49729994246385684`", ",", 
     RowBox[{"-", "0.1476221612959225`"}], ",", "0.8615180486895871`", ",", 
     "0.6611902018278369`", ",", "0.3147609035415931`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.92280129514985*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"7d1cc421-82a9-4978-8efb-2ab6bc909f98"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.415457577958984`", ",", "0.7484307903534052`", ",", 
     RowBox[{"-", "0.3902009589294092`"}], ",", "0.3802787244098644`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.0105655930631237`", ",", 
     RowBox[{"-", "0.24553707411459888`"}], ",", "0.003973476790568038`", ",",
      "0.62187329202926`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.922801295215723*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"2ac76766-0c69-428b-a3a2-6ef29a5d8012"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "1.2034052764430134`", ",", "1.75763717074405`", ",", 
    "0.9018896852941816`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.9228012952793016`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"2f0efa92-d417-4f55-80ba-c5608566aa7e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "8.178095025432803`"}], ",", 
    RowBox[{"-", "6.62726497649225`"}], ",", 
    RowBox[{"-", "3.7579181043677417`"}], ",", "6.594651742594281`", ",", 
    "2.000000000000002`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.922801295348057*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"e0378054-2704-43ff-b551-ecd538cc5f0f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "8.178095025432803`"}], ",", 
   RowBox[{"-", "6.627264976492249`"}], ",", 
   RowBox[{"-", "3.7579181043677394`"}], ",", "6.59465174259428`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.922796143010101*^9, 3.922796156317082*^9}, {
   3.922796251915208*^9, 3.922796290686081*^9}, {3.92279639738*^9, 
   3.922796407246662*^9}, 3.922796941086956*^9, {3.922796996270364*^9, 
   3.922797006852257*^9}, 3.922797212387661*^9, 3.922797337718848*^9, 
   3.922797459535708*^9, 3.922797660456565*^9, 3.9228012954147873`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"9a16676d-48e1-4710-b1b3-9303d59d765a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Network with 3 layers + output layer", "Subsubsection",
 CellChangeTimes->{{3.9227953385319233`*^9, 3.9227953434946632`*^9}, {
  3.9227977125513573`*^9, 
  3.9227977158128567`*^9}},ExpressionUUID->"f5454442-efaf-4466-a5e7-\
06f12f7a107b"],

Cell["Make network", "Text",
 CellChangeTimes->{{3.922795712040777*^9, 
  3.922795714216156*^9}},ExpressionUUID->"fe3d32f9-53af-49ab-a497-\
29aacd032e87"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"mynX", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"identity", ",", "identity", ",", "identity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"didentity", ",", "didentity", ",", "didentity"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.922789439493067*^9, 3.922789507692585*^9}, {
  3.922793493185843*^9, 3.922793524895862*^9}, {3.922795349412261*^9, 
  3.922795350333329*^9}, {3.9227958132684793`*^9, 3.922795820560479*^9}, {
  3.922797749741006*^9, 3.9227977498421707`*^9}},
 CellLabel->
  "In[1445]:=",ExpressionUUID->"8c838269-2361-46db-b8a6-97785896e612"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{
  3.922789509443762*^9, 3.922792918009369*^9, {3.922792953434524*^9, 
   3.922792968749528*^9}, 3.9227930879394712`*^9, 3.922793189122652*^9, {
   3.9227932214034023`*^9, 3.9227932439705973`*^9}, {3.9227935031720037`*^9, 
   3.922793526078205*^9}, 3.922793871804701*^9, 3.922794533096994*^9, 
   3.9227953526311283`*^9, {3.922795419024094*^9, 3.922795446622209*^9}, 
   3.922795821611411*^9, {3.922795857201151*^9, 3.9227958807738857`*^9}, 
   3.922797754102344*^9},
 CellLabel->
  "During evaluation of \
In[1445]:=",ExpressionUUID->"27d7794b-e141-4266-bb28-5e8826ab5547"]
}, Open  ]],

Cell["Iterate to learn from data", "Text",
 CellChangeTimes->{{3.9227957184569063`*^9, 
  3.922795722786622*^9}},ExpressionUUID->"8478f70c-5899-4f67-8d46-\
3811940822b2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"lossCalc", "[", "myXYData", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loss", "=", 
     RowBox[{"lossCalc", "[", "myXYData", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "1000"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", "loss", "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-4", "]"}]}], ",", "\[IndentingNewLine]", 
   "10000"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922795798606732*^9, 3.922795798672645*^9}, {
  3.9227958503174133`*^9, 3.92279586820884*^9}, {3.922797826101223*^9, 
  3.92279782624188*^9}},
 CellLabel->
  "In[1448]:=",ExpressionUUID->"bc150c38-5af2-4d1f-8756-496ab1681597"],

Cell[BoxData["112.78759755465667`"], "Output",
 CellChangeTimes->{{3.922795809760757*^9, 3.922795829168539*^9}, {
   3.9227958599935093`*^9, 3.9227958826883793`*^9}, 3.922797756940693*^9, 
   3.922797827341928*^9},
 CellLabel->
  "Out[1448]=",ExpressionUUID->"22982c51-793e-4911-9c21-d8e7592d20d8"],

Cell[CellGroupData[{

Cell[BoxData["0.00011664039667108901`"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797827834426*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"eaf0f7e6-7a65-49f0-addb-3127d4b84d93"],

Cell[BoxData["6.706708103334406`*^-12"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797830620541*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"8f285410-35eb-4506-9fca-5ddb194f9cb4"],

Cell[BoxData["3.8653692532420286`*^-19"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.9227978333018837`*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"faeee88a-1307-48bc-9255-21e9c1538bc3"],

Cell[BoxData["3.2009135634609865`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797835940127*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"691ee498-f426-47d3-8f90-af9050f68a30"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797838811578*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"819a82bf-e441-425c-be6d-fb8063491fb3"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797841648181*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"68a553c5-fce8-4bb8-864d-e68606a7fb6a"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797844423608*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"aea5d604-1752-4a39-b9cb-e69a11a27458"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797847291885*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"a17ec1e9-f5c4-4fd6-8f23-d575d3294758"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.922797850095233*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"a4bd1381-8c80-4d58-874e-6c13b0e04891"],

Cell[BoxData["1.4623903460987117`*^-26"], "Print",
 CellChangeTimes->{3.9227958832599783`*^9, 3.922797757461233*^9, 
  3.92279785279978*^9},
 CellLabel->
  "During evaluation of \
In[1448]:=",ExpressionUUID->"0e12fca7-be3b-422d-bc5c-380e864f0085"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "4", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"W", "[", "4", "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "3", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "2", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ".", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"W", "[", "1", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "coeffs"}], "Input",
 CellChangeTimes->{{3.9227979412606363`*^9, 3.922798000228277*^9}},
 CellLabel->
  "In[1463]:=",ExpressionUUID->"5364ab19-a8df-4c36-a970-3e6a249ac033"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2.9195525053504454`"},
     {
      RowBox[{"-", "2.498765540936361`"}]},
     {
      RowBox[{"-", "3.171769807223111`"}]},
     {
      RowBox[{"-", "2.2496987544272766`"}]},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010276*^9},
 CellLabel->
  "Out[1463]//MatrixForm=",ExpressionUUID->"5b019acb-148f-40cb-a29f-\
c1e2ceaeb823"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "1.3116285934637033`"}], ",", 
    RowBox[{"-", "0.7057408633170001`"}], ",", "1.1375747119379311`", ",", 
    RowBox[{"-", "0.506268996261479`"}], ",", "6.69307918710272`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010339868*^9},
 CellLabel->
  "Out[1464]=",ExpressionUUID->"5a0f192e-0301-42a8-8c74-eea577603d96"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3207330509828531`"}], ",", "0.6289425660135817`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.8372621495730577`", ",", 
     RowBox[{"-", "3.577819513070443`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010400609*^9},
 CellLabel->
  "Out[1465]=",ExpressionUUID->"5d97d495-02bd-47c4-93e9-efcfd418e119"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"0.32053224389485613`", ",", 
    RowBox[{"-", "1.8361198073806202`"}], ",", "8.998682055771038`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010465288*^9},
 CellLabel->
  "Out[1466]=",ExpressionUUID->"3c068d6d-7e67-4109-a29d-d1b5da3cefb9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "1.864494237365318`"}], ",", 
    RowBox[{"-", "11.978406484983223`"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.92279801052422*^9},
 CellLabel->
  "Out[1467]=",ExpressionUUID->"92a9d3ff-3159-4b0a-a99c-754e23eee7c6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "8.5012250322255`"}], ",", 
    RowBox[{"-", "4.574207914796381`"}], ",", "7.373107498072451`", ",", 
    RowBox[{"-", "3.2813455619263046`"}], ",", "2.0000000000001563`"}], "}"}],
   "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010580701*^9},
 CellLabel->
  "Out[1468]=",ExpressionUUID->"f9831995-a4a9-4355-a8b3-c6e327ccc8e8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "8.501225032225502`"}], ",", 
   RowBox[{"-", "4.574207914796453`"}], ",", "7.373107498072386`", ",", 
   RowBox[{"-", "3.281345561926244`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9227978954177923`*^9, 3.922797952941904*^9, 
  3.922798010641315*^9},
 CellLabel->
  "Out[1469]=",ExpressionUUID->"0fb895c0-2100-447c-a6f3-01cfa792ce9c"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Try again with a lot more data", "Subsubsection",
 CellChangeTimes->{{3.92279824507346*^9, 
  3.922798249184103*^9}},ExpressionUUID->"21a56b80-ed5a-4f4e-8455-\
6d50d7564abf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ndata", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xdata", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ndata", ",", "mynX"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ydata", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"myFn", "[", "#", "]"}], "&"}], "/@", "xdata"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myXYData", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xdata", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"ydata", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "ydata", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.922788916525961*^9, 3.9227889212411213`*^9}, {
  3.922788957062108*^9, 3.9227890154372272`*^9}, {3.9227890561544724`*^9, 
  3.922789059271552*^9}, {3.922789132467407*^9, 3.9227892315727873`*^9}, {
  3.922789284810224*^9, 3.922789299849009*^9}, {3.922789347421863*^9, 
  3.922789391193639*^9}, {3.9227894305147057`*^9, 3.9227894362690287`*^9}, {
  3.922798215022566*^9, 3.922798220106773*^9}, {3.9227982544352283`*^9, 
  3.9227982574827642`*^9}},
 CellLabel->
  "In[1475]:=",ExpressionUUID->"da88607e-9fcb-41ef-a673-4355350b134c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"mynX", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"identity", ",", "identity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"didentity", ",", "didentity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.9227983075659*^9, {3.9227984425645*^9, 3.9227984496974583`*^9}},
 CellLabel->
  "In[1496]:=",ExpressionUUID->"d6db3023-9fc7-4218-b530-7d3d84219d0a"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{
  3.922798308535746*^9, {3.9227984000699043`*^9, 3.922798413888103*^9}, 
   3.922798451016547*^9},
 CellLabel->
  "During evaluation of \
In[1496]:=",ExpressionUUID->"36a4d4fb-9a80-4a8a-a8df-c6d0c08a5390"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"lossCalc", "[", "myXYData", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loss", "=", 
     RowBox[{"lossCalc", "[", "myXYData", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "10"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", "loss", "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-3", "]"}]}], ",", "\[IndentingNewLine]", 
   "100"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922798299239204*^9, 3.922798327811355*^9}, {
  3.922798366126096*^9, 3.9227984106313334`*^9}},
 CellLabel->
  "In[1497]:=",ExpressionUUID->"2cb4ec78-0ca5-46e6-9c16-16439511a44f"],

Cell[BoxData["1281.972283163085`"], "Output",
 CellChangeTimes->{
  3.922798272814858*^9, {3.922798311406241*^9, 3.922798329324608*^9}, {
   3.922798368348661*^9, 3.9227984157541323`*^9}, 3.922798456700303*^9},
 CellLabel->
  "Out[1497]=",ExpressionUUID->"85d25637-0171-4e59-98e8-2cd888c705d1"],

Cell[CellGroupData[{

Cell[BoxData["1231.163599008879`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.922798458829885*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"53c04697-5958-4eca-a15d-b97c04cd3291"],

Cell[BoxData["21.678376398887405`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.9227984609391003`*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"339b8148-70c6-4406-b87a-8f2c343d14f6"],

Cell[BoxData["0.0055276404074881035`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.922798463074071*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"91aa9783-a273-47c3-b85d-a71d2793ffda"],

Cell[BoxData["0.0012776204297958546`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.9227984652313747`*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"67368b53-3d62-45e0-8e75-7b0574f7e789"],

Cell[BoxData["0.0003434216943451735`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.922798467351597*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"c5637b37-f9a3-4f70-91c5-7ff577df11e8"],

Cell[BoxData["0.00009228671095090202`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.9227984695069323`*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"6b46cc9a-22ed-4fff-a209-92c17dbe71e2"],

Cell[BoxData["0.00002479626975590201`"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.922798471652473*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"dbce79b3-4a79-41cc-a5a8-125e52a571fb"],

Cell[BoxData["6.661930799000466`*^-6"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.9227984737949133`*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"20b33bb2-f9b1-4123-bc4c-53c6df15bdbd"],

Cell[BoxData["1.7897671386922904`*^-6"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.922798475989964*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"2874d615-2629-478a-b718-ed1b4cee4179"],

Cell[BoxData["4.808215683765357`*^-7"], "Print",
 CellChangeTimes->{{3.922798389972741*^9, 3.922798416877408*^9}, 
   3.9227984783365593`*^9},
 CellLabel->
  "During evaluation of \
In[1497]:=",ExpressionUUID->"34947373-c9c5-480b-ac25-33c8d0d66ea9"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Just testing that functions work", "Subsection",
 CellChangeTimes->{{3.922788929673275*^9, 
  3.922788939787078*^9}},ExpressionUUID->"76c30b5a-2f69-4d5a-8da5-\
f1088500c029"],

Cell[BoxData[
 RowBox[{
  RowBox[{"myData", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "4", ",", "5", ",", "6"}], "}"}], ",", "20"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "2", ",", "4", ",", "5"}], "}"}], ",", 
       "40"}], " ", "}"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9227846647839727`*^9, 3.9227846970805483`*^9}},
 CellLabel->
  "In[903]:=",ExpressionUUID->"413bce33-d4d8-4c30-973e-4f62d17268ce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"4", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"ReLU", ",", "ReLU", ",", "ReLU"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"dReLU", ",", "dReLU", ",", "dReLU"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.922727066391446*^9, 3.922727080074442*^9}, {
  3.922727561802464*^9, 3.922727570684136*^9}, {3.922728657468902*^9, 
  3.922728659982345*^9}, {3.9227475401988373`*^9, 3.922747550852364*^9}, {
  3.9227835563942003`*^9, 3.9227835610878553`*^9}},
 CellLabel->
  "In[1012]:=",ExpressionUUID->"e343226b-35d6-40de-8015-edd62767fa85"],

Cell[CellGroupData[{

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.9227835651534767`*^9, 3.9227836162882223`*^9, 
  3.922784113222879*^9, 3.922784432894087*^9, 3.922784641969634*^9, 
  3.922784703498994*^9, 3.922785659638349*^9, 3.9227863315065928`*^9, 
  3.9227863617798758`*^9, 3.922786445286377*^9, 3.922786514175774*^9, 
  3.922787814717404*^9, 3.92278785305917*^9, 3.922788885254758*^9},
 CellLabel->
  "During evaluation of \
In[1012]:=",ExpressionUUID->"0201df23-eb7d-4321-8143-4918f992ada3"],

Cell[BoxData["2"], "Print",
 CellChangeTimes->{3.9227835651534767`*^9, 3.9227836162882223`*^9, 
  3.922784113222879*^9, 3.922784432894087*^9, 3.922784641969634*^9, 
  3.922784703498994*^9, 3.922785659638349*^9, 3.9227863315065928`*^9, 
  3.9227863617798758`*^9, 3.922786445286377*^9, 3.922786514175774*^9, 
  3.922787814717404*^9, 3.92278785305917*^9, 3.922788885319083*^9},
 CellLabel->
  "During evaluation of \
In[1012]:=",ExpressionUUID->"77aa517a-1013-43fe-87c7-f54a041ba760"],

Cell[BoxData["3"], "Print",
 CellChangeTimes->{3.9227835651534767`*^9, 3.9227836162882223`*^9, 
  3.922784113222879*^9, 3.922784432894087*^9, 3.922784641969634*^9, 
  3.922784703498994*^9, 3.922785659638349*^9, 3.9227863315065928`*^9, 
  3.9227863617798758`*^9, 3.922786445286377*^9, 3.922786514175774*^9, 
  3.922787814717404*^9, 3.92278785305917*^9, 3.9227888853736773`*^9},
 CellLabel->
  "During evaluation of \
In[1012]:=",ExpressionUUID->"0c1e651f-bb59-4675-b26e-b604c84641df"],

Cell[BoxData["4"], "Print",
 CellChangeTimes->{3.9227835651534767`*^9, 3.9227836162882223`*^9, 
  3.922784113222879*^9, 3.922784432894087*^9, 3.922784641969634*^9, 
  3.922784703498994*^9, 3.922785659638349*^9, 3.9227863315065928`*^9, 
  3.9227863617798758`*^9, 3.922786445286377*^9, 3.922786514175774*^9, 
  3.922787814717404*^9, 3.92278785305917*^9, 3.92278888542815*^9},
 CellLabel->
  "During evaluation of \
In[1012]:=",ExpressionUUID->"1eb7d4c0-2d06-4244-a25c-a0a5f85d878b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lossCalc", "[", "myData", "]"}]], "Input",
 CellChangeTimes->{{3.922787817655418*^9, 3.922787820855912*^9}},
 CellLabel->
  "In[1013]:=",ExpressionUUID->"dfdc8394-a555-4668-b2d2-08432f9ba5f2"],

Cell[BoxData["650.8281574018381`"], "Output",
 CellChangeTimes->{3.9227878213084183`*^9, 3.922787854829145*^9, 
  3.922787898812888*^9, 3.9227880340183277`*^9, 3.922788127786981*^9, 
  3.922788174196919*^9, 3.922788887104005*^9},
 CellLabel->
  "Out[1013]=",ExpressionUUID->"e294967f-af54-405a-a896-19bab77b3b0f"]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Automobile MPG", "Section",
 CellChangeTimes->{{3.922799159287614*^9, 3.922799161570901*^9}, {
  3.923740141404254*^9, 
  3.923740142160153*^9}},ExpressionUUID->"1b7ad9a2-16aa-406c-ad1d-\
0ffcb0869832"],

Cell["\<\
1.  mpg : continuous
2.  cylinders : multi - valued  discrete
3.  displacement : continuous
4.  horsepower : continuous
5.  weight : continuous
6.  acceleration : continuous
7.  model  year : multi - valued  discrete
8.  origin : multi - valued  discrete
9.  car  name : string  (unique  for  each  instance)
Missing  Attribute  Values : horsepower  has  6  missing  values\
\>", "Text",
 CellChangeTimes->{{3.922799898302923*^9, 
  3.922799912396592*^9}},ExpressionUUID->"ff182246-1f77-4a2e-9516-\
7f4080d21761"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mpgData", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<auto+mpg/auto-mpg.data\>\"", ",", "\"\<Table\>\""}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "mpgData", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mpgData", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"mpgData", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{"#", ",", "\"\<?\>\""}], "]"}]}], ")"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"nData", "=", 
  RowBox[{"Length", "[", "mpgData", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ydata", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"#", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "&"}], "/@", "mpgData"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xdata", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", 
        RowBox[{"2", ";;", "6"}], "]"}], "]"}], "&"}], "/@", "mpgData"}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Standardize", " ", "the", " ", "x", " ", "value"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xdataStd", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"N", "[", 
        FractionBox[
         RowBox[{"#", "-", 
          RowBox[{"Mean", "[", "#", "]"}]}], 
         RowBox[{"StandardDeviation", "[", "#", "]"}]], "]"}], "&"}], "/@", 
      RowBox[{"Transpose", "[", "xdata", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTrain", "=", 
   RowBox[{"Round", "[", 
    RowBox[{"0.8", " ", "nData"}], "]"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"nTrain", "=", "5"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"nValidate", "=", 
  RowBox[{"Round", "[", 
   RowBox[{"0.1", " ", "nData"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"nTest", "=", 
  RowBox[{"nData", "-", "nTrain", "-", "nValidate"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yTrain", "=", 
   RowBox[{"ydata", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "nTrain"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xTrain", "=", 
   RowBox[{"xdataStd", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "nTrain"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xyTrain", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"xTrain", ",", "yTrain"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"nX", "=", 
  RowBox[{"Length", "[", 
   RowBox[{"xdata", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.9227991666633053`*^9, 3.922799224506176*^9}, {
   3.922799258097785*^9, 3.9227992967830877`*^9}, {3.922799360425596*^9, 
   3.922799361735697*^9}, {3.922799555173522*^9, 3.922799628943841*^9}, {
   3.922799778270561*^9, 3.92279984212893*^9}, {3.922799949975138*^9, 
   3.922800051510894*^9}, {3.922800081726163*^9, 3.922800198762498*^9}, {
   3.922800395482868*^9, 3.922800446951302*^9}, {3.922800703643149*^9, 
   3.922800715761052*^9}, {3.9228016935475407`*^9, 3.9228016946385403`*^9}, {
   3.922802110498396*^9, 3.922802159883512*^9}, {3.922802276270709*^9, 
   3.922802285464224*^9}, 3.9228024742663717`*^9},
 CellLabel->
  "In[217]:=",ExpressionUUID->"2f1e8c14-9d74-42a8-a42f-7b6132001e46"],

Cell[BoxData["\<\"/Users/kofke/Documents/Teaching/PES \
modeling/Lectures/Lecture 22\"\>"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.922802475568109*^9},
 CellLabel->
  "Out[217]=",ExpressionUUID->"300e5f8e-c849-4dae-b3c8-79c960cc5b23"],

Cell[BoxData["398"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.9228024757165003`*^9},
 CellLabel->
  "Out[219]=",ExpressionUUID->"98910ca6-d69d-401a-8a63-d65b2d141d74"],

Cell[BoxData["392"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.9228024757789173`*^9},
 CellLabel->
  "Out[221]=",ExpressionUUID->"12617cb4-23e2-4330-9ed3-4d45a2f5e764"],

Cell[BoxData["314"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.9228024758460693`*^9},
 CellLabel->
  "Out[225]=",ExpressionUUID->"582d459e-0fb0-44c3-91ee-65137354b511"],

Cell[BoxData["39"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.92280247588892*^9},
 CellLabel->
  "Out[226]=",ExpressionUUID->"8c93f4a6-3972-466d-86e4-8c4638ed2ab2"],

Cell[BoxData["39"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.922802475944951*^9},
 CellLabel->
  "Out[227]=",ExpressionUUID->"f4f9a21d-a113-4c27-ab49-3280d2a83700"],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{
  3.922799228513278*^9, {3.922799262012501*^9, 3.922799288655669*^9}, {
   3.922799591887496*^9, 3.922799606125173*^9}, 3.922799639700388*^9, 
   3.92279980453065*^9, 3.922799843944604*^9, 3.922800055264457*^9, {
   3.922800153782987*^9, 3.922800199645574*^9}, 3.922800447694878*^9, {
   3.922800707170376*^9, 3.92280071639142*^9}, 3.92280131174948*^9, 
   3.922801441543312*^9, 3.922801484989998*^9, 3.922801650235948*^9, 
   3.92280169563169*^9, 3.922802163723517*^9, {3.9228022773109207`*^9, 
   3.922802287338517*^9}, 3.922802476008597*^9},
 CellLabel->
  "Out[231]=",ExpressionUUID->"9e46ddb1-3030-4d7c-8bd2-c9822fee4557"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Histogram", "[", 
     RowBox[{"xdata", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdata", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdata", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdata", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "4"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdata", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "5"}], "]"}], "]"}], "]"}]}], "}"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Histogram", "[", 
     RowBox[{"xdataStd", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdataStd", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdataStd", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdataStd", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "4"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"Histogram", "[", 
     RowBox[{"xdataStd", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "5"}], "]"}], "]"}], "]"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.92280229947538*^9, 3.922802360572208*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"6bf02bfc-0ced-41af-bb7a-29609526b93e"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.6579999999999999], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.6579999999999999], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0}, {5., 203.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{42.72076685246806, 
               64.67546005840458}, {-64.97913397591674, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 203]& ,
            TagBoxNote->"203"],
           StyleBox["203", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[203, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{5., 0}, {7., 86.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{64.17546005840458, 
               86.1301532643411}, {-35.3651935018906, -13.097681700469664`}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 86]& ,
            TagBoxNote->"86"],
           StyleBox["86", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[86, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0}, {9., 103.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{85.6301532643411, 
               107.58484647027761`}, {-39.668073741706365`, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 103]& ,
            TagBoxNote->"103"],
           StyleBox["103", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[103, {}], "Tooltip"]& ]}, {}, {}}, {{}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0.84, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036827`, 0.5}, {11.815394867839252`, 0.5}},
      PlotRange->{{1., 9.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {65.24143295530251, -39.0067855707254}, 
     ImageScaled[{0.5, 0.5}], {120.51917857987814, 74.29863918233409},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.623], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.623], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{50., 0}, {100., 95.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.26483334684187, 
               31.288388974443023`}, {-62.382325430601675`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 95]& ,
            TagBoxNote->"95"],
           StyleBox["95", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[95, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{100., 0}, {150., 100.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{30.788388974443023`, 
               40.81194460204421}, {-64.94820171025572, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 100]& ,
            TagBoxNote->"100"],
           StyleBox["100", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[100, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{150., 0}, {200., 32.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.31194460204421, 
               50.33550022964536}, {-30.052284306960672`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 32]& ,
            TagBoxNote->"32"],
           StyleBox["32", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[32, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{200., 0}, {250., 39.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.83550022964536, 
               59.85905585724652}, {-33.64451109847634, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 39]& ,
            TagBoxNote->"39"],
           StyleBox["39", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[39, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{250., 0}, {300., 28.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{59.35905585724652, 
               69.38261148484767}, {-27.999583283237435`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 28]& ,
            TagBoxNote->"28"],
           StyleBox["28", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[28, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{300., 0}, {350., 43.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{68.88261148484767, 
               78.90616711244883}, {-35.69721212219957, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 43]& ,
            TagBoxNote->"43"],
           StyleBox["43", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[43, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{350., 0}, {400., 33.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{78.40616711244883, 
               88.42972274005001}, {-30.565459562891483`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 33]& ,
            TagBoxNote->"33"],
           StyleBox["33", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[33, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{400., 0}, {450., 18.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{87.92972274005001, 
               97.95327836765117}, {-22.867830723929337`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 18]& ,
            TagBoxNote->"18"],
           StyleBox["18", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[18, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{450., 0}, {500., 4.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{97.45327836765117, 
               107.47683399525232`}, {-15.683377140898003`, \
-13.130676117174765`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 4]& ,
            TagBoxNote->"4"],
           StyleBox["4", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[4, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{41., 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.729166666666668`, 1.7291666666666288`}, {
       11.815394867839252`, 0.5}},
      PlotRange->{{50., 500.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {196.33937425955577, -39.0067855707254},
      ImageScaled[{0.5, 0.5}], {121.74932936717462, 74.29863918233409},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.616], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.616], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{40., 0}, {60., 15.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.266073646531538`, 
               30.34795092890613}, {-20.41822846269715, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 15]& ,
            TagBoxNote->"15"],
           StyleBox["15", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[15, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{60., 0}, {80., 97.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{29.84795092890613, 
               38.92982821128078}, {-57.703884096207425`, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 97]& ,
            TagBoxNote->"97"],
           StyleBox["97", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[97, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{80., 0}, {100., 113.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{38.42982821128078, 
               47.51170549365537}, {-64.97913397591674, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 113]& ,
            TagBoxNote->"113"],
           StyleBox["113", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[113, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{100., 0}, {120., 61.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{47.01170549365537, 
               56.09358277602996}, {-41.33457186686145, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 61]& ,
            TagBoxNote->"61"],
           StyleBox["61", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[61, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{120., 0}, {140., 22.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{55.59358277602996, 
               64.67546005840461}, {-23.60115028506998, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 22]& ,
            TagBoxNote->"22"],
           StyleBox["22", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[22, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{140., 0}, {160., 45.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{64.17546005840461, 
               73.2573373407792}, {-34.05932198715213, -13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 45]& ,
            TagBoxNote->"45"],
           StyleBox["45", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[45, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{160., 0}, {180., 17.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{72.7573373407792, 
               81.8392146231538}, {-21.32763469766082, -13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 17]& ,
            TagBoxNote->"17"],
           StyleBox["17", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[17, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{180., 0}, {200., 11.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{81.3392146231538, 
               90.42109190552844}, {-18.59941599276982, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 11]& ,
            TagBoxNote->"11"],
           StyleBox["11", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[11, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{200., 0}, {220., 6.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{89.92109190552844, 
               99.00296918790303}, {-16.32590040536066, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 6]& ,
            TagBoxNote->"6"],
           StyleBox["6", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[6, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{220., 0}, {240., 5.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{98.50296918790303, 
               107.58484647027763`}, {-15.871197287878829`, \
-13.097681700469664`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 5]& ,
            TagBoxNote->"5"],
           StyleBox["5", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[5, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}}},
      
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{36., 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036834`, 0.5}, {11.815394867839252`, 0.5}},
      PlotRange->{{40., 240.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {327.437315563809, -39.0067855707254}, 
     ImageScaled[{0.5, 0.5}], {120.51917857987816, 74.29863918233409},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.63], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.63], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1500., 0}, {2000., 42.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{21.266073646531538`, 
               32.49342024949982}, {-34.96422621105161, -13.09768170046965}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 42]& ,
            TagBoxNote->"42"],
           StyleBox["42", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[42, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2000., 0}, {2500., 101.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{31.99342024949982, 
               43.220766852468046`}, {-64.97913397591674, \
-13.09768170046965}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 101]& ,
            TagBoxNote->"101"],
           StyleBox["101", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[101, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2500., 0}, {3000., 82.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{42.720766852468046`, 
               53.94811345543633}, {-55.31331622112967, -13.09768170046965}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 82]& ,
            TagBoxNote->"82"],
           StyleBox["82", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[82, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3000., 0}, {3500., 58.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{53.44811345543633, 
               64.67546005840461}, {-43.10386221508283, -13.09768170046965}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 58]& ,
            TagBoxNote->"58"],
           StyleBox["58", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[58, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3500., 0}, {4000., 45.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{64.17546005840461, 
               75.40280666137284}, {-36.49040796180746, -13.09768170046965}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 45]& ,
            TagBoxNote->"45"],
           StyleBox["45", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[45, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4000., 0}, {4500., 47.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{74.90280666137284, 
               86.13015326434112}, {-37.507862462311365`, \
-13.09768170046965}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 47]& ,
            TagBoxNote->"47"],
           StyleBox["47", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[47, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4500., 0}, {5000., 16.}, "RoundingRadius" -> 0]},
              
              
              ImageSizeCache->{{85.63015326434112, 
               96.85749986730934}, {-21.737317704500875`, \
-13.09768170046965}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 16]& ,
            TagBoxNote->"16"],
           StyleBox["16", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[16, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{5000., 0}, {5500., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{96.35749986730934, 
               107.58484647027763`}, {-14.106408950721601`, \
-13.09768170046965}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 1]& ,
            TagBoxNote->"1"],
           StyleBox["1", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[1, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{1420., 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036834`, 0.5}, {11.815394867839252`, 0.5}},
      PlotRange->{{1500., 5500.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {457.9201814744141, -39.0067855707254}, 
     ImageScaled[{0.5, 0.5}], {120.51917857987816, 74.29863918233409},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.567], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.567], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{8., 0}, {9., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.519641938671668`, 
               21.06934416922644}, {-15.99883614058897, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 3]& ,
            TagBoxNote->"3"],
           StyleBox["3", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[3, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{9., 0}, {10., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{20.56934416922644, 
               26.119046399781155`}, {-15.99883614058897, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 3]& ,
            TagBoxNote->"3"],
           StyleBox["3", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[3, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{10., 0}, {11., 5.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{25.619046399781155`, 
               31.16874863033587}, {-17.60499607348576, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 5]& ,
            TagBoxNote->"5"],
           StyleBox["5", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[5, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{11., 0}, {12., 20.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{30.66874863033587, 
               36.21845086089053}, {-29.651195570211677`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 20]& ,
            TagBoxNote->"20"],
           StyleBox["20", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[20, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{12., 0}, {13., 28.}, "RoundingRadius" -> 0]},
              ImageSizeCache->{{35.71845086089053, 
               41.2681530914453}, {-36.07583530179883, -13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 28]& ,
            TagBoxNote->"28"],
           StyleBox["28", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[28, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{13., 0}, {14., 43.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.7681530914453, 
               46.31785532200007}, {-48.122034798524744`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 43]& ,
            TagBoxNote->"43"],
           StyleBox["43", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[43, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{14., 0}, {15., 64.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.81785532200007, 
               51.36755755255473}, {-64.98671409394103, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 64]& ,
            TagBoxNote->"64"],
           StyleBox["64", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[64, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{15., 0}, {16., 60.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{50.86755755255473, 
               56.4172597831095}, {-61.77439422814745, -13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 60]& ,
            TagBoxNote->"60"],
           StyleBox["60", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[60, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{16., 0}, {17., 55.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{55.9172597831095, 
               61.46696201366427}, {-57.758994395905475`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 55]& ,
            TagBoxNote->"55"],
           StyleBox["55", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[55, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{17., 0}, {18., 36.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{60.96696201366427, 
               66.51666424421893}, {-42.50047503338598, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 36]& ,
            TagBoxNote->"36"],
           StyleBox["36", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[36, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{18., 0}, {19., 27.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{66.01666424421893, 
               71.5663664747737}, {-35.27275533535044, -13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 27]& ,
            TagBoxNote->"27"],
           StyleBox["27", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[27, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{19., 0}, {20., 26.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{71.0663664747737, 
               76.61606870532836}, {-34.469675368902045`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 26]& ,
            TagBoxNote->"26"],
           StyleBox["26", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[26, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{20., 0}, {21., 6.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{76.11606870532836, 
               81.66577093588313}, {-18.408076039934155`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 6]& ,
            TagBoxNote->"6"],
           StyleBox["6", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[6, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{21., 0}, {22., 9.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{81.16577093588313, 
               86.71547316643779}, {-20.81731593927934, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 9]& ,
            TagBoxNote->"9"],
           StyleBox["9", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[9, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{22., 0}, {23., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{86.21547316643779, 
               91.76517539699256}, {-15.99883614058897, -13.08959624124379}}],
             
             "DelayedMouseEffectStyle"],
            StatusArea[#, 3]& ,
            TagBoxNote->"3"],
           StyleBox["3", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[3, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{23., 0}, {24., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{91.26517539699256, 
               96.81487762754733}, {-15.195756174140577`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{24., 0}, {25., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{96.31487762754733, 
               101.86457985810199`}, {-15.195756174140577`, \
-13.08959624124379}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{7.66, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{13.72337870296235, 0.5}, {11.815394867839252`, 0.5}},
      PlotRange->{{8., 25.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {585.4006454634819, -39.0067855707254}, 
     ImageScaled[{0.5, 0.5}], {114.51437473680367, 74.29863918233409},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}]}, {}},
  ImageSize->{
    UpTo[600], 
    UpTo[223]},
  PlotRange->{{0, 647.6396764972471}, {-78.0135711414508, 0}},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.922802266776126*^9, {3.92280231588507*^9, 3.92280236242671*^9}},
 CellLabel->
  "Out[199]=",ExpressionUUID->"4e636139-3b68-44de-90f4-c75800f898ff"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.6579999999999999], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.6579999999999999], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0}, {-1., 4.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.292423503103826`, 
               43.56331498790772}, {-13.832191078503978`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 4]& ,
            TagBoxNote->"4"],
           StyleBox["4", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[4, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0}, {0., 202.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{43.06331498790772, 
               65.33420647271161}, {-64.93845112960551, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 202]& ,
            TagBoxNote->"202"],
           StyleBox["202", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[202, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0}, {1., 83.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{64.83420647271161, 
               87.10509795751551}, {-34.22307261404448, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 83]& ,
            TagBoxNote->"83"],
           StyleBox["83", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[83, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0}, {2., 103.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{86.60509795751551, 
               108.87598944231941`}, {-39.38532110405474, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 103]& ,
            TagBoxNote->"103"],
           StyleBox["103", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[103, {}], "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{-2.08, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036834`, 0.5}, {11.80018936788252, 0.5}},
      PlotRange->{{-2., 2.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {65.45265385429187, -39.161443250905734},
      ImageScaled[{0.5, 0.5}], {121.02043184924882, 74.59322523982044},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.63], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.63], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1.5, 0}, {-1., 35.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.292423503103862`, 
               32.6778692455058}, {-24.57299842062209, -12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 35]& ,
            TagBoxNote->"35"],
           StyleBox["35", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[35, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0}, {-0.5, 155.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.1778692455058, 
               43.563314987907745`}, {-64.93845112960548, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 155]& ,
            TagBoxNote->"155"],
           StyleBox["155", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[155, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-0.5, 0}, {0., 32.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{43.063314987907745`, 
               54.44876073030969}, {-23.563862102897502`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 32]& ,
            TagBoxNote->"32"],
           StyleBox["32", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[32, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0}, {0.5, 44.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{53.94876073030969, 
               65.33420647271163}, {-27.600407373795843`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 44]& ,
            TagBoxNote->"44"],
           StyleBox["44", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[44, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0.5, 0}, {1., 28.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{64.83420647271163, 
               76.21965221511357}, {-22.218347012598056`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 28]& ,
            TagBoxNote->"28"],
           StyleBox["28", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[28, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0}, {1.5, 69.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{75.71965221511357, 
               87.10509795751551}, {-36.00987668816738, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 69]& ,
            TagBoxNote->"69"],
           StyleBox["69", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[69, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1.5, 0}, {2., 20.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{86.60509795751551, 
               97.99054369991745}, {-19.527316831999162`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 20]& ,
            TagBoxNote->"20"],
           StyleBox["20", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[20, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0}, {2.5, 9.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{97.49054369991745, 
               108.8759894423194}, {-15.827150333675682`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 9]& ,
            TagBoxNote->"9"],
           StyleBox["9", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[9, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{-1.58, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036834`, 0.5}, {11.80018936788252, 0.5}},
      PlotRange->{{-1.5, 2.5}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {196.3579615628756, -39.161443250905734},
      ImageScaled[{0.5, 0.5}], {121.02043184924882, 74.59322523982044},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.609], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.609], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0}, {-1.5, 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.292423503103805`, 
               29.7091113157598}, {-13.802408875676996`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1.5, 0}, {-1., 35.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{29.2091113157598, 
               37.625799128415736`}, {-30.34642254606563, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 35]& ,
            TagBoxNote->"35"],
           StyleBox["35", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[35, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0}, {-0.5, 104.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{37.125799128415736`, 
               45.54248694107173}, {-64.9384511296055, -12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 104]& ,
            TagBoxNote->"104"],
           StyleBox["104", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[104, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-0.5, 0}, {0., 103.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.04248694107173, 
               53.459174753727666`}, {-64.43711738201796, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 103]& ,
            TagBoxNote->"103"],
           StyleBox["103", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[103, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0}, {0.5, 47.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{52.959174753727666`, 
               61.3758625663836}, {-36.362427517116046`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 47]& ,
            TagBoxNote->"47"],
           StyleBox["47", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[47, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0.5, 0}, {1., 25.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{60.8758625663836, 
               69.2925503790396}, {-25.333085070190286`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 25]& ,
            TagBoxNote->"25"],
           StyleBox["25", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[25, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0}, {1.5, 39.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{68.7925503790396, 
               77.20923819169553}, {-32.35175753641577, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 39]& ,
            TagBoxNote->"39"],
           StyleBox["39", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[39, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1.5, 0}, {2., 20.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{76.70923819169553, 
               85.12592600435153}, {-22.826416332252613`, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 20]& ,
            TagBoxNote->"20"],
           StyleBox["20", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[20, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0}, {2.5, 7.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{84.62592600435153, 
               93.04261381700746}, {-16.30907761361467, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 7]& ,
            TagBoxNote->"7"],
           StyleBox["7", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[7, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2.5, 0}, {3., 5.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{92.54261381700746, 
               100.95930162966346`}, {-15.3064101184396, \
-12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 5]& ,
            TagBoxNote->"5"],
           StyleBox["5", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[5, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0}, {3.5, 5.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{100.45930162966346`, 
               108.8759894423194}, {-15.3064101184396, -12.299741380501928`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 5]& ,
            TagBoxNote->"5"],
           StyleBox["5", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[5, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{-2.11, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{19.728182546036834`, 0.5}, {11.80018936788252, 0.5}},
      PlotRange->{{-2., 3.5}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {327.2632692714593, -39.161443250905734},
      ImageScaled[{0.5, 0.5}], {121.02043184924882, 74.59322523982044},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.616], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.616], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0}, {-1.5, 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.524663808838284`, 
               24.735627616967008`}, {-14.063741222915457`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1.5, 0}, {-1., 67.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.235627616967008`, 
               33.446591425095676`}, {-55.40557998819902, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 67]& ,
            TagBoxNote->"67"],
           StyleBox["67", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[67, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0}, {-0.5, 82.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.946591425095676`, 
               42.15755523322434}, {-64.94600431864907, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 82]& ,
            TagBoxNote->"82"],
           StyleBox["82", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[82, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-0.5, 0}, {0., 71.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{41.65755523322434, 
               50.86851904135307}, {-57.94969314298571, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 71]& ,
            TagBoxNote->"71"],
           StyleBox["71", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[71, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0}, {0.5, 46.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{50.36851904135307, 
               59.57948284948179}, {-42.04898592556895, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 46]& ,
            TagBoxNote->"46"],
           StyleBox["46", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[46, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0.5, 0}, {1., 46.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{59.07948284948179, 
               68.29044665761046}, {-42.04898592556895, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 46]& ,
            TagBoxNote->"46"],
           StyleBox["46", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[46, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0}, {1.5, 36.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{67.79044665761046, 
               77.00141046573913}, {-35.68870303860225, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 36]& ,
            TagBoxNote->"36"],
           StyleBox["36", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[36, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1.5, 0}, {2., 32.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{76.50141046573913, 
               85.71237427386785}, {-33.14458988381557, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 32]& ,
            TagBoxNote->"32"],
           StyleBox["32", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[32, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0}, {2.5, 9.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{85.21237427386785, 
               94.42333808199658}, {-18.51593924379215, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 9]& ,
            TagBoxNote->"9"],
           StyleBox["9", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[9, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2.5, 0}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{93.92333808199658, 
               103.13430189012524`}, {-13.427712934218789`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 1]& ,
            TagBoxNote->"1"],
           StyleBox["1", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[1, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}}},
      
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{-2.1, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{13.723378702962378`, 0.5}, {11.80018936788252, 0.5}},
      PlotRange->{{-2., 3.}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {455.1661750585058, -39.161443250905734},
      ImageScaled[{0.5, 0.5}], {115.01562800617437, 74.59322523982044},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}], 
    InsetBox[
     GraphicsBox[{
       {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
        EdgeForm[{Opacity[0.595], Thickness[Small]}], {}, 
        {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], 
         EdgeForm[{Opacity[0.595], Thickness[Small]}], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0}, {-2.5, 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.524663808838284`, 
               22.725405199706472`}, {-14.456184209558085`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 3]& ,
            TagBoxNote->"3"],
           StyleBox["3", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[3, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2.5, 0}, {-2., 7.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{22.225405199706472`, 
               
               29.426146590574717`}, {-16.675516961606043`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 7]& ,
            TagBoxNote->"7"],
           StyleBox["7", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[7, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0}, {-1.5, 13.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.926146590574717`, 
               36.12688798144296}, {-20.004516089677978`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 13]& ,
            TagBoxNote->"13"],
           StyleBox["13", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[13, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1.5, 0}, {-1., 31.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{35.62688798144296, 
               42.82762937231115}, {-29.99151347389378, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 31]& ,
            TagBoxNote->"31"],
           StyleBox["31", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[31, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0}, {-0.5, 65.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{42.32762937231115, 
               49.52837076317945}, {-48.85584186630141, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 65]& ,
            TagBoxNote->"65"],
           StyleBox["65", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[65, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-0.5, 0}, {0., 94.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.02837076317945, 
               56.22911215404764}, {-64.9460043186491, -12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 94]& ,
            TagBoxNote->"94"],
           StyleBox["94", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[94, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0}, {0.5, 68.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{55.72911215404764, 
               62.92985354491583}, {-50.520341430337375`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 68]& ,
            TagBoxNote->"68"],
           StyleBox["68", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[68, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0.5, 0}, {1., 51.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.42985354491583, 
               69.63059493578413}, {-41.08817723413356, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 51]& ,
            TagBoxNote->"51"],
           StyleBox["51", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[51, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0}, {1.5, 37.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{69.13059493578413, 
               76.33133632665232}, {-33.32051260196572, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 37]& ,
            TagBoxNote->"37"],
           StyleBox["37", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[37, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1.5, 0}, {2., 12.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{75.83133632665232, 
               83.03207771752051}, {-19.449682901665987`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 12]& ,
            TagBoxNote->"12"],
           StyleBox["12", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[12, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0}, {2.5, 7.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{82.53207771752051, 
               89.73281910838881}, {-16.675516961606043`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 7]& ,
            TagBoxNote->"7"],
           StyleBox["7", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[7, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2.5, 0}, {3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{89.23281910838881, 
               96.433560499257}, {-13.901351021546095`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], "Tooltip"]& ], 
         TagBox[
          TooltipBox[
           TagBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0}, {3.5, 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{95.933560499257, 
               103.13430189012519`}, {-13.901351021546095`, \
-12.291684645522118`}}],
             "DelayedMouseEffectStyle"],
            StatusArea[#, 2]& ,
            TagBoxNote->"2"],
           StyleBox["2", {}, StripOnInput -> False]],
          Annotation[#, 
           Style[2, {}], 
           "Tooltip"]& ]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{-3.13, 0},
      DisplayFunction->Identity,
      FrameLabel->{{None, None}, {None, None}},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->{{13.72337870296235, 0.5000000000000568}, {
       11.80018936788252, 0.5}},
      PlotRange->{{-3., 3.5}, {All, All}},
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {580.0666789240152, -39.161443250905734},
      ImageScaled[{0.5, 0.5}], {115.0156280061744, 74.59322523982044},
     BaseStyle->{Graphics3DBoxOptions -> {SphericalRegion -> False}}]}, {}},
  ImageSize->{
    UpTo[600], 
    UpTo[223]},
  PlotRange->{{0, 642.5169308567698}, {-78.32288650181147, 0}},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.922802266776126*^9, {3.92280231588507*^9, 3.9228023630149727`*^9}},
 CellLabel->
  "Out[200]=",ExpressionUUID->"8c683353-273b-4a32-bef4-6208336f94b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"nX", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"ReLU", ",", "ReLU"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"dReLU", ",", "dReLU"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.9227983075659*^9, {3.9227984425645*^9, 3.922798449697459*^9}, {
   3.922800277538553*^9, 3.922800288567111*^9}, {3.922800455898156*^9, 
   3.922800456101787*^9}},
 CellLabel->
  "In[1656]:=",ExpressionUUID->"14051ae6-4b07-4caf-b8a9-52c47098a758"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{3.922800299478938*^9, 3.922800457227785*^9, 
  3.9228007239582872`*^9},
 CellLabel->
  "During evaluation of \
In[1656]:=",ExpressionUUID->"95a331c7-30aa-47b8-ab9c-7fbbfb1eb4d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"makeNetwork", "[", 
  RowBox[{"nX", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"identity", ",", "identity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"identity", ",", "identity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9228013387691293`*^9, 3.922801347647396*^9}},
 CellLabel->
  "In[201]:=",ExpressionUUID->"3ff65ecb-50a7-4d1e-bce6-d4c5c7696656"],

Cell[BoxData["\<\"Network initialized\"\>"], "Print",
 CellChangeTimes->{
  3.922801356504319*^9, {3.922801501518284*^9, 3.9228015185297318`*^9}, 
   3.922801658216056*^9, 3.9228017019941683`*^9, 3.9228017585430326`*^9, 
   3.922801791002493*^9, 3.922802382010858*^9},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"9f8f02af-83cd-4f18-a981-32b3162fc293"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"count", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{3.9228025334533453`*^9},
 CellLabel->
  "In[244]:=",ExpressionUUID->"85997949-731a-4af3-9182-730ee69865a6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"lossCalc", "[", "xyTrain", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"loss", "[", "count", "]"}], "=", 
     RowBox[{"lossCalc", "[", "xyTrain", "]"}]}], ";", "\[IndentingNewLine]", 
    
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"count", "++"}], ",", "10"}], "]"}], "==", "0"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{"loss", "[", 
        RowBox[{"count", "-", "1"}], "]"}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"updateW", "[", "1*^-5", "]"}]}], ",", "\[IndentingNewLine]", 
   "100"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.922798299239204*^9, 3.922798327811355*^9}, {
  3.922798366126096*^9, 3.922798410631334*^9}, {3.9228003127402267`*^9, 
  3.922800338925845*^9}, {3.92280173776256*^9, 3.922801739499467*^9}, {
  3.922801773235437*^9, 3.922801776244885*^9}, {3.922802402043418*^9, 
  3.922802429451022*^9}, {3.922802488411536*^9, 3.9228025430501623`*^9}, {
  3.922802578574912*^9, 3.922802579706663*^9}, {3.9228026447503433`*^9, 
  3.922802663099902*^9}},ExpressionUUID->"b8010839-6300-4f04-aa70-\
d093b7fcffc0"],

Cell[BoxData["18.70065444139538`"], "Output",
 CellChangeTimes->{
  3.922800320294781*^9, 3.922800355638479*^9, 3.922800474617483*^9, 
   3.922800727867018*^9, 3.92280136469137*^9, {3.922801718491528*^9, 
   3.922801796515976*^9}, {3.92280238823901*^9, 3.9228024320181*^9}, 
   3.922802494748404*^9, {3.9228025259662733`*^9, 3.92280259996067*^9}, {
   3.9228026456188173`*^9, 3.92280265679344*^9}},
 CellLabel->
  "Out[251]=",ExpressionUUID->"258c81e8-07e1-456c-86da-4fc6d1758de9"],

Cell[CellGroupData[{

Cell[BoxData["18.70065444139538`"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802656861779*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"4a503c85-7654-4c84-aa84-2896a0a61080"],

Cell[BoxData["80244.46550577409`"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802657516898*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"0fa089ac-9461-459f-9058-b64d74f75caf"],

Cell[BoxData["1.20571087259949996844966438888736588467595`15.\
653559774527023*^786035078"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.92280265839083*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"275baeb8-8ef0-451c-bcb4-dc437f019aab"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802659334937*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"eb345d6c-24ea-486c-9a2b-30cf3793470c"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802660161256*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"81b57bb2-ab4c-4af1-b8c0-012c1ec5552f"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802660979447*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"52ed134b-474e-452f-9cb2-427260eea538"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802661881735*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"4c3a31ef-889f-417b-b884-6586a58ff3f8"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.9228026627699137`*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"a5674b9e-eef4-4782-b0af-95d332bbac76"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.922802663596262*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"2a278c9a-3167-44bd-9d6f-9ebb25cc82ab"],

Cell[BoxData["Indeterminate"], "Print",
 CellChangeTimes->{{3.922801748388167*^9, 3.922801796579639*^9}, {
   3.922802388304236*^9, 3.922802432086747*^9}, 3.9228024948156013`*^9, {
   3.922802526094099*^9, 3.9228026000305567`*^9}, {3.922802645691131*^9, 
   3.9228026644106092`*^9}},
 CellLabel->
  "During evaluation of \
In[251]:=",ExpressionUUID->"32011701-d647-4f99-b3ea-da17ab6fadf9"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{904, 911},
WindowMargins->{{Automatic, 181}, {Automatic, 0}},
FrontEndVersion->"14.0 for Mac OS X x86 (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"88bfd117-0fe8-4a61-a5c1-326607db2158"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 258, 5, 52, "Input",ExpressionUUID->"bfbad78c-19ed-44cd-8ab3-c7dfaee7a1ad"],
Cell[CellGroupData[{
Cell[863, 31, 419, 9, 24, "Print",ExpressionUUID->"eac3aea3-0036-48b9-a496-5a9deac79f79"],
Cell[1285, 42, 444, 10, 24, "Print",ExpressionUUID->"04974bde-3077-4bf7-bf21-df4e19163da9"]
}, Open  ]],
Cell[1744, 55, 352, 6, 34, "Output",ExpressionUUID->"1c8d992d-998c-485c-b901-48cdfbbe02ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2133, 66, 171, 3, 98, "Title",ExpressionUUID->"debfa169-a259-45d2-89b5-dac4274524ac"],
Cell[CellGroupData[{
Cell[2329, 73, 170, 3, 69, "Chapter",ExpressionUUID->"fcf16efe-f826-46ae-888a-7345c664c10a"],
Cell[2502, 78, 207, 6, 35, "Text",ExpressionUUID->"fbd195ce-95f4-41c3-98fc-833aa1365354"],
Cell[2712, 86, 482, 13, 52, "Input",ExpressionUUID->"606c6ecc-f0f6-407b-91a8-8b86b5d3b48b"],
Cell[CellGroupData[{
Cell[3219, 103, 253, 5, 30, "Input",ExpressionUUID->"2e61fdb9-6a57-4cd9-9db9-31b6264fc650"],
Cell[3475, 110, 3623, 87, 47, "Output",ExpressionUUID->"78432834-39bc-4222-aa2c-94ad8b263c9a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7135, 202, 280, 6, 30, "Input",ExpressionUUID->"5eb15d5f-0aae-4ad7-be1d-1b2307f412a3"],
Cell[7418, 210, 39885, 781, 281, "Output",ExpressionUUID->"3c80f985-6e73-455c-9189-9b52e81ffcbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47340, 996, 3137, 72, 43, "Input",ExpressionUUID->"1c1f7b96-46c6-45e7-8443-2a80fd507939"],
Cell[50480, 1070, 221, 5, 34, "Output",ExpressionUUID->"058d0056-dc4b-400e-9f9d-282cbdde2631"]
}, Open  ]],
Cell[50716, 1078, 221, 4, 35, "Text",ExpressionUUID->"9e829f22-2a07-4969-9e84-e8b8b099b20c"],
Cell[CellGroupData[{
Cell[50962, 1086, 56006, 950, 82, "Input",ExpressionUUID->"f5d2d1dc-8809-433d-b71f-ca8c3b1c41c3"],
Cell[106971, 2038, 315, 7, 48, "Output",ExpressionUUID->"0fd48e5c-72b2-486a-b7db-e16650f0ff56"]
}, Open  ]],
Cell[107301, 2048, 154, 3, 30, "Input",ExpressionUUID->"a1e28ca1-46a3-4e57-8433-cf0f3c98c4cc"],
Cell[CellGroupData[{
Cell[107480, 2055, 351, 8, 30, "Input",ExpressionUUID->"522d4c28-88b4-48f7-8bb9-0a2a131aa6a2"],
Cell[107834, 2065, 39882, 781, 290, "Output",ExpressionUUID->"ca8e2f88-01ed-42df-9ac2-e1911f25d8ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147753, 2851, 62539, 1082, 122, "Input",ExpressionUUID->"3e25a1fd-6fe6-4209-aa35-912dd27794fb"],
Cell[210295, 3935, 243, 5, 48, "Output",ExpressionUUID->"2b2ecbd2-99ee-4e77-86fa-4e1f2abbc850"],
Cell[210541, 3942, 276, 6, 48, "Output",ExpressionUUID->"7fb6f971-04be-4876-b3d8-8bcfabe6637a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[210866, 3954, 172, 3, 58, "Chapter",ExpressionUUID->"1688f607-9065-46b5-ab0e-ed049a0fe243"],
Cell[211041, 3959, 224, 5, 35, "Text",ExpressionUUID->"55c09445-1e3e-4fd2-a5b7-ce1b2ba56a41"],
Cell[CellGroupData[{
Cell[211290, 3968, 198, 3, 67, "Section",ExpressionUUID->"a200c789-b8ff-45c8-b8ed-d5a2f6f1dc0c"],
Cell[211491, 3973, 1707, 35, 205, "Code",ExpressionUUID->"6c5d38e3-f7ef-43a8-b1a0-453ebdecfc23"]
}, Open  ]],
Cell[CellGroupData[{
Cell[213235, 4013, 186, 3, 67, "Section",ExpressionUUID->"4494a14d-b376-4bbf-bf84-ffe8b6b9e90d"],
Cell[213424, 4018, 447, 10, 81, "Text",ExpressionUUID->"8cf307f3-d90f-4139-a512-488a4d5ac0ac"],
Cell[213874, 4030, 16819, 381, 1266, "Code",ExpressionUUID->"1240997d-f55d-4d60-9b05-8dd15d07286d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[230730, 4416, 155, 3, 67, "Section",ExpressionUUID->"9bcf7fab-8581-4c2c-9a61-5346099c8484"],
Cell[CellGroupData[{
Cell[230910, 4423, 184, 3, 54, "Subsection",ExpressionUUID->"16bfe238-6bb4-49ad-bd71-4f9f020e8701"],
Cell[CellGroupData[{
Cell[231119, 4430, 185, 3, 45, "Subsubsection",ExpressionUUID->"710bcce9-c888-4b0c-81da-a8aaef515062"],
Cell[231307, 4435, 174, 3, 35, "Text",ExpressionUUID->"4751fc13-d183-44a2-94ef-e051f2a502a6"],
Cell[231484, 4440, 241, 5, 30, "Input",ExpressionUUID->"b2555009-0b98-4ea3-90bb-21c903558e42"],
Cell[231728, 4447, 194, 3, 35, "Text",ExpressionUUID->"0df47500-2e1e-4c32-b322-77b76d052d19"],
Cell[CellGroupData[{
Cell[231947, 4454, 532, 14, 52, "Input",ExpressionUUID->"83bd9446-d8ef-42ab-9aaf-4fafae8fa16f"],
Cell[232482, 4470, 436, 9, 34, "Output",ExpressionUUID->"f65a0d6b-c83f-453a-b419-5de52f65bf17"]
}, Open  ]],
Cell[232933, 4482, 155, 3, 35, "Text",ExpressionUUID->"34ce333a-4b1f-4bfb-810b-c0f9ec3b3c15"],
Cell[CellGroupData[{
Cell[233113, 4489, 1374, 37, 94, "Input",ExpressionUUID->"9d2c0265-6970-4944-8590-2d3a67b3b13d"],
Cell[234490, 4528, 3215, 83, 224, "Output",ExpressionUUID->"a5604512-9682-47af-9071-8b62c828fe01"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[237754, 4617, 229, 4, 37, "Subsubsection",ExpressionUUID->"25778e84-9b99-4c8b-acec-bff771c680c5"],
Cell[237986, 4623, 199, 3, 35, "Text",ExpressionUUID->"51f76c81-d7af-4384-9691-d37ebdd93995"],
Cell[CellGroupData[{
Cell[238210, 4630, 439, 10, 52, "Input",ExpressionUUID->"50958e80-9a3f-4a0a-9db4-5b10789a9765"],
Cell[238652, 4642, 277, 6, 24, "Print",ExpressionUUID->"cbce3b53-574f-4603-b82c-fc0b67cfcbf9"],
Cell[238932, 4650, 220, 4, 34, "Output",ExpressionUUID->"4818dd05-0a3e-42d9-a5b5-1f0bd0e8eb68"]
}, Open  ]],
Cell[239167, 4657, 168, 3, 35, "Text",ExpressionUUID->"10261881-cd7c-43f6-8f60-fe35ba0b2bb8"],
Cell[CellGroupData[{
Cell[239360, 4664, 1089, 24, 157, "Input",ExpressionUUID->"a245e11a-cabf-4b9d-9b77-662607580227"],
Cell[CellGroupData[{
Cell[240474, 4692, 510, 8, 24, "Print",ExpressionUUID->"e6437f39-0d26-4649-90f7-e38b40822918"],
Cell[240987, 4702, 509, 8, 24, "Print",ExpressionUUID->"f56904e5-d348-4b15-83c3-a129e549e78c"],
Cell[241499, 4712, 511, 8, 24, "Print",ExpressionUUID->"01667d16-570f-464f-9217-b552988c8306"],
Cell[242013, 4722, 511, 8, 24, "Print",ExpressionUUID->"f40421f4-0019-4a8d-8912-6f2ec9230410"],
Cell[242527, 4732, 512, 8, 24, "Print",ExpressionUUID->"32145cb0-ff82-4d72-9255-b82ee6f6ae96"],
Cell[243042, 4742, 512, 8, 25, "Print",ExpressionUUID->"c423ed30-a6cd-443e-b215-b146581ab342"],
Cell[243557, 4752, 515, 8, 24, "Print",ExpressionUUID->"57bf1f3d-a13c-4581-b7fb-c4224ef49bc5"],
Cell[244075, 4762, 512, 8, 25, "Print",ExpressionUUID->"dc9f835d-5fe4-420c-ad14-3a8e4c6c27a2"],
Cell[244590, 4772, 512, 8, 25, "Print",ExpressionUUID->"701d0b39-7745-430c-b6d8-ad5484eddb63"],
Cell[245105, 4782, 514, 8, 25, "Print",ExpressionUUID->"61079892-f818-4d42-ae80-be929c73dcf9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[245668, 4796, 336, 6, 52, "Input",ExpressionUUID->"6bd93a63-0576-40fd-ad3a-6def246243d6"],
Cell[246007, 4804, 583, 12, 37, "Output",ExpressionUUID->"924283aa-bc86-4754-b858-901a0152cfd4"],
Cell[246593, 4818, 504, 10, 34, "Output",ExpressionUUID->"d1501d59-966d-4bf3-9981-284e5d87a8be"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[247146, 4834, 265, 4, 37, "Subsubsection",ExpressionUUID->"ed8c98a0-f17f-4d3d-8255-88a54c7bf4b6"],
Cell[247414, 4840, 154, 3, 35, "Text",ExpressionUUID->"ae6179f1-6195-4fea-a955-e0d71687b611"],
Cell[CellGroupData[{
Cell[247593, 4847, 595, 12, 30, "Input",ExpressionUUID->"b689740b-e747-42f9-b1d9-40f30a71c725"],
Cell[248191, 4861, 718, 12, 24, "Print",ExpressionUUID->"1f133604-4a3a-46f9-ae89-42670de55edd"]
}, Open  ]],
Cell[248924, 4876, 170, 3, 35, "Text",ExpressionUUID->"380193ba-e21f-42c8-a7af-bb137a6aaf03"],
Cell[CellGroupData[{
Cell[249119, 4883, 940, 22, 178, "Input",ExpressionUUID->"2a9d40d8-49c6-4779-a47d-5feec293bece"],
Cell[250062, 4907, 322, 5, 34, "Output",ExpressionUUID->"c7e46a55-5833-4dca-b8e3-b0976fbcdb01"],
Cell[CellGroupData[{
Cell[250409, 4916, 264, 5, 24, "Print",ExpressionUUID->"86788ea6-cdba-4434-9232-948c330faf3f"],
Cell[250676, 4923, 267, 5, 25, "Print",ExpressionUUID->"7f5afec4-a9c8-456e-be4a-637bb5b116d8"],
Cell[250946, 4930, 271, 5, 24, "Print",ExpressionUUID->"984d5c5c-7bc3-49de-9b17-c2af43e1beae"],
Cell[251220, 4937, 269, 5, 25, "Print",ExpressionUUID->"42be3379-8264-4c0c-862a-0b614492269f"],
Cell[251492, 4944, 269, 5, 25, "Print",ExpressionUUID->"92f26412-b6a6-4009-b9e8-cd54a8f8f3e4"],
Cell[251764, 4951, 271, 5, 25, "Print",ExpressionUUID->"0fc115b9-8f0c-410f-9614-b3f886a5d132"],
Cell[252038, 4958, 269, 5, 25, "Print",ExpressionUUID->"4b16ec8b-e9d6-421e-a9c3-6ddfe3f05e16"],
Cell[252310, 4965, 269, 5, 25, "Print",ExpressionUUID->"d0a149b4-eef0-470f-8b2c-3973a9bed75d"],
Cell[252582, 4972, 269, 5, 25, "Print",ExpressionUUID->"4e0fe4aa-f929-49ed-9a36-6d2e39df246d"],
Cell[252854, 4979, 269, 5, 25, "Print",ExpressionUUID->"89606e83-5695-41f5-8db8-01dbbdec71fa"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[253172, 4990, 754, 18, 94, "Input",ExpressionUUID->"40d41aa0-05a4-4244-a945-6702f9776c4e"],
Cell[253929, 5010, 1022, 28, 113, "Output",ExpressionUUID->"a14d6754-3264-44dc-9ece-56a0ece4796e"],
Cell[254954, 5040, 1037, 22, 77, "Output",ExpressionUUID->"2b620bc4-d79d-4895-bdf6-f05c59c68c49"],
Cell[255994, 5064, 640, 13, 34, "Output",ExpressionUUID->"f21a1d44-7ee2-42e7-ab80-12be1846f029"],
Cell[256637, 5079, 582, 11, 34, "Output",ExpressionUUID->"59bf5885-4db1-45c9-8a96-8585178070f0"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[257268, 5096, 318, 5, 37, "Subsubsection",ExpressionUUID->"66f086b2-6bba-44b5-87ae-7e700d37709f"],
Cell[257589, 5103, 154, 3, 35, "Text",ExpressionUUID->"0453f7da-c3ea-4250-a6fe-569a40217a4b"],
Cell[CellGroupData[{
Cell[257768, 5110, 724, 14, 30, "Input",ExpressionUUID->"eeeb6415-3a90-4e40-8118-19f177d7b553"],
Cell[258495, 5126, 754, 12, 24, "Print",ExpressionUUID->"dc5fa33b-e826-4f26-9cbd-7cf755308683"]
}, Open  ]],
Cell[259264, 5141, 170, 3, 35, "Text",ExpressionUUID->"d58367e9-1bc0-40cf-9c2f-49a19ba3b8da"],
Cell[CellGroupData[{
Cell[259459, 5148, 961, 22, 178, "Input",ExpressionUUID->"83abfb7b-2dcc-44d2-8175-fb66a8a1c1c4"],
Cell[260423, 5172, 412, 5, 34, "Output",ExpressionUUID->"c92d5f5f-e308-45be-bd36-33bc4ef07fea"],
Cell[CellGroupData[{
Cell[260860, 5181, 198, 4, 25, "Print",ExpressionUUID->"d9a3b9ff-ca2d-4c59-bf0a-80f918c7d7fb"],
Cell[261061, 5187, 196, 4, 25, "Print",ExpressionUUID->"431e37ee-2938-4db8-8a40-f684df93f94b"],
Cell[261260, 5193, 194, 4, 25, "Print",ExpressionUUID->"808ccfe7-8fae-46cb-bde3-6c209663c94b"],
Cell[261457, 5199, 196, 4, 25, "Print",ExpressionUUID->"6900651d-103c-4068-8e31-81b24812bc9b"],
Cell[261656, 5205, 196, 4, 25, "Print",ExpressionUUID->"d95d09a5-84f7-4530-8862-5e319a7350c7"],
Cell[261855, 5211, 196, 4, 25, "Print",ExpressionUUID->"a0f1b983-4b69-4fba-83d7-d89c729c20f6"],
Cell[262054, 5217, 196, 4, 25, "Print",ExpressionUUID->"31d56513-466d-4dbc-849e-fc2bfc9fab68"],
Cell[262253, 5223, 196, 4, 25, "Print",ExpressionUUID->"fc7f331f-e950-410a-8da1-d77b28817a0b"],
Cell[262452, 5229, 196, 4, 25, "Print",ExpressionUUID->"d5a36afd-cd53-4534-8592-8f2aab5c176c"],
Cell[262651, 5235, 195, 4, 25, "Print",ExpressionUUID->"efc23b94-d9be-4270-afab-4aade34e0adc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[262895, 5245, 1123, 26, 136, "Input",ExpressionUUID->"030aaea6-09ff-426b-b718-9f3315657eb5"],
Cell[264021, 5273, 1048, 27, 113, "Output",ExpressionUUID->"d68e975d-4bd2-40fe-a135-a6beb650d915"],
Cell[265072, 5302, 1185, 24, 77, "Output",ExpressionUUID->"7d1cc421-82a9-4978-8efb-2ab6bc909f98"],
Cell[266260, 5328, 835, 16, 34, "Output",ExpressionUUID->"2ac76766-0c69-428b-a3a2-6ef29a5d8012"],
Cell[267098, 5346, 597, 11, 34, "Output",ExpressionUUID->"2f0efa92-d417-4f55-80ba-c5608566aa7e"],
Cell[267698, 5359, 704, 13, 34, "Output",ExpressionUUID->"e0378054-2704-43ff-b551-ecd538cc5f0f"],
Cell[268405, 5374, 650, 12, 34, "Output",ExpressionUUID->"9a16676d-48e1-4710-b1b3-9303d59d765a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[269104, 5392, 244, 4, 37, "Subsubsection",ExpressionUUID->"f5454442-efaf-4466-a5e7-06f12f7a107b"],
Cell[269351, 5398, 154, 3, 35, "Text",ExpressionUUID->"fe3d32f9-53af-49ab-a497-29aacd032e87"],
Cell[CellGroupData[{
Cell[269530, 5405, 682, 15, 30, "Input",ExpressionUUID->"8c838269-2361-46db-b8a6-97785896e612"],
Cell[270215, 5422, 647, 11, 24, "Print",ExpressionUUID->"27d7794b-e141-4266-bb28-5e8826ab5547"]
}, Open  ]],
Cell[270877, 5436, 170, 3, 35, "Text",ExpressionUUID->"8478f70c-5899-4f67-8d46-3811940822b2"],
Cell[CellGroupData[{
Cell[271072, 5443, 893, 21, 157, "Input",ExpressionUUID->"bc150c38-5af2-4d1f-8756-496ab1681597"],
Cell[271968, 5466, 298, 5, 48, "Output",ExpressionUUID->"22982c51-793e-4911-9c21-d8e7592d20d8"],
Cell[CellGroupData[{
Cell[272291, 5475, 247, 5, 24, "Print",ExpressionUUID->"eaf0f7e6-7a65-49f0-addb-3127d4b84d93"],
Cell[272541, 5482, 247, 5, 25, "Print",ExpressionUUID->"8f285410-35eb-4506-9fca-5ddb194f9cb4"],
Cell[272791, 5489, 250, 5, 25, "Print",ExpressionUUID->"faeee88a-1307-48bc-9255-21e9c1538bc3"],
Cell[273044, 5496, 248, 5, 25, "Print",ExpressionUUID->"691ee498-f426-47d3-8f90-af9050f68a30"],
Cell[273295, 5503, 248, 5, 25, "Print",ExpressionUUID->"819a82bf-e441-425c-be6d-fb8063491fb3"],
Cell[273546, 5510, 248, 5, 25, "Print",ExpressionUUID->"68a553c5-fce8-4bb8-864d-e68606a7fb6a"],
Cell[273797, 5517, 248, 5, 25, "Print",ExpressionUUID->"aea5d604-1752-4a39-b9cb-e69a11a27458"],
Cell[274048, 5524, 248, 5, 25, "Print",ExpressionUUID->"a17ec1e9-f5c4-4fd6-8f23-d575d3294758"],
Cell[274299, 5531, 248, 5, 25, "Print",ExpressionUUID->"a4bd1381-8c80-4d58-874e-6c13b0e04891"],
Cell[274550, 5538, 247, 5, 25, "Print",ExpressionUUID->"0e12fca7-be3b-422d-bc5c-380e864f0085"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[274846, 5549, 1077, 29, 157, "Input",ExpressionUUID->"5364ab19-a8df-4c36-a970-3e6a249ac033"],
Cell[275926, 5580, 830, 26, 113, "Output",ExpressionUUID->"5b019acb-148f-40cb-a29f-c1e2ceaeb823"],
Cell[276759, 5608, 452, 11, 48, "Output",ExpressionUUID->"5a0f192e-0301-42a8-8c74-eea577603d96"],
Cell[277214, 5621, 464, 13, 48, "Output",ExpressionUUID->"5d97d495-02bd-47c4-93e9-efcfd418e119"],
Cell[277681, 5636, 359, 9, 48, "Output",ExpressionUUID->"3c068d6d-7e67-4109-a29d-d1b5da3cefb9"],
Cell[278043, 5647, 346, 9, 48, "Output",ExpressionUUID->"92a9d3ff-3159-4b0a-a99c-754e23eee7c6"],
Cell[278392, 5658, 450, 11, 48, "Output",ExpressionUUID->"f9831995-a4a9-4355-a8b3-c6e327ccc8e8"],
Cell[278845, 5671, 393, 9, 48, "Output",ExpressionUUID->"0fb895c0-2100-447c-a6f3-01cfa792ce9c"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[279287, 5686, 180, 3, 37, "Subsubsection",ExpressionUUID->"21a56b80-ed5a-4f4e-8455-6d50d7564abf"],
Cell[279470, 5691, 1476, 41, 94, "Input",ExpressionUUID->"da88607e-9fcb-41ef-a673-4355350b134c"],
Cell[CellGroupData[{
Cell[280971, 5736, 460, 12, 30, "Input",ExpressionUUID->"d6db3023-9fc7-4218-b530-7d3d84219d0a"],
Cell[281434, 5750, 279, 6, 24, "Print",ExpressionUUID->"36a4d4fb-9a80-4a8a-a8df-c6d0c08a5390"]
}, Open  ]],
Cell[CellGroupData[{
Cell[281750, 5761, 842, 20, 157, "Input",ExpressionUUID->"2cb4ec78-0ca5-46e6-9c16-16439511a44f"],
Cell[282595, 5783, 294, 5, 34, "Output",ExpressionUUID->"85d25637-0171-4e59-98e8-2cd888c705d1"],
Cell[CellGroupData[{
Cell[282914, 5792, 243, 5, 24, "Print",ExpressionUUID->"53c04697-5958-4eca-a15d-b97c04cd3291"],
Cell[283160, 5799, 246, 5, 24, "Print",ExpressionUUID->"339b8148-70c6-4406-b87a-8f2c343d14f6"],
Cell[283409, 5806, 247, 5, 24, "Print",ExpressionUUID->"91aa9783-a273-47c3-b85d-a71d2793ffda"],
Cell[283659, 5813, 249, 5, 24, "Print",ExpressionUUID->"67368b53-3d62-45e0-8e75-7b0574f7e789"],
Cell[283911, 5820, 247, 5, 24, "Print",ExpressionUUID->"c5637b37-f9a3-4f70-91c5-7ff577df11e8"],
Cell[284161, 5827, 250, 5, 24, "Print",ExpressionUUID->"6b46cc9a-22ed-4fff-a209-92c17dbe71e2"],
Cell[284414, 5834, 248, 5, 24, "Print",ExpressionUUID->"dbce79b3-4a79-41cc-a5a8-125e52a571fb"],
Cell[284665, 5841, 249, 5, 25, "Print",ExpressionUUID->"20b33bb2-f9b1-4123-bc4c-53c6df15bdbd"],
Cell[284917, 5848, 248, 5, 25, "Print",ExpressionUUID->"2874d615-2629-478a-b718-ed1b4cee4179"],
Cell[285168, 5855, 249, 5, 24, "Print",ExpressionUUID->"34947373-c9c5-480b-ac25-33c8d0d66ea9"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[285490, 5868, 180, 3, 54, "Subsection",ExpressionUUID->"76c30b5a-2f69-4d5a-8da5-f1088500c029"],
Cell[285673, 5873, 650, 18, 94, "Input",ExpressionUUID->"413bce33-d4d8-4c30-973e-4f62d17268ce"],
Cell[CellGroupData[{
Cell[286348, 5895, 654, 14, 30, "Input",ExpressionUUID->"e343226b-35d6-40de-8015-edd62767fa85"],
Cell[CellGroupData[{
Cell[287027, 5913, 481, 8, 24, "Print",ExpressionUUID->"0201df23-eb7d-4321-8143-4918f992ada3"],
Cell[287511, 5923, 481, 8, 24, "Print",ExpressionUUID->"77aa517a-1013-43fe-87c7-f54a041ba760"],
Cell[287995, 5933, 483, 8, 24, "Print",ExpressionUUID->"0c1e651f-bb59-4675-b26e-b604c84641df"],
Cell[288481, 5943, 480, 8, 24, "Print",ExpressionUUID->"1eb7d4c0-2d06-4244-a25c-a0a5f85d878b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[289010, 5957, 216, 4, 30, "Input",ExpressionUUID->"dfdc8394-a555-4668-b2d2-08432f9ba5f2"],
Cell[289229, 5963, 313, 5, 48, "Output",ExpressionUUID->"e294967f-af54-405a-a896-19bab77b3b0f"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[289603, 5975, 208, 4, 67, "Section",ExpressionUUID->"1b7ad9a2-16aa-406c-ad1d-0ffcb0869832"],
Cell[289814, 5981, 523, 14, 242, "Text",ExpressionUUID->"ff182246-1f77-4a2e-9516-7f4080d21761"],
Cell[CellGroupData[{
Cell[290362, 5999, 3534, 96, 429, "Input",ExpressionUUID->"2f1e8c14-9d74-42a8-a42f-7b6132001e46"],
Cell[293899, 6097, 749, 12, 34, "Output",ExpressionUUID->"300e5f8e-c849-4dae-b3c8-79c960cc5b23"],
Cell[294651, 6111, 680, 11, 34, "Output",ExpressionUUID->"98910ca6-d69d-401a-8a63-d65b2d141d74"],
Cell[295334, 6124, 680, 11, 34, "Output",ExpressionUUID->"12617cb4-23e2-4330-9ed3-4d45a2f5e764"],
Cell[296017, 6137, 680, 11, 34, "Output",ExpressionUUID->"582d459e-0fb0-44c3-91ee-65137354b511"],
Cell[296700, 6150, 676, 11, 34, "Output",ExpressionUUID->"8c93f4a6-3972-466d-86e4-8c4638ed2ab2"],
Cell[297379, 6163, 677, 11, 34, "Output",ExpressionUUID->"f4f9a21d-a113-4c27-ab49-3280d2a83700"],
Cell[298059, 6176, 676, 11, 34, "Output",ExpressionUUID->"9e46ddb1-3030-4d7c-8bd2-c9822fee4557"]
}, Open  ]],
Cell[CellGroupData[{
Cell[298772, 6192, 1754, 51, 94, "Input",ExpressionUUID->"6bf02bfc-0ced-41af-bb7a-29609526b93e"],
Cell[300529, 6245, 43311, 1180, 97, "Output",ExpressionUUID->"4e636139-3b68-44de-90f4-c75800f898ff"],
Cell[343843, 7427, 42331, 1156, 98, "Output",ExpressionUUID->"8c683353-273b-4a32-bef4-6208336f94b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[386211, 8588, 540, 14, 30, "Input",ExpressionUUID->"14051ae6-4b07-4caf-b8a9-52c47098a758"],
Cell[386754, 8604, 251, 5, 24, "Print",ExpressionUUID->"95a331c7-30aa-47b8-ab9c-7fbbfb1eb4d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[387042, 8614, 434, 11, 30, "Input",ExpressionUUID->"3ff65ecb-50a7-4d1e-bce6-d4c5c7696656"],
Cell[387479, 8627, 374, 7, 24, "Print",ExpressionUUID->"9f8f02af-83cd-4f18-a981-32b3162fc293"]
}, Open  ]],
Cell[387868, 8637, 198, 5, 30, "Input",ExpressionUUID->"85997949-731a-4af3-9182-730ee69865a6"],
Cell[CellGroupData[{
Cell[388091, 8646, 1259, 28, 157, "Input",ExpressionUUID->"b8010839-6300-4f04-aa70-d093b7fcffc0"],
Cell[389353, 8676, 481, 8, 34, "Output",ExpressionUUID->"258c81e8-07e1-456c-86da-4fc6d1758de9"],
Cell[CellGroupData[{
Cell[389859, 8688, 392, 7, 24, "Print",ExpressionUUID->"4a503c85-7654-4c84-aa84-2896a0a61080"],
Cell[390254, 8697, 392, 7, 24, "Print",ExpressionUUID->"0fa089ac-9461-459f-9058-b64d74f75caf"],
Cell[390649, 8706, 448, 8, 25, "Print",ExpressionUUID->"275baeb8-8ef0-451c-bcb4-dc437f019aab"],
Cell[391100, 8716, 387, 7, 24, "Print",ExpressionUUID->"eb345d6c-24ea-486c-9a2b-30cf3793470c"],
Cell[391490, 8725, 387, 7, 24, "Print",ExpressionUUID->"81b57bb2-ab4c-4af1-b8c0-012c1ec5552f"],
Cell[391880, 8734, 387, 7, 24, "Print",ExpressionUUID->"52ed134b-474e-452f-9cb2-427260eea538"],
Cell[392270, 8743, 387, 7, 24, "Print",ExpressionUUID->"4c3a31ef-889f-417b-b884-6586a58ff3f8"],
Cell[392660, 8752, 389, 7, 24, "Print",ExpressionUUID->"a5674b9e-eef4-4782-b0af-95d332bbac76"],
Cell[393052, 8761, 387, 7, 24, "Print",ExpressionUUID->"2a278c9a-3167-44bd-9d6f-9ebb25cc82ab"],
Cell[393442, 8770, 389, 7, 24, "Print",ExpressionUUID->"32011701-d647-4f99-b3ea-da17ab6fadf9"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)

